2011-05-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, ChangeLog, src/version.h,
	src/arch/win32/vice-version.bat, doc/vice.chm, doc/vice.pdf,
	doc/vice.hlp, po/fr.po, po/ko.po, po/nl.po, po/pl.po, po/it.po, po/hu.po,
	po/da.po, po/tr.po, po/ru.po, po/de.po, po/sv.po: VICE version 2.3.6

2011-05-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/mon_command.c: Fixed a crash in the monitor when
	displaying the help of a command without parameters.

2011-05-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64mem.c, src/c64/c64memsc.c, src/c64/plus256k.c,
	src/c64/plus256k.h: Adapted the plus256k code to use the c64io system.

2011-05-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64/c64_256k.c,
	src/c64/cart/actionreplay.c, src/c64/cart/actionreplay2.c,
	src/c64/cart/actionreplay3.c, src/c64/cart/actionreplay4.c,
	src/c64/cart/atomicpower.c, src/c64/cart/c64-midi.c,
	src/c64/cart/c64acia1.c, src/c64/cart/comal80.c,
	src/c64/cart/delaep256.c, src/c64/cart/delaep64.c,
	src/c64/cart/delaep7x8.c, src/c64/cart/diashowmaker.c,
	src/c64/cart/digimax.c, src/c64/cart/dinamic.c, src/c64/cart/dqbb.c,
	src/c64/cart/easyflash.c, src/c64/cart/epyxfastload.c,
	src/c64/cart/expert.c, src/c64/cart/final.c, src/c64/cart/final3.c,
	src/c64/cart/finalplus.c, src/c64/cart/freezeframe.c,
	src/c64/cart/freezemachine.c, src/c64/cart/funplay.c,
	src/c64/cart/gamekiller.c, src/c64/cart/georam.c, src/c64/cart/gs.c,
	src/c64/cart/ide64.c, src/c64/cart/isepic.c, src/c64/cart/kcs.c,
	src/c64/cart/mach5.c, src/c64/cart/magicdesk.c,
	src/c64/cart/magicformel.c, src/c64/cart/mikroass.c,
	src/c64/cart/mmcreplay.c, src/c64/cart/ocean.c, src/c64/cart/prophet64.c,
	src/c64/cart/ramcart.c, src/c64/cart/retroreplay.c,
	src/c64/cart/rexep256.c, src/c64/cart/rexutility.c, src/c64/cart/ross.c,
	src/c64/cart/sfx_soundexpander.c, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/simonsbasic.c, src/c64/cart/snapshot64.c,
	src/c64/cart/stardos.c, src/c64/cart/stb.c, src/c64/cart/superexplode5.c,
	src/c64/cart/supergames.c, src/c64/cart/supersnapshot.c,
	src/c64/cart/supersnapshot4.c, src/c64/cart/tfe.c,
	src/c64/cart/warpspeed.c, src/c64/cart/westermann.c, src/c64/plus60k.c:
	Completed 'io_source_t' structure data.

2011-05-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64mem.c, src/c64/c64memsc.c, src/c64/plus60k.c,
	src/c64/plus60k.h, src/cartridge.h: Adapted the plus60k code to use the
	c64io system.

2011-05-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64sound.c: Made all stereo sid base addresses use the c64io
	system.

2011-05-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64/c64io.c, src/c64/c64io.h:
	Fixed a c64io memory leak, allocations will be freed upon shutdown now.

2011-05-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c128/c128mem.c, src/c128/c128mem.h,
	src/c128/c128meminit.c, src/c128/z80mem.c, src/c64/c64.c,
	src/c64/c64io.c, src/c64/c64io.h, src/c64/c64mem.c, src/c64/c64meminit.c,
	src/c64/c64memsc.c: Extended the I/O collision/conflict detection to
	handle $D000-$D7FF.

2011-05-01  Stefan Haubenthal <polluks@LONESTAR.ORG>

	* src/rtc/ds12c887.c: typo

2011-04-29  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* src/resid-fp/filter.cc: Remove two warnings about converting integer
	to float and about converting double to float.

2011-04-29 Dag Lem <resid@nimrod.no>

	* src/arch/unix/x11/gnome/x11ui.c: Fix crash caused by r23937

2011-04-29 Dag Lem <resid@nimrod.no>

	* src/arch/beos/console.c, src/arch/beos/kbd.c, src/arch/msdos/archdep.c,
	src/arch/msdos/console.c, src/arch/msdos/tui.c,
	src/arch/msdos/tui_backend.c, src/arch/msdos/ui.c,
	src/arch/os2/archdep.c, src/arch/os2/ui.c, src/arch/riscos/archdep.c,
	src/arch/riscos/console.c, src/arch/riscos/ui.c,
	src/arch/sdl/archdep_riscos.c, src/arch/sdl/archdep_unix.c,
	src/arch/unix/archdep.c, src/arch/unix/console.c,
	src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/xaw/uimenu.c,
	src/arch/unix/x11/xaw/x11ui.c, src/arch/win32/console.c,
	src/arch/win32/ui.c, src/core/ciatimer.c, src/log.c, src/machine.c,
	src/monitor/mon_util.c, src/resources.c, src/util.c: stdarg cleanup

2011-04-28 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: Bounds checking for op-amp array

2011-04-28 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: Avoid division by zero in unused DAC table

2011-04-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_rs232.c: Fixed acia mode selection in the sdl
	rs232 menu for machines that don't have an acia mode.

2011-04-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/aciacore.c, src/c64/cart/c64acia1.c, src/cartridge.h,
	src/cbm2/cbm2acia1.c, src/pet/petacia1.c, src/plus4/plus4acia.c: Fixed
	some acia issues (made mode selection c64/c128 only, and made the io
	source structure reflect the correct cart type).

2011-04-27  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po: Updated.

2011-04-26  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po: Updated.

2011-04-25  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po: Updated.

2011-04-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/respet.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uieasyflash.c, src/c64/cart/easyflash.c: Fixed some more
	windows gui issues.

2011-04-25  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-04-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc, src/arch/beos/ui.cc,
	src/arch/beos/ui_sid.cc, src/arch/beos/ui_sid.h: Made BeVICE SID
	settings code machine-specific, reducing executable size.

2011-04-24 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h, src/resid/spline.h:
	Re-measured MOS 6581 op-amp transfer function. Measured MOS 8580 op-amp
	transfer function (not used yet). Reformulation of solve_gain() to
	handle high gain 8580 op-amps. Initialization speedup.

2011-04-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/ressid.rc,
	src/arch/win32/ressidcart.rc, src/arch/win32/ressiddtv.rc,
	src/arch/win32/resv364speech.rc, src/arch/win32/resvicii.rc: Did a
	'make trans-update' to push some of the russian translations into the
	windows and amiga files.

2011-04-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/mididrv.c, src/arch/win32/uimidi.c,
	src/c64/cart/c64-midi.c: Added selection of 'none' (no device) for
	midi-in and midi-out in the windows midi dialog.

2011-04-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/catweaselmkiii.c, src/arch/win32/resdialogs.txt,
	src/arch/win32/ressidcart.rc, src/arch/win32/uisid.c,
	src/arch/win32/uisidcart.c, src/arch/win32/uisiddtv.c,
	src/catweaselmkiii.h: Fixed the windows sid, siddtv and sidcart dialogs
	(catweasel and hardsid only show up when available).

2011-04-24  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2011-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed windows joystick dialogs (speed input
	element alignment).

2011-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/uiperipheral.c: Fixed windows
	peripheral dialog size.

2011-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/uiperipheral.c: Fixed windows peripheral settings dialog,
	real IEC device only shows up if opencbm support is available (dll has
	been loaded).

2011-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed the size of the windows peripheral
	settings dialog output device elements.

2011-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed the windows render filter element size.

2011-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/fullscrn.c, src/arch/win32/res.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/uivideo.c: Fixed the
	windows fullscreen dialog, aspect ratio elements won't show up if dx9
	is not available or disabled.

2011-04-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/gui/uifliplist.c, src/arch/unix/x11/gnome/uicartridge.c,
	src/arch/unix/x11/gnome/uinetplay.c,
	src/arch/unix/x11/gnome/uisnapshot.c, src/arch/unix/x11/gnome/x11ui.c,
	src/arch/unix/x11/xaw/uisnapshot.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/ressoundexpander.rc,
	src/arch/win32/resv364speech.rc, src/arch/win32/resvic20.rc,
	src/translate_text.c: More translation message syncing.

2011-04-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/macosx/cocoa/ui-cmdline-options.c,
	src/arch/unix/x11/gnome/uicartridge.c,
	src/arch/unix/x11/gnome/uiscreenshot.c,
	src/arch/unix/x11/gnome/uisnapshot.c,
	src/arch/unix/x11/ui-cmdline-options.c,
	src/arch/unix/x11/xaw/uicartridge.c, src/arch/unix/x11/xaw/uisnapshot.c,
	src/arch/win32/res.rc: More translation message syncing.

2011-04-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/gui/uicrtc.c, src/arch/unix/gui/uifliplist.c,
	src/arch/unix/gui/uipetreu.c, src/arch/unix/gui/uiplus256k.c,
	src/arch/unix/gui/uiplus60k.c, src/arch/unix/gui/uiramcart.c,
	src/arch/unix/gui/uireu.c, src/arch/unix/gui/uiromset.c,
	src/arch/unix/gui/uited.c, src/arch/unix/gui/uivdc.c,
	src/arch/unix/gui/uivic.c, src/arch/unix/gui/uivicii.c,
	src/arch/win32/res.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/respet.rc,
	src/arch/win32/respetreu.rc, src/arch/win32/resplus256k.rc,
	src/arch/win32/resplus60k.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/resrs232user.rc, src/translate_text.c: More translation
	message syncing.

2011-04-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/gui/uiperipheral.c, src/arch/unix/gui/uipetdww.c,
	src/arch/win32/res.rc, src/arch/win32/respetdww.rc,
	src/arch/win32/ressid.rc, src/arch/win32/ressiddtv.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	src/translate_text.c: More translation message syncing.

2011-04-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/uiautostart.c,
	src/arch/unix/gui/uicommands.c, src/arch/unix/gui/uicrtc.c,
	src/arch/unix/gui/uiide64.c, src/arch/unix/gui/uijoystick2.c,
	src/arch/unix/gui/uiperipheraliec.c,
	src/arch/unix/gui/uiperipheralieee.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uitfe.c, src/arch/unix/gui/uitpi.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c,
	src/arch/unix/gui/uivicii.c, src/arch/unix/gui/vic20ui.c,
	src/arch/unix/macosx/mididrv.c, src/arch/unix/mididrv.c,
	src/arch/unix/x11/gnome/uimenu.c, src/arch/unix/x11/gnome/uinetplay.c,
	src/arch/unix/x11/gnome/uiscreenshot.c,
	src/arch/unix/x11/xaw/uiscreenshot.c, src/arch/unix/x11/xaw/x11video.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/reslightpen.rc,
	src/arch/win32/resmagicvoice.rc, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resvic20.rc,
	src/translate_text.c: More translation message syncing.

2011-04-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/uicrtc.c,
	src/arch/unix/gui/uiexpert.c, src/arch/unix/gui/uigeoram.c,
	src/arch/unix/gui/uimmcreplay.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c,
	src/arch/unix/gui/uivicii.c, src/arch/unix/x11/xaw/uicartridge.c,
	src/arch/unix/x11/xaw/uiedisk.c, src/arch/unix/x11/xaw/uiscreenshot.c,
	src/arch/unix/x11/xaw/uisnapshot.c, src/arch/win32/res.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/restfe.rc,
	src/arch/win32/resvicii.rc, src/translate_text.c: More translation
	message syncing.

2011-04-20  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po: Updated.

2011-04-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/uic64cart.c,
	src/arch/unix/gui/uidqbb.c, src/arch/unix/gui/uidrive.c,
	src/arch/unix/gui/uidrivec64dtv.c, src/arch/unix/gui/uiide64.c,
	src/arch/unix/gui/uilightpen.c, src/arch/unix/gui/uimmcreplay.c,
	src/arch/unix/gui/uimouse.c, src/arch/unix/mididrv.c,
	src/arch/unix/x11/gnome/uiedisk.c, src/arch/unix/x11/gnome/uinetplay.c,
	src/arch/unix/x11/gnome/uipalcontrol.c,
	src/arch/unix/x11/ui-cmdline-options.c, src/arch/win32/res.rc,
	src/arch/win32/resacia.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64_256k.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/resdigimax.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/reseasyflash.rc, src/arch/win32/resexpert.rc,
	src/arch/win32/resgeoram.rc, src/arch/win32/resisepic.rc,
	src/arch/win32/reslightpen.rc, src/arch/win32/resmidi.rc,
	src/arch/win32/resmmc64.rc, src/arch/win32/resmmcreplay.rc,
	src/arch/win32/respet.rc, src/arch/win32/respetdww.rc,
	src/arch/win32/respetreu.rc, src/arch/win32/resplus256k.rc,
	src/arch/win32/resplus60k.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/resreu.rc, src/arch/win32/resrs232user.rc,
	src/arch/win32/ressidcart.rc, src/arch/win32/ressoundexpander.rc,
	src/arch/win32/resv364speech.rc, src/arch/win32/resvic20.rc,
	src/translate_text.c: More translation message syncing.

2011-04-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/gui/uisettings.c, src/arch/unix/x11/gnome/uiedisk.c,
	src/arch/unix/x11/gnome/uinetplay.c, src/arch/win32/res.rc,
	src/arch/win32/resacia.rc, src/arch/win32/resmmcreplay.rc,
	src/arch/win32/ressid.rc, src/arch/win32/ressiddtv.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	src/translate_text.c: More translation message syncing.

2011-04-19  Ulrich Schulz <peiselulli@t-online.de>

	* rtc/rtc.c: dingoo native : special ifdef removed (now implemented in
	SDK)

2011-04-19  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po: Updated.

2011-04-18  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-04-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/version.h, src/arch/win32/vice-version.bat,
	doc/vice.chm, doc/vice.pdf, doc/vice.hlp, po/fr.po, po/ko.po, po/nl.po,
	po/pl.po, po/it.po, po/hu.po, po/da.po, po/tr.po, po/ru.po, po/de.po,
	po/sv.po, ChangeLog: VICE version 2.3.5

2011-04-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resmmcreplay.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc: More
	translation message syncing.

2011-04-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/gui/uic64cart.c, src/arch/unix/gui/uic64dtv.c,
	src/arch/unix/gui/uicommands.c, src/arch/unix/gui/uicrtc.c,
	src/arch/unix/gui/uimmc64.c, src/arch/unix/gui/uimmcreplay.c,
	src/arch/unix/gui/uipalemu.c, src/arch/unix/gui/uiprinter.c,
	src/arch/unix/gui/uirs232.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c,
	src/arch/unix/gui/uivicii.c, src/arch/unix/x11/gnome/uipalcontrol.c,
	src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/ui-cmdline-options.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resmmcreplay.rc,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	src/translate_text.c: More translation message syncing.

2011-04-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/uiattach.c,
	src/arch/unix/gui/uic64_256k.c, src/arch/unix/gui/uic64cart.c,
	src/arch/unix/gui/uirs232c64c128.c, src/arch/unix/gui/uivdc.c,
	src/arch/unix/gui/vic20ui.c, src/arch/unix/x11/xaw/x11video.c,
	src/arch/win32/res.rc, src/arch/win32/resacia.rc,
	src/arch/win32/resc64_256k.rc, src/arch/win32/resvic20.rc,
	src/translate_text.c: Started on translation message syncing.

2011-04-16  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-04-16 Dag Lem <resid@nimrod.no>

	* src/cmdline.c: Corrected compilation breaking typo in r23937

2011-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/arch/unix/gui/uifliplist.c,
	src/arch/unix/macosx/mididrv.c, src/arch/unix/mididrv.c,
	src/arch/unix/rs232.c, src/arch/unix/x11/gnome/uinetplay.c,
	src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/ui-cmdline-options.c,
	src/arch/unix/x11/xaw/x11video.c, src/cmdline.c, src/cmdline.h: Finished
	parameter bracket cleanup for translations.

2011-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/gen_amiga_intl_c.c,
	po/gen_translate_c.c, po/gen_win32_rc.c, po/hu.po, po/intl2po.c,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/reside64.rc, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resvic20.rc,
	src/translate_text.c: Start of parameter bracket cleanup for
	translations.

2011-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2011-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po, src/monitor/mon_command.c,
	src/translate.txt, src/translate_text.c: Monitor parameter translations
	bracket removal, will reduce amount of translations and makes future
	translation syncing easier.

2011-04-13  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po: Updated.

2011-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/gen_amiga_intl_c.c,
	po/gen_translate_c.c, po/gen_win32_rc.c, po/hu.po, po/intl2po.c,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resvic20.rc, src/translate_text.c: Trailing 'range'
	elimination, will cut down on translations and make translations
	message syncing easier.

2011-04-12  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/gen_amiga_intl_c.c,
	po/gen_translate_c.c, po/gen_win32_rc.c, po/hu.po, po/intl2po.c,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resautostart.rc, src/arch/win32/reside64.rc,
	src/arch/win32/resramcart.rc, src/translate_text.c: More trailing
	'stuff' for translations cleanup, this will make it easier for
	translation message syncing.

2011-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/intl2po.c, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/unix/x11/gnome/about.c: Updated the intl2po.c code a bit and
	updated some translations.

2011-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2011-04-10  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uiscreenshot.c: Fix a compilation error

2011-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.hlp, doc/vice.pdf, po/da.po, po/de.po, po/fr.po,
	po/hu.po, po/intl2po.c, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po,
	po/sv.po, po/tr.po, src/arch/unix/gp2x/uimenu.h,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/uiattach.c,
	src/arch/unix/gui/uiautostart.c, src/arch/unix/gui/uic64_256k.c,
	src/arch/unix/gui/uic64cart.c, src/arch/unix/gui/uic64dtv.c,
	src/arch/unix/gui/uicommands.c, src/arch/unix/gui/uicrtc.c,
	src/arch/unix/gui/uidqbb.c, src/arch/unix/gui/uieasyflash.c,
	src/arch/unix/gui/uiexpert.c, src/arch/unix/gui/uigeoram.c,
	src/arch/unix/gui/uiide64.c, src/arch/unix/gui/uiisepic.c,
	src/arch/unix/gui/uimagicvoice.c, src/arch/unix/gui/uimidi.c,
	src/arch/unix/gui/uimmc64.c, src/arch/unix/gui/uimmcreplay.c,
	src/arch/unix/gui/uiperipheraliec.c,
	src/arch/unix/gui/uiperipheralieee.c, src/arch/unix/gui/uipetdww.c,
	src/arch/unix/gui/uipetreu.c, src/arch/unix/gui/uiplus256k.c,
	src/arch/unix/gui/uiplus60k.c, src/arch/unix/gui/uiprinteriec.c,
	src/arch/unix/gui/uiprinteriecplus4.c, src/arch/unix/gui/uiprinterieee.c,
	src/arch/unix/gui/uiramcart.c, src/arch/unix/gui/uiretroreplay.c,
	src/arch/unix/gui/uireu.c, src/arch/unix/gui/uirs232c64c128.c,
	src/arch/unix/gui/uirs232petplus4cbm2.c, src/arch/unix/gui/uisettings.c,
	src/arch/unix/gui/uisound.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uitfe.c, src/arch/unix/gui/uitpi.c,
	src/arch/unix/gui/uiv364speech.c, src/arch/unix/gui/uivdc.c,
	src/arch/unix/gui/uivic.c, src/arch/unix/gui/uivicii.c,
	src/arch/unix/gui/vic20ui.c, src/arch/unix/gui/vsidui.c,
	src/arch/unix/x11/gnome/uimenu.c,
	src/arch/unix/x11/gnome/uiscreenshot.c, src/arch/unix/x11/x11menu.h,
	src/arch/unix/x11/xaw/uicartridge.c, src/arch/unix/x11/xaw/uiedisk.c,
	src/arch/unix/x11/xaw/uimenu.c, src/arch/unix/x11/xaw/uiscreenshot.c,
	src/arch/unix/x11/xaw/uisnapshot.c, src/arch/unix/x11/xaw/x11ui.c,
	src/monitor/mon_lex.c, src/monitor/mon_parse.c, src/monitor/mon_parse.h:
	Added support for automatic removal of trailing "..." when generating
	the po files and automatic re-adding of trailing "..." when using
	translations for unix (cuts down on the amount of translations).

2011-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/gen_amiga_intl_c.c,
	po/gen_translate_c.c, po/gen_win32_rc.c, po/hu.po, po/intl2po.c,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resvic20.rc: Added support
	for automatic removal of trailing "..." when generating the po files and
	automatic re-adding of trailing "..." when re-generating
	translate_text.c, amigaos/intl_text.c and the windows res*.rc files
	(cuts down on the amount of translations).

2011-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/fr.po, po/hu.po, po/it.po, po/nl.po, po/pl.po,
	src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resacia.rc, src/arch/win32/resautostart.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64_256k.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/reseasyflash.rc, src/arch/win32/resexpert.rc,
	src/arch/win32/resgeoram.rc, src/arch/win32/reside64.rc,
	src/arch/win32/resisepic.rc, src/arch/win32/reslightpen.rc,
	src/arch/win32/resmagicvoice.rc, src/arch/win32/resmidi.rc,
	src/arch/win32/resmmc64.rc, src/arch/win32/respet.rc,
	src/arch/win32/respetdww.rc, src/arch/win32/respetreu.rc,
	src/arch/win32/resplus256k.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resplus60k.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/resreu.rc, src/arch/win32/resrs232user.rc,
	src/arch/win32/ressidcart.rc, src/arch/win32/ressoundexpander.rc,
	src/arch/win32/restfe.rc, src/arch/win32/resv364speech.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	src/translate_text.c: Did a make trans-update to push through the
	windows hotkey prefix removal into the windows resource files.

2011-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po,
	po/sv.po, po/tr.po: updated.

2011-04-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/de.po: Updated.

2011-04-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po: Updated.

2011-04-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/sv.po, po/tr.po: Did a make update-po to push
	through the windows hotkey prefix elimination.

2011-04-06  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc,
	src/arch/beos/ui_vicii.cc, src/arch/beos/ui_vicii.h,
	src/arch/beos/vicemenu.cc: Moved BeOS VIC-II border mode setting from
	the menu to VIC-II settings dialog, (and made the dialog available on
	CBM5x0.)

2011-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resmouse.rc,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/uipetset.c,
	src/arch/win32/uirom.c, src/arch/win32/uirom.h, src/arch/win32/vic20ui.c:
	More windows hotkey prefix eliminations.

2011-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resc128.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resdrivec128.rc,
	src/arch/win32/resdrivec64.rc, src/arch/win32/resdrivepetcbm2.rc,
	src/arch/win32/resdriveplus4.rc, src/arch/win32/resdrivevic20.rc,
	src/arch/win32/ui.c, src/arch/win32/ui.h, src/arch/win32/uicbm2set.c,
	src/arch/win32/uidrivec128.c, src/arch/win32/uidrivec64.c,
	src/arch/win32/uidrivepetcbm2.c, src/arch/win32/uidriveplus4.c,
	src/arch/win32/uidrivevic20.c: More windows hotkey prefix eliminations.

2011-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resacia.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/ui.c: More windows hotkey
	prefix eliminations.

2011-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2011-04-06  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po: Some updates.

2011-04-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/C128/win_hotkeys.vhk, data/C64/win_hotkeys.vhk,
	data/C64DTV/win_hotkeys.vhk, data/CBM-II/win_hotkeys.vhk,
	data/PET/win_hotkeys.vhk, data/PLUS4/win_hotkeys.vhk,
	data/VIC20/win_hotkeys.vhk, po/da.po, po/de.po, po/fr.po,po/hu.po,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/win32/res.rc: Finished the windows hotkey externalization and
	did a make po-update.

2011-04-05  pottendo <pottendo@aon.at>

	* src/sedinfocontrib_h.sh: Check whether `/usr/bin/uname' is valid. E.g.
	Ubuntu has /bin/uname.

2011-04-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am: Added menuid.h and string.h as targets for
	the res.h target, this way all three files will be (re)generated if any
	of them is missing.

2011-04-05  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-04-05  Ulrich Schulz <peiselulli@t-online.de>

	* src/arch/sdl/archdep_dingoo.c: dingoo native : removed own directory
	management, fixed up some issues with path handling

2011-04-04  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po: Updated.

2011-04-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/base.dsp, src/arch/sdl/win32-msvc/c1541.dsp,
	src/arch/sdl/win32-msvc/cartconv.dsp, src/arch/sdl/win32-msvc/petcat.dsp,
	src/arch/sdl/win64-msvc/base.vcproj,
	src/arch/sdl/win64-msvc/c1541.vcproj,
	src/arch/sdl/win64-msvc/cartconv.vcproj,
	src/arch/sdl/win64-msvc/petcat.vcproj,
	src/arch/sdl/winmips-msvc/base.mak, src/arch/sdl/winmips-msvc/c1541.mak,
	src/arch/sdl/winmips-msvc/cartconv.mak,
	src/arch/sdl/winmips-msvc/petcat.mak, src/arch/win32/base.dsp,
	src/arch/win32/c1541.dsp, src/arch/win32/cartconv.dsp,
	src/arch/win32/petcat.dsp, src/arch/win32/rtc.dsp,
	src/arch/win64/base.vcproj, src/arch/win64/c1541.vcproj,
	src/arch/win64/cartconv.vcproj, src/arch/win64/petcat.vcproj: Removed
	lib/zlib include path from the various msvc project files.

2011-04-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/C128/win_hotkeys.vhk, data/C64/win_hotkeys.vhk,
	data/C64DTV/win_hotkeys.vhk, data/CBM-II/win_hotkeys.vhk,
	data/PET/win_hotkeys.vhk, data/PLUS4/win_hotkeys.vhk,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64_256k.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resdigimax.rc: More windows
	hotkey externalization updates.

2011-04-03  Christian Vogelgsang <chris@vogelgsang.org>

	* src/autostart.c, src/autostart.h, src/monitor/mon_file.c: Improved
	new autostart/autorun monitor commands by exiting the monitor,
	performing the autostart and then returning to monitor.

2011-04-03  Christian Vogelgsang <chris@vogelgsang.org>

	* src/monitor/mon_command.c, src/monitor/mon_file.c,
	src/monitor/mon_file.h, src/monitor/mon_lex.c, src/monitor/mon_lex.l,
	src/monitor/mon_parse.c, src/monitor/mon_parse.h,
	src/monitor/mon_parse.y: Added new monitor commands "autostart
	<file> [prog_index]" and "autoload <file> [prog_index]" to make auto
	starting available in (net) monitor

2011-04-03  Christian Vogelgsang <chris@vogelgsang.org>

	* src/autostart.c, src/autostart.h, src/charset.c, src/charset.h,
	src/initcmdline.c: Refactored autostart loading with attached prog name
	(img_name:prg_name) into own autostart function

2011-04-03  Christian Vogelgsang <chris@vogelgsang.org>

	* src/Makefile.am, src/geninfocontrib_h.sh, src/sedinfocontrib_h.sh:
	fixed some issues with geninfocontrib

2011-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/genwt.bat: Added support for stringid.h to the
	win32 ow project files.

2011-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, version.h, src/translate_text.c,
	src/arch/amigaos/intl_text.c, src/arch/win32/respetreu.rc,
	src/arch/win32/reslightpen.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/vice-version.bat, src/arch/win32/resplus4.rc,
	src/arch/win32/resmidi.rc, src/arch/win32/resmmc64.rc,
	src/arch/win32/resv364speech.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/resplus256k.rc, src/arch/win32/resexpert.rc,
	src/arch/win32/resplus60k.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/res.rc, src/arch/win32/resvicii.rc,
	src/arch/win32/respetdww.rc, src/arch/win32/reside64.rc,
	src/arch/win32/restfe.rc, src/arch/win32/ressoundexpander.rc,
	src/arch/win32/resreu.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resmagicvoice.rc, src/arch/win32/resrs232user.rc,
	src/arch/win32/reseasyflash.rc, src/arch/win32/ressidcart.rc,
	src/arch/win32/resisepic.rc, src/arch/win32/respet.rc, doc/vice.guide,
	doc/vice.chm, doc/vice.pdf, doc/vice.inf, doc/vice.hlp, po/fr.po,
	po/nl.po, po/ko.po, po/pl.po, po/hu.po, po/it.po, po/da.po, po/tr.po,
	po/ru.po, po/de.po, po/sv.po: VICE version 2.3.4


2011-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/uifilereq.c: Changed a free to a lib_free (using
	lib_malloc(), lib_free(), lib_stralloc() is prefered because of memory
	leak tracking).

2011-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/C128/win_hotkeys.vhk, data/C64/win_hotkeys.vhk,
	data/C64DTV/win_hotkeys.vhk, data/CBM-II/win_hotkeys.vhk,
	data/PET/win_hotkeys.vhk, data/PLUS4/win_hotkeys.vhk,
	data/VIC20/win_hotkeys.vhk, src/arch/win32/intl.c,
	src/arch/win32/resdqbb.rc, src/arch/win32/reseasyflash.rc,
	src/arch/win32/resexpert.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resisepic.rc,
	src/arch/win32/reslightpen.rc, src/arch/win32/resmagicvoice.rc,
	src/arch/win32/resmidi.rc, src/arch/win32/resmmc64.rc,
	src/arch/win32/respet.rc, src/arch/win32/respetdww.rc,
	src/arch/win32/respetreu.rc, src/arch/win32/resplus256k.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resplus60k.rc,
	src/arch/win32/resramcart.rc, src/arch/win32/resreu.rc,
	src/arch/win32/resrs232user.rc, src/arch/win32/ressidcart.rc,
	src/arch/win32/restfe.rc, src/arch/win32/resv364speech.rc,
	src/arch/win32/resvic20.rc: More windows hotkey externalization updates.

2011-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2011-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uieasyflash.c: Fixed wrong windows easyflash dialog
	item.

2011-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/C128/win_hotkeys.vhk, data/C64/win_hotkeys.vhk,
	data/C64DTV/Makefile.am, data/C64DTV/win_hotkeys.vhk,
	data/CBM-II/Makefile.am, data/CBM-II/win_hotkeys.vhk,
	data/PET/Makefile.am, data/PET/win_hotkeys.vhk, data/PLUS4/Makefile.am,
	data/PLUS4/win_hotkeys.vhk, data/VIC20/Makefile.am,
	data/VIC20/win_hotkeys.vhk, src/arch/win32/resvicii.rc: Externalized
	hotkeys for resvicii.rc

2011-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/C128/Makefile.am, data/C128/win_hotkeys.vhk: More windows hotkey
	externalization updates.

2011-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/C64/Makefile.am, data/C64/win_hotkeys.vhk, doc/vice.txt,
	src/arch/amigaos/make-bindist.sh, vice/src/arch/beos/make-bindist.sh,
	src/arch/msdos/make-bindist.sh, src/arch/riscos/make-bindist.sh,
	src/arch/sdl/make-bindist_amiga.sh, src/arch/sdl/make-bindist_beos.sh,
	src/arch/sdl/make-bindist_dingoo.sh, src/arch/sdl/make-bindist_gp2x.sh,
	src/arch/sdl/make-bindist_riscos.sh, src/arch/sdl/make-bindist_win32.sh,
	src/arch/win32, src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/genstringid.sh, src/arch/win32/intl.c,
	src/arch/win32/ressoundexpander.rc, src/arch/win32/utils/genwinres.c,
	src/arch/win64/arch.vcproj: Started on windows hotkey externalization.

2011-04-01  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po: Updated.

2011-04-01  Olaf Seibert <rhialto@falu.nl>

	* doc/Makefile.am, doc/fixdox.sh: Remove a bash-ism, and add a
	$(srcdir).

2011-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Added gentranslate*.sh tool dependencies.

2011-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/uifilereq.c: Fixed coding style, replaced malloc() with
	lib_malloc() and free() with lib_free() (so the debug memory routines
	can keep track of memory leaks).

2011-03-31  Ulrich Schulz <peiselulli@t-online.de>

	* src/arch/sdl/uifilereq.c: dingoo snapshot slot management : removed
	memory leak and potentiel memory access bug

2011-03-31  Ulrich Schulz <peiselulli@t-online.de>

	* src/arch/sdl/archdep_dingoo.c, src/arch/sdl/dingoo-files/hotkey-native,
	src/arch/sdl/menu_snapshot.c, src/arch/sdl/uifilereq.c,
	src/arch/sdl/uifilereq.h: dingoo native : add slot-based snapshot
	management, because typing filenames with the virtual keyboards is a
	real pain

2011-03-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uilightpen.c: Fixed windows lightpen dialog sizing.

2011-03-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uiautostart.c: Fixed windows autostart dialog sizing.

2011-03-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/uinetwork.c: Fixed windows
	netplay dialog item alignments.

2011-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src/infocontrib.sed: Added the russian translator,
	korean translator and dingoo port maintainer to vice.texi.

2011-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/amigaos/intl.c, src/arch/win32/intl.c,
	src/translate.c, src/translate_languages.h: Put the language table in a
	header file which gets included by the intl files, removes duplication
	and need for synchronization.

2011-03-29  Ulrich Schulz <peiselulli@t-online.de>

	* doc/vice.pdf, src/video/render1x1_dingoo.h: dingoo-native : changed
	back to static render buffer (faster)

2011-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/intl2po.c: Updated and fixed.

2011-03-29  Ulrich Schulz <peiselulli@t-online.de>

	* src/arch/sdl/dingoo-files/vicerc-native, src/vic20/vic.h,
	src/video/render1x1_dingoo.h: dingoo native : disable double pixels for
	vic20, make allocation dynamic in dingoo render engine, adjust vicerc
	(all volumes to 50%, disable warp for vic20)

2011-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, po, po/Makefile.in.in, po/da.po, po/de.po, po/fr.po,
	po/gen_amiga_intl_c.c, po/gen_translate_c.c, po/gen_win32_files.sh,
	po/gen_win32_rc.c, po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po,
	po/po2table.c, po/ru.po, po/sv.po, po/tr.po,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/genintl_h.sh, src/arch/amigaos/genintl_h.sh.in,
	src/arch/amigaos/genintltable.sh, src/arch/amigaos/intl.c,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/ui.c, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20uires.h, src/arch/win32/c128ui.c,
	src/arch/win32/c64dtvui.c, src/arch/win32/c64ui.c,
	src/arch/win32/cbm2ui.c, src/arch/win32/intl.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resacia.rc, src/arch/win32/resautostart.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64_256k.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resdigimax.rc,
	src/arch/win32/resdqbb.rc, src/arch/win32/reseasyflash.rc,
	src/arch/win32/resexpert.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resisepic.rc,
	src/arch/win32/reslightpen.rc, src/arch/win32/resmagicvoice.rc,
	src/arch/win32/resmenu.txt, src/arch/win32/resmidi.rc,
	src/arch/win32/resmmc64.rc, src/arch/win32/resmmcreplay.rc,
	src/arch/win32/resmouse.rc, src/arch/win32/respet.rc,
	src/arch/win32/respetdww.rc, src/arch/win32/respetreu.rc,
	src/arch/win32/resplus256k.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resplus60k.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/resreu.rc, src/arch/win32/resrs232user.rc,
	src/arch/win32/ressid.rc, src/arch/win32/ressidcart.rc,
	src/arch/win32/ressiddtv.rc, src/arch/win32/ressoundexpander.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/restfe.rc,
	src/arch/win32/resv364speech.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvicii.rc, src/arch/win32/ui.c,
	src/arch/win32/utils/gentranslate.c, src/arch/win32/vic20ui.c,
	src/gentranslate_h.sh, src/gentranslate_h.sh.in,
	src/gentranslatetable.sh, src/translate.c, src/translate_text.c: Added
	korean translations support, 6 items already translated for testing
	purposes, rest of the translations will follow at a later time.

2011-03-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po, po/pl.po,
	po/ru.po, po/sv.po, po/tr.po, src/arch/win32/c128ui.c,
	src/arch/win32/c64dtvui.c, src/arch/win32/c64ui.c,
	src/arch/win32/cbm2ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/resvic20.rc, src/arch/win32/ui.c,
	src/arch/win32/vic20ui.c: Fixed the windows russian translation support.

2011-03-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am, configure.in, po/Makefile.in.in, po/da.po, po/de.po,
	po/fr.po, po/gen_amiga_intl_c.c, po/gen_translate_c.c,
	po/gen_win32_files.sh, po/gen_win32_rc.c, po/hu.po, po/it.po, po/nl.po,
	po/pl.po, po/po2table.c, po/ru.po, po/sv.po, po/tr.po,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/genintl_h.sh, src/arch/amigaos/genintl_h.sh.in,
	src/arch/amigaos/genintltable.sh, src/arch/amigaos/intl.c,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/ui.c, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20uires.h, src/arch/win32/intl.c,
	src/arch/win32/res.rc, src/arch/win32/resacia.rc,
	src/arch/win32/resautostart.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resc64_256k.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/resdigimax.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/reseasyflash.rc, src/arch/win32/resexpert.rc,
	src/arch/win32/resgeoram.rc, src/arch/win32/reside64.rc,
	src/arch/win32/resisepic.rc, src/arch/win32/reslightpen.rc,
	src/arch/win32/resmagicvoice.rc, src/arch/win32/resmidi.rc,
	src/arch/win32/resmmc64.rc, src/arch/win32/resmmcreplay.rc,
	src/arch/win32/resmouse.rc, src/arch/win32/respet.rc,
	src/arch/win32/respetdww.rc, src/arch/win32/respetreu.rc,
	src/arch/win32/resplus256k.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resplus60k.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/resreu.rc, src/arch/win32/resrs232user.rc,
	src/arch/win32/ressid.rc, src/arch/win32/ressidcart.rc,
	src/arch/win32/ressiddtv.rc, src/arch/win32/ressoundexpander.rc,
	src/arch/win32/restfe.rc, src/arch/win32/resv364speech.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	src/arch/win32/utils/gentranslate.c, src/gentranslate_h.sh,
	src/gentranslate_h.sh.in, src/gentranslatetable.sh, src/translate.c,
	src/translate_text.c: Added russian translations support. (actual
	translations will be committed at a later time)

2011-03-26  Ulrich Schulz <peiselulli@t-online.de>

	* doc/vice.pdf, src/arch/sdl/archdep_dingoo.c,
	src/arch/sdl/archdep_dingoo.h: dingoo native: remove some code that
	exists in SDK now

2011-03-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am: Removed archdep_SDL_dingoo_video.c from the
	sdl Makefile.am

2011-03-26  Ulrich Schulz <peiselulli@t-online.de>

	* src/arch/sdl/archdep_SDL_dingoo_video.c, src/arch/sdl/archdep_dingoo.c:
	dingoo native: some libc function removed, now they are in the Dingoo
	SDk. Also the video driver is now part of the Dingoo SDK.

2011-03-26  Ulrich Schulz <peiselulli@t-online.de>

	* src/bin2c.sh: bin2c.sh fixed. Made trouble if the data has multiple
	equal bytes.

2011-03-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/Makefile.am, src/arch/sdl/Makefile.am,
	src/arch/sdl/archdep.h, src/arch/sdl/archdep_SDL_dingoo_video.c,
	src/arch/sdl/archdep_dingoo.c, src/arch/sdl/archdep_dingoo.h,
	src/arch/sdl/dingoo-files/Makefile.am,
	src/arch/sdl/dingoo-files/vicerc-native,
	src/arch/sdl/make-bindist_dingoo_native.sh, src/arch/sdl/menu_c64cart.c,
	src/arch/sdl/menu_speed.c, src/arch/sdl/menu_video.c,
	src/arch/sdl/sdlmain.c, src/bin2c.sh, src/c64/c64cart.h,
	src/c64/cart/c64cartsystem.h, src/c64/cart/generic.c,
	src/c64dtv/c64dtvflash.c, src/ioutil.c, src/plus4/tedtypes.h,
	src/printerdrv/drv-nl10.c, src/resources.c, src/rtc/rtc.c, src/sysfile.c,
	src/vice.h, src/vicii/vicii-timing.c, src/vicii/vicii-timing.h,
	src/video/Makefile.am, src/video/render1x1_dingoo.h,
	src/video/video-render-crt.c, src/video/video-render-pal.c, src/vsync.c:
	Cleaned up the native dingoo code changes.

2011-03-25  Ulrich Schulz <peiselulli@t-online.de>

	* Makefile.am, configure.in, src/Makefile.am, src/arch/sdl/archdep.c,
	src/arch/sdl/archdep.h, src/arch/sdl/archdep_SDL_dingoo_video.c,
	src/arch/sdl/archdep_dingoo.c, src/arch/sdl/archdep_dingoo.h,
	src/arch/sdl/dingoo-files/hotkey-native,
	src/arch/sdl/dingoo-files/vicerc-native,
	src/arch/sdl/make-bindist_dingoo_native.sh, src/arch/sdl/menu_c64cart.c,
	src/arch/sdl/menu_speed.c, src/arch/sdl/menu_video.c,
	src/arch/sdl/sdlmain.c, src/arch/sdl/ui.c, src/bin2c.c, src/bin2c.sh,
	src/c64/c64.c, src/c64/c64cart.h, src/c64/cart/c64cartsystem.h,
	src/c64/cart/generic.c, src/c64dtv/c64dtvflash.c, src/embedded.c,
	src/ioutil.c, src/monitor/montypes.h, src/plus4/ted-timing.c,
	src/plus4/tedtypes.h, src/printerdrv/drv-nl10.c,
	src/printerdrv/printer.c, src/resources.c, src/rtc/rtc.c, src/sysfile.c,
	src/vice.h, src/vicii/vicii-timing.c, src/vicii/vicii-timing.h,
	src/video/render1x1_dingoo.h, src/video/video-render-crt.c,
	src/video/video-render-pal.c, src/vsync.c: Added dingoo native support.

2011-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm2.c: fix for xcbm2, since both video chip resources are
	initialized they should also both be shutdown.

2011-03-22  Marcus Sutton <loggedoubt@gmail.com>

	* src/cbm2/cbm2.c: Reverted some segfaulty code in r23850.

2011-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/version.h, src/arch/sdl/winmips-msvc,
	src/arch/win32/vice-version.bat, ChangeLog, doc/vice.guide, doc/vice.chm,
	doc/vice.pdf, doc/vice.inf, doc/vice.hlp, po/fr.po, po/nl.po, po/pl.po,
	po/it.po, po/hu.po, po/da.po, po/tr.po, po/de.po, po/sv.po: VICE version
	2.3.3

2011-03-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, doc/ReadmeSDL.txt, src/arch/sdl/Makefile.am,
	src/arch/sdl/archdep_win32.c, src/arch/sdl/hardsid.c,
	src/arch/sdl/menu_help.c, src/arch/sdl/winmips-msvc,
	src/arch/sdl/winmips-msvc/Makefile.am,
	src/arch/sdl/winmips-msvc/_vice.mak, src/arch/sdl/winmips-msvc/arch.mak,
	src/arch/sdl/winmips-msvc/base.mak, src/arch/sdl/winmips-msvc/c128.mak,
	src/arch/sdl/winmips-msvc/c1541.mak, src/arch/sdl/winmips-msvc/c64.mak,
	src/arch/sdl/winmips-msvc/c64c128.mak,
	src/arch/sdl/winmips-msvc/c64c64dtv.mak,
	src/arch/sdl/winmips-msvc/c64cart.mak,
	src/arch/sdl/winmips-msvc/c64dtv.mak,
	src/arch/sdl/winmips-msvc/c64dtvstubs.mak,
	src/arch/sdl/winmips-msvc/c64exp.mak,
	src/arch/sdl/winmips-msvc/c64sc.mak,
	src/arch/sdl/winmips-msvc/cartconv.mak,
	src/arch/sdl/winmips-msvc/cbm2.mak, src/arch/sdl/winmips-msvc/core.mak,
	src/arch/sdl/winmips-msvc/crtc.mak, src/arch/sdl/winmips-msvc/dirent.h,
	src/arch/sdl/winmips-msvc/diskimage.mak,
	src/arch/sdl/winmips-msvc/drive.mak,
	src/arch/sdl/winmips-msvc/fileio.mak,
	src/arch/sdl/winmips-msvc/fsdevice.mak,
	src/arch/sdl/winmips-msvc/geninfocontrib.mak,
	src/arch/sdl/winmips-msvc/gentranslate.mak,
	src/arch/sdl/winmips-msvc/gfxoutputdrv.mak,
	src/arch/sdl/winmips-msvc/ide-config.h,
	src/arch/sdl/winmips-msvc/iec.mak,
	src/arch/sdl/winmips-msvc/iec128dcr.mak,
	src/arch/sdl/winmips-msvc/iecbus.mak,
	src/arch/sdl/winmips-msvc/iecieee.mak,
	src/arch/sdl/winmips-msvc/ieee.mak,
	src/arch/sdl/winmips-msvc/imagecontents.mak,
	src/arch/sdl/winmips-msvc/make-bindist.bat,
	src/arch/sdl/winmips-msvc/monitor.mak,
	src/arch/sdl/winmips-msvc/parallel.mak,
	src/arch/sdl/winmips-msvc/pet.mak, src/arch/sdl/winmips-msvc/petcat.mak,
	src/arch/sdl/winmips-msvc/plus4.mak,
	src/arch/sdl/winmips-msvc/plus4exp.mak,
	src/arch/sdl/winmips-msvc/printerdrv.mak,
	src/arch/sdl/winmips-msvc/raster.mak,
	src/arch/sdl/winmips-msvc/rs232drv.mak,
	src/arch/sdl/winmips-msvc/rtc.mak, src/arch/sdl/winmips-msvc/serial.mak,
	src/arch/sdl/winmips-msvc/sid.mak,
	src/arch/sdl/winmips-msvc/sounddrv.mak,
	src/arch/sdl/winmips-msvc/tape.mak, src/arch/sdl/winmips-msvc/tcbm.mak,
	src/arch/sdl/winmips-msvc/vdc.mak, src/arch/sdl/winmips-msvc/vdrive.mak,
	src/arch/sdl/winmips-msvc/vic20.mak,
	src/arch/sdl/winmips-msvc/vic20cart.mak,
	src/arch/sdl/winmips-msvc/vicii.mak,
	src/arch/sdl/winmips-msvc/viciidtv.mak,
	src/arch/sdl/winmips-msvc/viciisc.mak,
	src/arch/sdl/winmips-msvc/video.mak, src/arch/sdl/winmips-msvc/x128.mak,
	src/arch/sdl/winmips-msvc/x64.mak, src/arch/sdl/winmips-msvc/x64dtv.mak,
	src/arch/sdl/winmips-msvc/x64sc.mak, src/arch/sdl/winmips-msvc/xcbm2.mak,
	src/arch/sdl/winmips-msvc/xpet.mak, src/arch/sdl/winmips-msvc/xplus4.mak,
	src/arch/sdl/winmips-msvc/xvic.mak,
	src/arch/win32/utils/geninfocontrib.c, src/info.c, src/info.h: Added
	support for mips windows to the sdl port.

2011-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/geninfocontrib.dsp,
	src/arch/win32/genmsvcver.dsp: Fixed a couple of msvc project files.

2011-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Cosmetic fix.

2011-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Put 'David Horrocks' (back) into vice.texi.

2011-03-16  Stefan Haubenthal <polluks@LONESTAR.ORG>

	* po/de.po: New German spelling

2011-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uijoystick.c: Centered the extra joystick adapter
	combobox.

2011-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Made a text input element bigger.

2011-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src/infocontrib.sed: Added my daughter
	(Jennifer Medkief) to the contributers for the work she's been doing on
	the windows ui (checking for alignment and bugs, and making suggestions
	for more user-friendliness).

2011-03-14  Thomas Giesel <skoe@directbox.com>

	* src/c128/c128mem.c, src/c64/c64mem.c, src/c64/c64memsc.c,
	src/c64dtv/c64dtvmem.c, src/monitor/mon_breakpoint.c,
	src/monitor/mon_breakpoint.h, src/monitor/monitor.c, src/monitor.h,
	src/plus4/plus4mem.c: Use callback function for watchpoint state change
	notification. The monitor interface structure has got a callback
	function pointer already to notify memory implementations if there are
	any watchpoints active. This function is now used everywhere. Removed
	old any_watchpoints macro, which used to access monitor internal data
	directly.

2011-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uijoystick.c, src/arch/win32/uilib.c,
	src/arch/win32/uilib.h: Centered joystick groups in the joystick
	settings dialogs of the windows ui.

2011-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uinetwork.c: Centered the server/client checkbox
	headers above the checkboxes in the windows netplay dialog.

2011-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed the distance between the scroll-down
	selection items in the windows sound dialog.

2011-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32, src/arch/win32/uinetwork.c: Fixed the button sizes in
	the windows netplay dialog.

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/dialogs/dialogs.h,
	src/arch/os2/ide-siddefs.h, src/arch/os2/ide-siddtvdefs.h,
	src/arch/os2/siddefs.h, src/arch/os2/siddtvdefs.h,
	src/arch/os2/watcom/archdep.tgt, src/arch/os2/watcom/c128.tgt,
	src/arch/os2/watcom/c128c64.tgt, src/arch/os2/watcom/c64.tgt,
	src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/c64common.tgt,
	src/arch/os2/watcom/c64commonsc.tgt, src/arch/os2/watcom/c64dtv.tgt,
	src/arch/os2/watcom/c64dtvc64.tgt, src/arch/os2/watcom/c64sc.tgt,
	src/arch/os2/watcom/cartconv.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/config.h, src/arch/os2/watcom/core.tgt,
	src/arch/os2/watcom/crtc.tgt, src/arch/os2/watcom/dialogs.tgt,
	src/arch/os2/watcom/diskimage.tgt, src/arch/os2/watcom/drive.tgt,
	src/arch/os2/watcom/fileio.tgt, src/arch/os2/watcom/fsdevice.tgt,
	src/arch/os2/watcom/genic.tgt, src/arch/os2/watcom/geninfocontrib32.tgt,
	src/arch/os2/watcom/gentr.tgt, src/arch/os2/watcom/gentranslate32.tgt,
	src/arch/os2/watcom/gfxoutputdrv.tgt, src/arch/os2/watcom/ide-config.h,
	src/arch/os2/watcom/iec.tgt, src/arch/os2/watcom/iecbus.tgt,
	src/arch/os2/watcom/iecc64exp.tgt, src/arch/os2/watcom/iecieee.tgt,
	src/arch/os2/watcom/iecplus4exp.tgt, src/arch/os2/watcom/ieee.tgt,
	src/arch/os2/watcom/imagecontents.tgt, src/arch/os2/watcom/kbd.tgt,
	src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/monitor.tgt,
	src/arch/os2/watcom/nonresid-specific.tgt,
	src/arch/os2/watcom/nonvic1or2-specific.tgt,
	src/arch/os2/watcom/nonx128-specific.tgt,
	src/arch/os2/watcom/nonx1541-specific.tgt,
	src/arch/os2/watcom/nonx64-specific.tgt,
	src/arch/os2/watcom/parallel.tgt, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/petcat-specific.tgt, src/arch/os2/watcom/petcat.tgt,
	src/arch/os2/watcom/plus4.tgt, src/arch/os2/watcom/printerdrv.tgt,
	src/arch/os2/watcom/raster.tgt, src/arch/os2/watcom/resid-specific.tgt,
	src/arch/os2/watcom/resid.tgt, src/arch/os2/watcom/rs232drv.tgt,
	src/arch/os2/watcom/serial.tgt, src/arch/os2/watcom/sounddrv.tgt,
	src/arch/os2/watcom/tape.tgt, src/arch/os2/watcom/tcbm.tgt,
	src/arch/os2/watcom/vdc.tgt, src/arch/os2/watcom/vdrive.tgt,
	src/arch/os2/watcom/vic20.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/vicii.tgt, src/arch/os2/watcom/viciicommon.tgt,
	src/arch/os2/watcom/viciidtv.tgt, src/arch/os2/watcom/viciisc.tgt,
	src/arch/os2/watcom/video.tgt, src/arch/os2/watcom/vsid.tgt,
	src/arch/os2/watcom/x128-specific.tgt, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x1541-specific.tgt, src/arch/os2/watcom/x1541.tgt,
	src/arch/os2/watcom/x64-specific.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv-specific.tgt, src/arch/os2/watcom/x64dtv.tgt,
	src/arch/os2/watcom/x64sc.tgt, src/arch/os2/watcom/x64x128-specific.tgt,
	src/arch/os2/watcom/xall-specific.tgt,
	src/arch/os2/watcom/xcbm2-specific.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xpet-specific.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4-specific.tgt, src/arch/os2/watcom/xplus4.tgt,
	src/arch/os2/watcom/xvic-specific.tgt, src/arch/os2/watcom/xvic.tgt:
	Adapted the command-line configuration files to be able to co-exist with
	the IDE-based configuration files of os2 ow, without interfering with
	each other.

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uivideo.c, src/attach.c, src/cbm2/cbm2.c,
	src/imagecontents/diskcontents-block.c, src/initcmdline.c,
	src/vdrive/vdrive-internal.c: Plugged some memory leaks, courtesy of
	Mike Battilana.

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/monitor/mon_parse.c, src/monitor/mon_parse.h,
	src/monitor/mon_lex.c, src/version.h, src/arch/win32/vice-version.bat,
	src/arch/Makefile.am, ChangeLog, doc/vice.chm, doc/vice.pdf,
	doc/vice.inf, doc/vice.hlp, po/fr.po, po/nl.po, po/pl.po, po/hu.po,
	po/it.po, po/da.po, po/tr.po, po/de.po, po/sv.po: VICE version 2.3.2

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/README.txt: Updated the os/2 ow readme file.

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/arch.tgt, src/arch/sdl/win32-watcom/base.tgt,
	src/arch/sdl/win32-watcom/c128.tgt, src/arch/sdl/win32-watcom/c1541.tgt,
	src/arch/sdl/win32-watcom/c64.tgt, src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/c64commonc128.tgt,
	src/arch/sdl/win32-watcom/c64commonc128c64dtv.tgt,
	src/arch/sdl/win32-watcom/c64commonc64dtv.tgt,
	src/arch/sdl/win32-watcom/c64commonsc.tgt,
	src/arch/sdl/win32-watcom/c64dtv.tgt,
	src/arch/sdl/win32-watcom/c64exp.tgt,
	src/arch/sdl/win32-watcom/c64sc.tgt,
	src/arch/sdl/win32-watcom/cartconv.tgt,
	src/arch/sdl/win32-watcom/cbm2.tgt, src/arch/sdl/win32-watcom/config.h,
	src/arch/sdl/win32-watcom/core.tgt, src/arch/sdl/win32-watcom/crtc.tgt,
	src/arch/sdl/win32-watcom/diskimage.tgt,
	src/arch/sdl/win32-watcom/drive.tgt,
	src/arch/sdl/win32-watcom/fileio.tgt,
	src/arch/sdl/win32-watcom/fsdevice.tgt,
	src/arch/sdl/win32-watcom/genic.tgt,
	src/arch/sdl/win32-watcom/geninfocontrib32.tgt,
	src/arch/sdl/win32-watcom/gentr.tgt,
	src/arch/sdl/win32-watcom/gentranslate32.tgt,
	src/arch/sdl/win32-watcom/genwt.bat,
	src/arch/sdl/win32-watcom/gfxoutputdrv.tgt,
	src/arch/sdl/win32-watcom/ide-config.h,
	src/arch/sdl/win32-watcom/ide-siddefs.h,
	src/arch/sdl/win32-watcom/siddefs.h,
	src/arch/sdl/win32-watcom/ide-siddtvdefs.h,
	src/arch/sdl/win32-watcom/siddtvdefs.h,
	src/arch/sdl/win32-watcom/ide-sidfpdefs.h,
	src/arch/sdl/win32-watcom/siddefs-fp.h,
	src/arch/sdl/win32-watcom/iec.tgt,
	src/arch/sdl/win32-watcom/iec128dcr.tgt,
	src/arch/sdl/win32-watcom/iecbus.tgt,
	src/arch/sdl/win32-watcom/iecieee.tgt,
	src/arch/sdl/win32-watcom/ieee.tgt,
	src/arch/sdl/win32-watcom/imagecontents.tgt,
	src/arch/sdl/win32-watcom/maincpu.tgt,
	src/arch/sdl/win32-watcom/monitor.tgt,
	src/arch/sdl/win32-watcom/parallel.tgt,
	src/arch/sdl/win32-watcom/pet.tgt, src/arch/sdl/win32-watcom/petcat.tgt,
	src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/plus4exp.tgt,
	src/arch/sdl/win32-watcom/printerdrv.tgt,
	src/arch/sdl/win32-watcom/raster.tgt,
	src/arch/sdl/win32-watcom/resid.tgt,
	src/arch/sdl/win32-watcom/residdtv.tgt,
	src/arch/sdl/win32-watcom/residfp.tgt,
	src/arch/sdl/win32-watcom/rs232drv.tgt,
	src/arch/sdl/win32-watcom/serial.tgt, src/arch/sdl/win32-watcom/sid.tgt,
	src/arch/sdl/win32-watcom/sounddrv.tgt,
	src/arch/sdl/win32-watcom/tape.tgt, src/arch/sdl/win32-watcom/tcbm.tgt,
	src/arch/sdl/win32-watcom/vdc.tgt, src/arch/sdl/win32-watcom/vdrive.tgt,
	src/arch/sdl/win32-watcom/vic20.tgt,
	src/arch/sdl/win32-watcom/vic20cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/sdl/win32-watcom/vicii.tgt,
	src/arch/sdl/win32-watcom/viciicommon.tgt,
	src/arch/sdl/win32-watcom/viciidtv.tgt,
	src/arch/sdl/win32-watcom/viciinew.tgt,
	src/arch/sdl/win32-watcom/video.tgt, src/arch/sdl/win32-watcom/x128.tgt,
	src/arch/sdl/win32-watcom/x64.tgt, src/arch/sdl/win32-watcom/x64dtv.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt, src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xpet.tgt, src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Adapted the command-line
	configuration files to be able to co-exist with the IDE-based
	configuration files of sdl win32 ow, without interfering with each other.

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/base.tgt,
	src/arch/win32/watcom/c128.tgt, src/arch/win32/watcom/c1541.tgt,
	src/arch/win32/watcom/c64.tgt, src/arch/win32/watcom/c64cart.tgt,
	src/arch/win32/watcom/c64commonc128.tgt,
	src/arch/win32/watcom/c64commonc128c64dtv.tgt,
	src/arch/win32/watcom/c64commonc64dtv.tgt,
	src/arch/win32/watcom/c64commonsc.tgt, src/arch/win32/watcom/c64dtv.tgt,
	src/arch/win32/watcom/c64exp.tgt, src/arch/win32/watcom/c64sc.tgt,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/cbm2.tgt,
	src/arch/win32/watcom/config.h, src/arch/win32/watcom/core.tgt,
	src/arch/win32/watcom/crtc.tgt, src/arch/win32/watcom/diskimage.tgt,
	src/arch/win32/watcom/drive.tgt, src/arch/win32/watcom/fileio.tgt,
	src/arch/win32/watcom/fsdevice.tgt, src/arch/win32/watcom/genic.tgt,
	src/arch/win32/watcom/geninfocontrib32.tgt,
	src/arch/win32/watcom/gentr.tgt,
	src/arch/win32/watcom/gentranslate32.tgt,
	src/arch/win32/watcom/genwinres32.tgt, src/arch/win32/watcom/genwr.tgt,
	src/arch/win32/watcom/gfxoutputdrv.tgt,
	src/arch/win32/watcom/ide-config.h, src/arch/win32/watcom/ide-siddefs.h,
	src/arch/win32/watcom/siddefs.h, src/arch/win32/watcom/ide-siddtvdefs.h,
	src/arch/win32/watcom/siddtvdefs.h,
	src/arch/win32/watcom/ide-sidfpdefs.h,
	src/arch/win32/watcom/siddefs-fp.h, src/arch/win32/watcom/iec.tgt,
	src/arch/win32/watcom/iec128dcr.tgt, src/arch/win32/watcom/iecbus.tgt,
	src/arch/win32/watcom/iecieee.tgt, src/arch/win32/watcom/ieee.tgt,
	src/arch/win32/watcom/imagecontents.tgt,
	src/arch/win32/watcom/maincpu.tgt, src/arch/win32/watcom/monitor.tgt,
	src/arch/win32/watcom/parallel.tgt, src/arch/win32/watcom/pet.tgt,
	src/arch/win32/watcom/petcat.tgt, src/arch/win32/watcom/plus4.tgt,
	src/arch/win32/watcom/plus4exp.tgt, src/arch/win32/watcom/printerdrv.tgt,
	src/arch/win32/watcom/raster.tgt, src/arch/win32/watcom/resid-dtv.tgt,
	src/arch/win32/watcom/resid-fp.tgt, src/arch/win32/watcom/resid.tgt,
	src/arch/win32/watcom/rs232drv.tgt, src/arch/win32/watcom/serial.tgt,
	src/arch/win32/watcom/sid.tgt, src/arch/win32/watcom/sounddrv.tgt,
	src/arch/win32/watcom/tape.tgt, src/arch/win32/watcom/tcbm.tgt,
	src/arch/win32/watcom/vdc.tgt, src/arch/win32/watcom/vdrive.tgt,
	src/arch/win32/watcom/vic20.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/vicii.tgt, src/arch/win32/watcom/viciicommon.tgt,
	src/arch/win32/watcom/viciidtv.tgt, src/arch/win32/watcom/viciinew.tgt,
	src/arch/win32/watcom/video.tgt, src/arch/win32/watcom/x128.tgt,
	src/arch/win32/watcom/x64.tgt, src/arch/win32/watcom/x64dtv.tgt,
	src/arch/win32/watcom/x64sc.tgt, src/arch/win32/watcom/xcbm2.tgt,
	src/arch/win32/watcom/xpet.tgt, src/arch/win32/watcom/xplus4.tgt,
	src/arch/win32/watcom/xvic.tgt: Adapted the command-line configuration
	files to be able to co-exist with the IDE-based configuration files of
	win32 ow, without interfering with each other.

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/Makefile.am,
	src/arch/sdl/win64-msvc/arch.vcproj, src/arch/sdl/win64-msvc/base.vcproj,
	src/arch/sdl/win64-msvc/c128.vcproj,
	src/arch/sdl/win64-msvc/c1541.vcproj, src/arch/sdl/win64-msvc/c64.vcproj,
	src/arch/sdl/win64-msvc/c64c128.vcproj,
	src/arch/sdl/win64-msvc/c64c64dtv.vcproj,
	src/arch/sdl/win64-msvc/c64cart.vcproj,
	src/arch/sdl/win64-msvc/c64dtv.vcproj,
	src/arch/sdl/win64-msvc/c64dtvstubs.vcproj,
	src/arch/sdl/win64-msvc/c64exp.vcproj,
	src/arch/sdl/win64-msvc/c64sc.vcproj,
	src/arch/sdl/win64-msvc/cartconv.vcproj,
	src/arch/sdl/win64-msvc/cbm2.vcproj, src/arch/sdl/win64-msvc/config.h,
	src/arch/sdl/win64-msvc/core.vcproj, src/arch/sdl/win64-msvc/crtc.vcproj,
	src/arch/sdl/win64-msvc/diskimage.vcproj,
	src/arch/sdl/win64-msvc/drive.vcproj,
	src/arch/sdl/win64-msvc/fileio.vcproj,
	src/arch/sdl/win64-msvc/fsdevice.vcproj,
	src/arch/sdl/win64-msvc/geninfocontrib.vcproj,
	src/arch/sdl/win64-msvc/gentranslate.vcproj,
	src/arch/sdl/win64-msvc/gfxoutputdrv.vcproj,
	src/arch/sdl/win64-msvc/ide-config.h,
	src/arch/sdl/win64-msvc/ide-siddefs.h, src/arch/sdl/win64-msvc/siddefs.h,
	src/arch/sdl/win64-msvc/ide-siddtvdefs.h,
	src/arch/sdl/win64-msvc/siddtvdefs.h,
	src/arch/sdl/win64-msvc/ide-sidfpdefs.h,
	src/arch/sdl/win64-msvc/siddefs-fp.h, src/arch/sdl/win64-msvc/iec.vcproj,
	src/arch/sdl/win64-msvc/iec128dcr.vcproj,
	src/arch/sdl/win64-msvc/iecbus.vcproj,
	src/arch/sdl/win64-msvc/iecieee.vcproj,
	src/arch/sdl/win64-msvc/ieee.vcproj,
	src/arch/sdl/win64-msvc/imagecontents.vcproj,
	src/arch/sdl/win64-msvc/monitor.vcproj,
	src/arch/sdl/win64-msvc/parallel.vcproj,
	src/arch/sdl/win64-msvc/pet.vcproj,
	src/arch/sdl/win64-msvc/petcat.vcproj,
	src/arch/sdl/win64-msvc/plus4.vcproj,
	src/arch/sdl/win64-msvc/plus4exp.vcproj,
	src/arch/sdl/win64-msvc/printerdrv.vcproj,
	src/arch/sdl/win64-msvc/raster.vcproj,
	src/arch/sdl/win64-msvc/resid.vcproj,
	src/arch/sdl/win64-msvc/residdtv.vcproj,
	src/arch/sdl/win64-msvc/residfp.vcproj,
	src/arch/sdl/win64-msvc/rs232drv.vcproj,
	src/arch/sdl/win64-msvc/rtc.vcproj,
	src/arch/sdl/win64-msvc/serial.vcproj,
	src/arch/sdl/win64-msvc/sid.vcproj,
	src/arch/sdl/win64-msvc/sounddrv.vcproj,
	src/arch/sdl/win64-msvc/tape.vcproj, src/arch/sdl/win64-msvc/tcbm.vcproj,
	src/arch/sdl/win64-msvc/vdc.vcproj,
	src/arch/sdl/win64-msvc/vdrive.vcproj,
	src/arch/sdl/win64-msvc/vic20.vcproj,
	src/arch/sdl/win64-msvc/vicii.vcproj,
	src/arch/sdl/win64-msvc/viciidtv.vcproj,
	src/arch/sdl/win64-msvc/viciinew.vcproj,
	src/arch/sdl/win64-msvc/video.vcproj,
	src/arch/sdl/win64-msvc/x128.vcproj, src/arch/sdl/win64-msvc/x64.vcproj,
	src/arch/sdl/win64-msvc/x64dtv.vcproj,
	src/arch/sdl/win64-msvc/x64sc.vcproj,
	src/arch/sdl/win64-msvc/xcbm2.vcproj,
	src/arch/sdl/win64-msvc/xpet.vcproj,
	src/arch/sdl/win64-msvc/xplus4.vcproj,
	src/arch/sdl/win64-msvc/xvic.vcproj: Adapted the command-line
	configuration files to be able to co-exist with the IDE-based
	configuration files of sdl win64 msvc, without interfering with each
	other.

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/Makefile.am, src/arch/sdl/win32-msvc/arch.dsp,
	src/arch/sdl/win32-msvc/base.dsp, src/arch/sdl/win32-msvc/c128.dsp,
	src/arch/sdl/win32-msvc/c1541.dsp, src/arch/sdl/win32-msvc/c64.dsp,
	src/arch/sdl/win32-msvc/c64c128.dsp,
	src/arch/sdl/win32-msvc/c64c64dtv.dsp,
	src/arch/sdl/win32-msvc/c64cart.dsp, src/arch/sdl/win32-msvc/c64dtv.dsp,
	src/arch/sdl/win32-msvc/c64dtvstubs.dsp,
	src/arch/sdl/win32-msvc/c64exp.dsp, src/arch/sdl/win32-msvc/c64sc.dsp,
	src/arch/sdl/win32-msvc/cartconv.dsp, src/arch/sdl/win32-msvc/cbm2.dsp,
	src/arch/sdl/win32-msvc/config.h, src/arch/sdl/win32-msvc/core.dsp,
	src/arch/sdl/win32-msvc/crtc.dsp, src/arch/sdl/win32-msvc/diskimage.dsp,
	src/arch/sdl/win32-msvc/drive.dsp, src/arch/sdl/win32-msvc/fileio.dsp,
	src/arch/sdl/win32-msvc/fsdevice.dsp,
	src/arch/sdl/win32-msvc/geninfocontrib.dsp,
	src/arch/sdl/win32-msvc/gentranslate.dsp,
	src/arch/sdl/win32-msvc/gfxoutputdrv.dsp,
	src/arch/sdl/win32-msvc/ide-config.h,
	src/arch/sdl/win32-msvc/ide-siddefs.h, src/arch/sdl/win32-msvc/siddefs.h,
	src/arch/sdl/win32-msvc/ide-siddtvdefs.h,
	src/arch/sdl/win32-msvc/siddtvdefs.h,
	src/arch/sdl/win32-msvc/ide-sidfpdefs.h,
	src/arch/sdl/win32-msvc/siddefs-fp.h, src/arch/sdl/win32-msvc/iec.dsp,
	src/arch/sdl/win32-msvc/iec128dcr.dsp,
	src/arch/sdl/win32-msvc/iecbus.dsp, src/arch/sdl/win32-msvc/iecieee.dsp,
	src/arch/sdl/win32-msvc/ieee.dsp,
	src/arch/sdl/win32-msvc/imagecontents.dsp,
	src/arch/sdl/win32-msvc/monitor.dsp,
	src/arch/sdl/win32-msvc/parallel.dsp, src/arch/sdl/win32-msvc/pet.dsp,
	src/arch/sdl/win32-msvc/petcat.dsp, src/arch/sdl/win32-msvc/plus4.dsp,
	src/arch/sdl/win32-msvc/plus4exp.dsp,
	src/arch/sdl/win32-msvc/printerdrv.dsp,
	src/arch/sdl/win32-msvc/raster.dsp, src/arch/sdl/win32-msvc/resid.dsp,
	src/arch/sdl/win32-msvc/residdtv.dsp,
	src/arch/sdl/win32-msvc/residfp.dsp,
	src/arch/sdl/win32-msvc/rs232drv.dsp, src/arch/sdl/win32-msvc/rtc.dsp,
	src/arch/sdl/win32-msvc/serial.dsp, src/arch/sdl/win32-msvc/sid.dsp,
	src/arch/sdl/win32-msvc/sounddrv.dsp, src/arch/sdl/win32-msvc/tape.dsp,
	src/arch/sdl/win32-msvc/tcbm.dsp, src/arch/sdl/win32-msvc/vdc.dsp,
	src/arch/sdl/win32-msvc/vdrive.dsp, src/arch/sdl/win32-msvc/vic20.dsp,
	src/arch/sdl/win32-msvc/vic20cart.dsp, src/arch/sdl/win32-msvc/vicii.dsp,
	src/arch/sdl/win32-msvc/viciidtv.dsp,
	src/arch/sdl/win32-msvc/viciisc.dsp, src/arch/sdl/win32-msvc/video.dsp,
	src/arch/sdl/win32-msvc/x128.dsp, src/arch/sdl/win32-msvc/x64.dsp,
	src/arch/sdl/win32-msvc/x64dtv.dsp, src/arch/sdl/win32-msvc/x64sc.dsp,
	src/arch/sdl/win32-msvc/xcbm2.dsp, src/arch/sdl/win32-msvc/xpet.dsp,
	src/arch/sdl/win32-msvc/xplus4.dsp, src/arch/sdl/win32-msvc/xvic.dsp:
	Adapted the command-line configuration files to be able to co-exist with
	the IDE-based configuration files of sdl win32 msvc, without interfering
	with each other.

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resisepic.rc, src/arch/win64/arch.vcproj,
	src/arch/win64/base.vcproj, src/arch/win64/c128.vcproj,
	src/arch/win64/c1541.vcproj, src/arch/win64/c64.vcproj,
	src/arch/win64/c64c128.vcproj, src/arch/win64/c64c64dtv.vcproj,
	src/arch/win64/c64cart.vcproj, src/arch/win64/c64dtv.vcproj,
	src/arch/win64/c64dtvstubs.vcproj, src/arch/win64/c64exp.vcproj,
	src/arch/win64/c64sc.vcproj, src/arch/win64/cartconv.vcproj,
	src/arch/win64/cbm2.vcproj, src/arch/win64/core.vcproj,
	src/arch/win64/crtc.vcproj, src/arch/win64/diskimage.vcproj,
	src/arch/win64/drive.vcproj, src/arch/win64/fileio.vcproj,
	src/arch/win64/fsdevice.vcproj, src/arch/win64/geninfocontrib.vcproj,
	src/arch/win64/genmsvcver.vcproj, src/arch/win64/gentranslate.vcproj,
	src/arch/win64/genwinres.vcproj, src/arch/win64/gfxoutputdrv.vcproj,
	src/arch/win64/iec.vcproj, src/arch/win64/iec128dcr.vcproj,
	src/arch/win64/iecbus.vcproj, src/arch/win64/iecieee.vcproj,
	src/arch/win64/ieee.vcproj, src/arch/win64/imagecontents.vcproj,
	src/arch/win64/monitor.vcproj, src/arch/win64/parallel.vcproj,
	src/arch/win64/pet.vcproj, src/arch/win64/petcat.vcproj,
	src/arch/win64/plus4.vcproj, src/arch/win64/plus4exp.vcproj,
	src/arch/win64/printerdrv.vcproj, src/arch/win64/raster.vcproj,
	src/arch/win64/resid.vcproj, src/arch/win64/residdtv.vcproj,
	src/arch/win64/residfp.vcproj, src/arch/win64/rs232drv.vcproj,
	src/arch/win64/rtc.vcproj, src/arch/win64/serial.vcproj,
	src/arch/win64/sid.vcproj, src/arch/win64/sounddrv.vcproj,
	src/arch/win64/tape.vcproj, src/arch/win64/tcbm.vcproj,
	src/arch/win64/vdc.vcproj, src/arch/win64/vdrive.vcproj,
	src/arch/win64/vic20.vcproj, src/arch/win64/vicii.vcproj,
	src/arch/win64/viciidtv.vcproj, src/arch/win64/viciinew.vcproj,
	src/arch/win64/video.vcproj, src/arch/win64/x128.vcproj,
	src/arch/win64/x64.vcproj, src/arch/win64/x64dtv.vcproj,
	src/arch/win64/x64sc.vcproj, src/arch/win64/xcbm2.vcproj,
	src/arch/win64/xpet.vcproj, src/arch/win64/xplus4.vcproj,
	src/arch/win64/xvic.vcproj: Adapted the command-line configuration files
	to be able to co-exist with the IDE-based configuration files of win64
	msvc, without interfering with each other.

2011-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/filter.h, src/resid/sid.h, src/resid/envelope.h,
	src/resid/extfilt.h, src/resid/voice.h, src/resid/wave.h, configure.in,
	src/arch/win32/res.rc, src/arch/win32/Makefile.am,
	src/arch/win32/arch.dsp, src/arch/win32/base.dsp,
	src/arch/win32/c128.dsp, src/arch/win32/c1541.dsp,
	src/arch/win32/c64.dsp, src/arch/win32/c64c128.dsp,
	src/arch/win32/c64c64dtv.dsp, src/arch/win32/c64cart.dsp,
	src/arch/win32/c64dtv.dsp, src/arch/win32/c64dtvstubs.dsp,
	src/arch/win32/c64exp.dsp, src/arch/win32/c64sc.dsp,
	src/arch/win32/cartconv.dsp, src/arch/win32/cbm2.dsp,
	src/arch/win32/core.dsp, src/arch/win32/crtc.dsp,
	src/arch/win32/dinput_handle.c, src/arch/win32/dinput_handle.h,
	src/arch/win32/diskimage.dsp, src/arch/win32/drive.dsp,
	src/arch/win32/fileio.dsp, src/arch/win32/fsdevice.dsp,
	src/arch/win32/geninfocontrib.dsp, src/arch/win32/genmsvcver.dsp,
	src/arch/win32/gentranslate.dsp, src/arch/win32/genwinres.dsp,
	src/arch/win32/gfxoutputdrv.dsp, src/arch/win32/iec.dsp,
	src/arch/win32/iec128dcr.dsp, src/arch/win32/iecbus.dsp,
	src/arch/win32/iecieee.dsp, src/arch/win32/ieee.dsp,
	src/arch/win32/imagecontents.dsp, src/arch/win32/monitor.dsp,
	src/arch/win32/msvc/config.h, src/arch/win32/msvc/ide-config.h,
	src/arch/win32/msvc/ide-siddefs.h, src/arch/win32/msvc/siddefs.h,
	src/arch/win32/msvc/ide-siddtvdefs.h, src/arch/win32/msvc/siddtvdefs.h,
	src/arch/win32/msvc/ide-sidfpdefs.h, src/arch/win32/msvc/siddefs-fp.h,
	src/arch/win32/parallel.dsp, src/arch/win32/pet.dsp,
	src/arch/win32/petcat.dsp, src/arch/win32/plus4.dsp,
	src/arch/win32/plus4exp.dsp, src/arch/win32/printerdrv.dsp,
	src/arch/win32/raster.dsp, src/arch/win32/resacia.rc,
	src/arch/win32/resautostart.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/resdrivec128.rc, src/arch/win32/resdrivec64.rc,
	src/arch/win32/resdrivepetcbm2.rc, src/arch/win32/resdriveplus4.rc,
	src/arch/win32/resdrivevic20.rc, src/arch/win32/reseasyflash.rc,
	src/arch/win32/resexpert.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/resid.dsp, src/arch/win32/residdtv.dsp,
	src/arch/win32/reside64.rc, src/arch/win32/residfp.dsp,
	src/arch/win32/resmidi.rc, src/arch/win32/resmmc64.rc,
	src/arch/win32/resmmcreplay.rc, src/arch/win32/resmouse.rc,
	src/arch/win32/respet.rc, src/arch/win32/respetreu.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/resreu.rc, src/arch/win32/resrs232user.rc,
	src/arch/win32/ressid.rc, src/arch/win32/ressidcart.rc,
	src/arch/win32/ressiddtv.rc, src/arch/win32/restfe.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	src/arch/win32/rs232drv.dsp, src/arch/win32/rtc.dsp,
	src/arch/win32/serial.dsp, src/arch/win32/sid.dsp,
	src/arch/win32/sounddrv.dsp, src/arch/win32/tape.dsp,
	src/arch/win32/tcbm.dsp, src/arch/win32/uicmdline.c,
	src/arch/win32/vdc.dsp, src/arch/win32/vdrive.dsp,
	src/arch/win32/vic20.dsp, src/arch/win32/vic20cart.dsp,
	src/arch/win32/vicii.dsp, src/arch/win32/viciidtv.dsp,
	src/arch/win32/viciisc.dsp, src/arch/win32/video.dsp,
	src/arch/win32/x128.dsp, src/arch/win32/x64.dsp,
	src/arch/win32/x64dtv.dsp, src/arch/win32/x64sc.dsp,
	src/arch/win32/xcbm2.dsp, src/arch/win32/xpet.dsp,
	src/arch/win32/xplus4.dsp, src/arch/win32/xvic.dsp,
	src/resid/Makefile.am, src/resid/pot.h, src/resid/resid-config.h,
	src/resid/version.cc, src/resid-dtv/Makefile.am,
	src/resid-dtv/envelope.h, src/resid-dtv/extfilt.h,
	src/resid-dtv/filter.h, src/resid-dtv/residdtv-config.h,
	src/resid-dtv/sid.h, src/resid-dtv/version.cc, src/resid-dtv/voice.h,
	src/resid-dtv/wave.h, src/resid-fp/Makefile.am, src/resid-fp/envelope.h,
	src/resid-fp/extfilt.h, src/resid-fp/filter.h, src/resid-fp/pot.h,
	src/resid-fp/residfp-config.h, src/resid-fp/sid.h,
	src/resid-fp/version.cc, src/resid-fp/voice.h, src/resid-fp/wave.h,
	src/translate.c, src/vice.h: Adapted the command-line configuration
	files to be able to co-exist with the IDE-based configuration files of
	win32 msvc, without interfering with each other.

2011-03-11  Marcus Sutton <loggedoubt@gmail.com>

	* src/monitor/monitor.c: Add an informational message to the monitor's
	screen command, and make use of the bank from mem_get_screen_parameter().
	(Fixes xcbm2.)

2011-03-11  Thomas Giesel <skoe@directbox.com>

	* src/monitor/monitor.c, src/monitor/mon_breakpoint.c,
	src/monitor/mon_breakpoint.h, src/monitor/mon_parse.c,
	src/monitor/mon_parse.y, src/monitor/montypes.h, src/monitor.h: Prepared
	checkpoint data model for a more generic implementation, moved global
	checkpoint list data into monitor.c

2011-03-10  Ingo Korb <ingo@akana.de>

	* src/cmdline.c: Fix incorrect "Option '-foo' is ambigous" message for
	unabbreviated command line options

2011-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/utils/geninfocontrib.c: Changed the strdup call to
	_strdup.

2011-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Since ow is used for the os/2 compile (and os/2
	documentation generation) check for wipfc first and then check for ipfc
	if the tool is not present (old ow).

2011-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/watcom/genic.tgt,
	src/arch/os2/watcom/geninfocontrib32.tgt, src/arch/os2/watcom/genwt.bat,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/xall-specific.tgt:
	Added generation of infocontrib.h to the os/2 ow project files.

2011-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am: Added new ow project files to
	the Makefile.am

2011-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/genic.tgt,
	src/arch/sdl/win32-watcom/geninfocontrib32.tgt,
	src/arch/sdl/win32-watcom/gentr.tgt, src/arch/sdl/win32-watcom/genwt.bat,
	src/arch/sdl/win32-watcom/vice.wpj: Added generation of infocontrib.h
	to the sdl win32 ow project files.

2011-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/Makefile.am,
	src/arch/sdl/win64-msvc/geninfocontrib.vcproj,
	src/arch/sdl/win64-msvc/vice.sln: Added generation of infocontrib.h to
	the sdl win64 msvc project files.

2011-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/Makefile.am,
	src/arch/sdl/win32-msvc/geninfocontrib.dsp,
	src/arch/sdl/win32-msvc/vice.dsw: Added generation of infocontrib.h to
	the sdl win32 msvc project files.

2011-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/geninfocontrib.vcproj, src/arch/win64/Makefile.am,
	src/arch/win64/vice.sln: Added generation of infocontrib.h to the win64
	project files.

2011-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/utils/geninfocontrib.c,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/genic.tgt,
	arch/win32/watcom/geninfocontrib32.tgt,
	src/arch/win32/watcom/resid-fp.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/Makefile.am, src/arch/Makefile.am,
	src/arch/watcom-source-wrappers/geninfocontrib32.c,
	src/arch/win32/watcom/genwt.bat: Added generation of infocontrib.h to
	the win32 ow project files.

2011-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/voice.h, src/resid/wave.h: Moved some calls over to the
	'public' section because ow was complaining that access to protected
	members is not allowed.

2011-03-07  Thomas Giesel <skoe@directbox.com>

	* src/monitor/monitor.c, src/monitor/mon_breakpoint.c,
	src/monitor/mon_parse.c, src/monitor/mon_parse.y, src/monitor.h,
	src/monitor/mon_lex.c, src/monitor/mon_parse.h: Cleaned up inconsistent
	naming (checkpoint = watchpoint | breakpoint | tracepoint)

2011-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data, arch/win32/utils/geninfocontrib.c, src/arch/win32/Makefile.am,
	src/arch/win32/geninfocontrib.dsp, src/arch/win32/vice.dsw: Added
	generation of infocontrib.h to the win32 msvc project files.

2011-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sounddrv/soundwmm.c: Defined DWORD_PTR for compilers it is not
	defined for.

2011-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Added a check for pdftex and disabled the building of
	the vice.pdf file when this tool is not present.

2011-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, configure.in, src/version.h,
	src/arch/win32/vice-version.bat, doc/vice.guide, doc/vice.chm,
	doc/vice.pdf, doc/vice.hlp, po/fr.po, po/nl.po, po/pl.po, po/it.po,
	po/hu.po, po/da.po, po/tr.po, po/de.po, po/sv.po: VICE version 2.3.1

2011-03-05  Olaf Seibert <rhialto@falu.nl>

	* po/Makefile.in.in: Revert last change.

2011-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/utils/Makefile.am,
	src/arch/win32/utils/geninfocontrib.c: Added the start of a
	geninfocontrib tool for msvc/ow, this is wip for right now.

2011-03-05  Olaf Seibert <rhialto@falu.nl>

	* po/Makefile.in.in: Better $DESTDIR support.

2011-03-05  Olaf Seibert <rhialto@falu.nl>

	* configure.in: Check for dlopen() without -ldl first.

2011-03-05  Olaf Seibert <rhialto@falu.nl>

	* src/geninfocontrib_h.sh: Avoid a bash-ism.

2011-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/infocontrib.sed: Forced the line-ending style to LF.

2011-03-05 Dag Lem <resid@nimrod.no>

	* src/resid/filter.h: Added documentation for calculation of VCR gate
	voltage

2011-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Makefile.am: Touch dox when the tools to generate them are not
	present.

2011-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src/arch/win32/utils/geninfocontrib.c: Changed the
	maximum width of the members/contributions/thanx text in vice.texi to 68
	chars and added substitution of the @dots() tag to the infocontrib.h
	auto-generation.

2011-03-04  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c64ui.cc: Fix C64_256K bug in the BeOS menu.

2011-03-04  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/resid/filter.cc: Corrected k for 8580 (accidentally set to 0.7
	instead of 1.0).  This broke resid on at least one configuration.

2011-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartconv.c: Display usage when -f/-t/-i/-o/-n/-l is given without
	an extra parameter.

2011-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/utils/gentranslate.c: Don't do a string compare unless
	the string length is long enough.

2011-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src, src/Makefile.am, src/geninfocontrib_h.sh,
	src/info.c, src/infocontrib.sed: Added autogeneration of the VICE
	members/contributors/thanx text (infocontrib.h, previously part of
	info.c, now included as a header) from vice.texi (shell only for now,
	project file changes is being worked on).

2011-03-03 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Include gate coupling
	coefficient (kappa) in equations for strong inversion

2011-03-02 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: Include EKV gate coupling coefficient (kappa)

2011-03-02 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Optimize out explicit
	variable translations

2011-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/fixdox.sh, doc/t2h.pl, doc/texi2chm.sh, doc/vice.chm: Added
	support for most of the previously unsupported texi-tags for the chm
	format generation.

2011-03-02 Dag Lem <resid@nimrod.no>

	* src/resid/sid.cc, src/resid/sid.h: Explicit inlining of output()

2011-03-01 Dag Lem <resid@nimrod.no>

	* src/resid/envelope.h, src/resid/extfilt.h, src/resid/filter.h,
	src/resid/voice.h, src/resid/wave.h: Cleanup of inlining

2011-03-01 Dag Lem <resid@nimrod.no>

	* src/resid/sid.cc, src/resid/sid.h: Inlining of clock() for speedup

2011-03-01 Dag Lem <resid@nimrod.no>

	* src/resid/sid.cc, src/resid/sid.h: Simplification of sampling code
	- make inlining of the last clock() viable

2011-02-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Makefile.am, doc/fixdox.sh, doc/vice.txt: Added .txt format
	documentation file fixing.

2011-02-28 Dag Lem <resid@nimrod.no>

	* src/resid/extfilt.h, src/resid/sid.cc: Ensure that gcc generates
	branch free code for overflow handling

2011-02-28 Dag Lem <resid@nimrod.no>

	* src/resid/sid.cc: Simplification of sampling code

2011-02-28 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Summer micro-optimization for
	single cycle clock() - avoid a branch by including filter
	enabled/disabled in summer mask

2011-02-28  Daniel Kahlin <tlr@users.sourceforge.net>

	* README: Added x64sc to the list of binaries.

2011-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Makefile.am, doc/fixdox.sh: Started on a script which will help in
	the correct generation of various documentation formats without having
	to alter the original vice.texi

2011-02-27 Dag Lem <resid@nimrod.no>

	* src/resid/filter.h: Revert premature mixer input micro-optimization
	- requires 8580 op-amp model

2011-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/TextField.c: Use X_HAVE_UTF8_STRING
	instead since it is used to indicate the presence of the feature.

2011-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/plain/NEWS: Prepared the NEWS file for 2.4, so it can be
	updated as features are added and fixes made.

2011-02-27 Dag Lem <resid@nimrod.no>

	* src/resid/filter.h: Mixer micro-optimization - avoid a branch in
	generated code for switches

2011-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/index.html: Updated.

2011-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/plain/NEWS: Cosmetic fix.

2011-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/make-bindist_qnx6.sh,
	src/arch/sdl/make-bindist_syllable.sh: fixed.

2011-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, README: Updated with new members.

2011-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/vic20ui.c: Don't include mui/mui.h, since this
	causes double defines on amigaos3.

2011-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64cart.c, src/keyboard.c: If RAND_MAX is not defined,
	use INT_MAX instead.

2011-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartconv.c: If memmove is not present use bcopy.

2011-02-26 Dag Lem <resid@nimrod.no>

	* src/resid/filter.h: Mixer micro-optimization

2011-02-24 Dag Lem <resid@nimrod.no>

	* vice-gtk.spec.in: Added missing files, fix for 64 bit builds

2011-02-24 Dag Lem <resid@nimrod.no>

	* vice-gtk.spec.in: Failed dlopens seems to be non-fatal; remove
	requirements for ffmpeg-libs and lame-libs

2011-02-23 Dag Lem <resid@nimrod.no>

	* vice-gtk.spec.in: Only state libraries loaded at runtime as explicit
	requirements

2011-02-23 Dag Lem <resid@nimrod.no>

	* configure.in: Small fix for readline check

2011-02-23  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/uivideo.c: Next try to fix the palette ui in win32.

2011-02-23 Dag Lem <resid@nimrod.no>

	* vice-gtk.spec.in: Final touches for 2.3

2011-02-23 Dag Lem <resid@nimrod.no>

	* doc/Makefile.am: Fixed missing install of vice.* docs

2011-02-23 Dag Lem <resid@nimrod.no>

	* configure.in: Fix broken check for IPv6

2011-02-22 Dag Lem <resid@nimrod.no>

	* vice-gtk.spec.in: Specify -march=pentium-m for i686 in order to use
	SSE2 for resampling

2011-02-22  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/uivideo.c: Fixed (de-)allocation of palette file
	string and selection of chip register.

2011-02-22 Dag Lem <resid@nimrod.no>

	* vice-gtk.spec.in: Updated requirements. Less conservative
	architecture specific optimizations.

2011-02-20 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Improved accuracy and
	(hopefully) a small speedup for solve_gain

2011-02-20 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: EKV model: Comments

2011-02-20 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: EKV model: Rename Vgx to kVgx to clarify that
	Vgx must be scaled accordingly if the value for kappa is changed from
	1.0

2011-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po,
	po/pl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/translate_text.c: Proper VICE 2.3 with previously forgotten
	translations update.

2011-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, ChangeLog, src/version.h,
	src/arch/win32/vice-version.bat, doc/vice.guide, doc/vice.chm,
	doc/vice.pdf, doc/vice.hlp, po/fr.po, po/nl.po, po/pl.po, po/it.po,
	po/hu.po, po/da.po, po/tr.po, po/de.po, po/sv.po, src/translate_text.c,
	src/arch/amigaos/intl_text.c, src/arch/win32/res.rc: VICE version 2.3

2011-02-19  Christian Vogelgsang <chris@vogelgsang.org>

	* doc/html/plain/NEWS: macosx: updated NEWS

2011-02-19 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: VCR: Safer scaling for Vg
	table lookup indexes

2011-02-19  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/dialog/memorywindowcontroller.m: macosx:
	fixed some warnings

2011-02-19  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/platform_macosx.c,
	src/arch/unix/macosx/platform_macosx.h: macosx: better compatiblity for
	platform query

2011-02-19 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: VCR: Simple is beautiful (and fast\!)

2011-02-19  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/sdl/archdep_unix.c: macosx: fixed platform detection on SDL
	version

2011-02-19  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/platform_macosx.c,
	src/arch/unix/macosx/platform_macosx.h: fixed comment

2011-02-19  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/platform.h, src/arch/unix/macosx/Makefile.am,
	src/arch/unix/macosx/platform_macosx.c,
	src/arch/unix/macosx/platform_macosx.h: macosx: added runtime OS and
	arch detection

2011-02-19  Antti S. Lankila <alankila@bel.fi>

	* src/resid/filter.cc: Whoops! 0.75 was correct all along.

2011-02-19  Antti S. Lankila <alankila@bel.fi>

	* src/resid/filter.cc: Adjust 8580 peak-to-peak down by 1/3, to avoid
	clipping on songs like Pot Wears Loon Pants or Drum Fool.

2011-02-19 Dag Lem <resid@nimrod.no>

	* src/resid/siddefs.h.in: Prefixed leftover defines with "RESID_"

2011-02-19  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/info.c: Added a mention of test result contributors.

2011-02-19 Dag Lem <resid@nimrod.no>

	* src/resid/configure.in: reSID 1.0-pre2

2011-02-19 Dag Lem <resid@nimrod.no>

	* src/resid/filter.h: VCR: Simplification/beautification

2011-02-19 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: Clamp Vg lookup table values to 16 bits

2011-02-18 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Temporary op-amp
	initializiation table (shaves 4MB data off data segment)

2011-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-emulator.rc: Fixed a typo.

2011-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-emulator.rc: Fixed a typo.

2011-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added proper expert cartridge support
	to the os/2 ui.

2011-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added several 'save ... image when
	changed' elements to the os/2 ui.

2011-02-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added mmc replay support to the
	os/2 ui.

2011-02-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added mmc64 support to the os/2 ui.

2011-02-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added vic20 cart writebacks to the
	os/2 ui.

2011-02-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po: Updated by Mikkel.

2011-02-17  Christian Vogelgsang <chris@vogelgsang.org>

	* doc/html/macosx.html: updated macosx download page

2011-02-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added vic20 cart support to the os/2 ui.

2011-02-03  Antti S. Lankila <alankila@bel.fi>

	* src/resid/filter.cc, src/resid/filter.h: Make the 6581 Vcr element
	calculation entirely branch-free by using a form that allows generating
	conditional move. This seems to give a significant speed boost on ARM
	devices.

2011-02-16 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: Replace K with u*Cox/2 for clarity

2011-02-16 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: Fixed scaling of (unused) vc_min/max

2011-02-16 Dag Lem <resid@nimrod.no>

	* src/resid/filter.h: VCR micro-optimization

2011-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/TextField.c: vice.h already includes
	config.h, including vice.h is the prefered method.

2011-02-16  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/info.c: Cosmetic change.

2011-02-16  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/widgets/TextField.c: Clean up comment.

2011-02-16  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/info.c: Further updated info on x64sc contributions.

2011-02-16 Dag Lem <resid@nimrod.no>

	* src/resid/configure.in, src/resid/filter.cc, src/resid/filter.h,
	src/resid/siddefs.h.in, src/resid/wave.h: Use EKV transistor model
	for VCR

2011-02-16  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/info.c: Updated info on recent contributions.

2011-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Enable building of x64dtv when sdlui is enabled.

2011-02-16  pottendo <pottendo@aon.at>

	* po/da.po, po/it.po, po/nl.po, po/tr.po: Updated.

2011-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/midi.c: Put the ending #endif in the proper spot.

2011-02-16  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-02-16  pottendo <pottendo@aon.at>

	* po/sv.po: Updated by Peter.

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/TextField.c: Don't define intptr_t when
	sys/int_types.h has already been included.

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/qnx4/build.sh: Don't use builtin_expect for qnx4.

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/TextField.c: Don't typedef wchar_t when
	already defined in stddef.h

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/amigaos.html, doc/html/beos.html, doc/html/index.html,
	doc/html/qnx.html, doc/html/sco.html, doc/html/solaris.html: Prepared
	some of the source/bin download pages for the 2.3 release.

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed a typo.

2011-02-15  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/main.c: Corrected a syntax error.

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/TextField.c: Last tweak for
	international support in TextField.c

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* README, doc/Readme.dos, doc/vice.texi, man/vice.1,
	src/arch/amigaos/mui/mui.c, src/arch/beos/ui.cc,
	src/arch/msdos/menudefs.c, src/arch/msdos/ui.c,
	src/arch/os2/dialogs/dialogs.rc, src/arch/os2/install.cmd,
	src/arch/sdl/make-bindist_qnx6.sh, src/arch/unix/macosx/x11-launcher.sh,
	src/arch/unix/qnx6/make-bindist.sh, src/arch/unix/x11/gnome/about.c,
	src/arch/unix/x11/xaw/about.c, src/resid/README, src/resid/THANKS,
	vice-gtk.spec.in, vice-mint.spec.in, vice.spec.in: Updated the vice
	homepage url.

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/index.html, doc/vice.texi, src/arch/amigaos/mui/mui.c,
	src/arch/beos/ui.cc, src/arch/msdos/menudefs.c,
	src/arch/os2/dialogs/dialogs.rc, src/arch/sdl/menu_help.c,
	src/arch/unix/x11/gnome/about.c, src/arch/unix/x11/xaw/about.c,
	src/arch/win32/res.rc, src/info.c, src/main.c: Updated the members
	lists.

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/Makefile.am,
	src/arch/unix/x11/xaw/widgets/utf8ext.c,
	src/arch/unix/x11/xaw/widgets/utf8ext.h: Removed (no longer needed)
	utf8ext.* files.

2011-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/unix/x11/xaw/widgets/TextField.c: Fixes for
	TextField.c: added configure tests for _Xlc_* functions and added
	(modified) patch by Olaf.

2011-02-15  pottendo <pottendo@aon.at>

	* po/da.po: Updated by Mikkel.

2011-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/TextField.c: More fixes for non-wchar
	platforms.

2011-02-14  Christian Vogelgsang <chris@vogelgsang.org>

	* data/C128/osx_pos.vkm, data/C128/osx_sym.vkm: macosx: fixed Y/Z for
	US x128 keyboard

2011-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/socketimpl.h: Added openserver 5 fix.

2011-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* vice-mint.spec.in: Changed --with-sdl to --with-sdlsound.

2011-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/unix/x11/xaw/widgets/TextField.c: Fixed for
	platforms without intptr_t and wchar.h, added wchar.h test to configure.

2011-02-14  Andreas Matthies <andreas.matthies@gmx.net>

	* src/gfxoutputdrv/ffmpegdrv.c: Fixed declaration of framecounter.

2011-02-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: changed the xrandr configure test to test for
	XRRConfigCurrentRate, since the original test was not enough to exclude
	older xrandr libs that didn't have the needed functions.

2011-02-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uic64cart.c: Fixed the position of a variable init.

2011-02-13  Andreas Matthies <andreas.matthies@gmx.net>

	* src/core/ciacore.c: Remove "Timer B bug" flag if normal interrupt
	occurs.

2011-02-13  Andreas Matthies <andreas.matthies@gmx.net>

	* src/core/ciacore.c: Fixes missing CIA/6526A interrupt delay if
	acknowledged on cycle before.

2011-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.rc: Removed IEC references from the
	os/2 printer ui items.

2011-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/TextField.c: Only include stdint.h when
	configure has defined it as present.

2011-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/utf8ext.c: Forgot to include utf8ext.h
	in utf8ext.c

2011-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added 'raw printer' support to the
	os/2 ui.

2011-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/Makefile.am,
	src/arch/unix/x11/xaw/widgets/TextField.c,
	src/arch/unix/x11/xaw/widgets/utf8ext.c,
	src/arch/unix/x11/xaw/widgets/utf8ext.h: Some of the utf8 calls used in
	TextField.c are only available if the X11 dev package is based on
	XFree86 4.0.2 and higher, so I added the utf8 extension code to be used
	in case the platform doesn't have it in its X11 dev.

2011-02-11  Andreas Matthies <andreas.matthies@gmx.net>

	* src/gfxoutputdrv/ffmpegdrv.c: Added "drop every second frame" feature
	requested by Moon. No GUI as this is already freezed for 2.3.

2011-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added 'load to basic start' to the
	os/2 ui.

2011-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added v364 speech support to the
	os/2 ui.

2011-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added magic voice support to the
	os/2 ui.

2011-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sounddrv/soundbeos.cc: #if 0'ed a line in the beos sound driver
	that seems to be responsible for it 'hanging' in certain circumstances.

2011-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/videoarch.h: Added some fixes for when the windows
	resources are compiled with wrc.

2011-02-11  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/sounddrv/soundwmm.c: Remove an nunnecessary include and 3 warnings

2011-02-11  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/sounddrv/sounddx.c: Do not compile sounddx.c if not necessary

2011-02-10  Andreas Matthies <andreas.matthies@gmx.net>

	* src/interrupt.h: Add debug output for NMI.

2011-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.h, src/arch/os2/dialogs/menubar.rc: Put
	some I/O extensions in sub menus in the os/2 ui.

2011-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added pet dww support to the os/2 ui.

2011-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/riscos/uiconfig.c, src/arch/riscos/uiconfig.h,
	src/arch/riscos/uihelp.c: Removed emuid from the riscos ui.

2011-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Removed emuid from the os/2 ui.

2011-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c: Seperated c64 model menu actions from
	menu selections and put them in the correct places.

2011-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sound.c: Added a 25 warning msg limit for the cycle based buffer
	overflow msg.

2011-02-09 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: The 8580 cutoff frequency is never 0

2011-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added c64 model selection to the
	os/2 ui.

2011-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64carthooks.c: Added the other missing #ifdef HAVE_MIDI.

2011-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64carthooks.c: Added missing #ifdef HAVE_MIDI.

2011-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/Makefile.am, src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/residdtv-voice.cc,
	src/arch/sdl/win32-watcom/residdtv-wave.cc,
	src/arch/sdl/win32-watcom/residdtv.tgt,
	src/arch/sdl/win32-watcom/residfp-pot.cc,
	src/arch/sdl/win32-watcom/residfp-wave.cc,
	src/arch/sdl/win32-watcom/residfp.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/watcom-source-wrappers/residdtv-voice.cc,
	src/arch/watcom-source-wrappers/residdtv-wave.cc,
	src/arch/watcom-source-wrappers/residfp-pot.cc,
	src/arch/watcom-source-wrappers/residfp-wave.cc,
	src/arch/win32/Makefile.am, src/arch/win32/watcom/resid-dtv.tgt,
	src/arch/win32/watcom/resid-fp.tgt,
	src/arch/win32/watcom/residdtv-voice.cc,
	src/arch/win32/watcom/residdtv-wave.cc,
	src/arch/win32/watcom/residfp-pot.cc,
	src/arch/win32/watcom/residfp-wave.cc, src/arch/win32/watcom/vice.wpj:
	More ow code duplication cleanup.

2011-02-07 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: Resonance function for the 8580, worked out from
	revectorized die photographs. Removed the last remaining divisions and
	floating point code from runtime.

2011-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/Makefile.am, src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/residdtv-extfilt.cc,
	src/arch/sdl/win32-watcom/residdtv-filter.cc,
	src/arch/sdl/win32-watcom/residdtv-version.cc,
	src/arch/sdl/win32-watcom/residdtv.tgt,
	src/arch/sdl/win32-watcom/residfp-filter.cc,
	src/arch/sdl/win32-watcom/residfp-version.cc,
	src/arch/sdl/win32-watcom/residfp-voice.cc,
	src/arch/sdl/win32-watcom/residfp.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/watcom-source-wrappers/residdtv-extfilt.cc,
	src/arch/watcom-source-wrappers/residdtv-filter.cc,
	src/arch/watcom-source-wrappers/residdtv-version.cc,
	src/arch/watcom-source-wrappers/residfp-filter.cc,
	src/arch/watcom-source-wrappers/residfp-version.cc,
	src/arch/watcom-source-wrappers/residfp-voice.cc,
	src/arch/win32/Makefile.am, src/arch/win32/watcom/resid-dtv.tgt,
	src/arch/win32/watcom/resid-fp.tgt,
	src/arch/win32/watcom/residdtv-extfilt.cc,
	src/arch/win32/watcom/residdtv-filter.cc,
	src/arch/win32/watcom/residdtv-version.cc,
	src/arch/win32/watcom/residfp-filter.cc,
	src/arch/win32/watcom/residfp-version.cc,
	src/arch/win32/watcom/residfp-voice.cc, src/arch/win32/watcom/vice.wpj:
	More ow code duplication cleanup.

2011-02-06  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64-midi.c, src/c64/cart/sfx_soundexpander.c,
	src/c64/cart/sfx_soundsampler.c, src/c64/cart/tfe.c, src/core/cs8900.c,
	src/core/cs8900.h, src/core/fmopl.c, src/core/fmopl.h,
	src/core/ser-eeprom.c, src/core/ser-eeprom.h, src/core/spi-sdcard.c,
	src/core/spi-sdcard.h, src/core/t6721.c, src/core/t6721.h, src/midi.c,
	src/midi.h, src/rtc/ds1302.c, src/rtc/ds1302.h: added/prepared some
	more snapshot stubs

2011-02-06  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64-midi.c, src/c64/cart/c64-midi.h,
	src/c64/cart/c64carthooks.c, src/c64/cart/ide64.c, src/c64/cart/ide64.h,
	src/c64/cart/magicvoice.c, src/c64/cart/magicvoice.h,
	src/c64/cart/mmc64.c, src/c64/cart/mmc64.h, src/c64/cart/mmcreplay.c,
	src/c64/cart/mmcreplay.h, src/c64/cart/sfx_soundexpander.c,
	src/c64/cart/sfx_soundexpander.h, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/sfx_soundsampler.h, src/c64/cart/snapshot64.c,
	src/c64/cart/tfe.c, src/c64/cart/tfe.h: added stubs for snapshot
	read/write and return proper error instead of silently not work :)

2011-02-06  groepaz <groepaz@gmx.net>

	* src/c64/cart/snapshot64.c: changed rom switching (makes codebuster
	rom work)

2011-02-06  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/tape/tap.c: In C16 tapes, tap_cbm_read_block() must be called
	with the right size of header, because C16 headers do not have an end
	marker, so the size cannot be autodetected

2011-02-06  groepaz <groepaz@gmx.net>

	* src/c64/cart/stardos.c: fix roml mapping, emulate capacitor (more)
	correctly

2011-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/Makefile.am, src/arch/os2/Makefile.am,
	src/arch/os2/watcom/resid-sid.cc, src/arch/os2/watcom/resid.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/viciisc.tgt,
	src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/resid-sid.cc,
	src/arch/sdl/win32-watcom/resid.tgt,
	src/arch/sdl/win32-watcom/residdtv-envelope.cc,
	src/arch/sdl/win32-watcom/residdtv-sid.cc,
	src/arch/sdl/win32-watcom/residdtv.tgt,
	src/arch/sdl/win32-watcom/residfp-envelope.cc,
	src/arch/sdl/win32-watcom/residfp-extfilt.cc,
	src/arch/sdl/win32-watcom/residfp-sid.cc,
	src/arch/sdl/win32-watcom/residfp.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/viciinew-snapshot.c,
	src/arch/sdl/win32-watcom/viciinew-timing.c,
	src/arch/sdl/win32-watcom/viciinew.tgt,
	src/arch/watcom-source-wrappers/resid-sid.cc,
	src/arch/watcom-source-wrappers/residdtv-envelope.cc,
	src/arch/watcom-source-wrappers/residdtv-sid.cc,
	src/arch/watcom-source-wrappers/residfp-envelope.cc,
	src/arch/watcom-source-wrappers/residfp-extfilt.cc,
	src/arch/watcom-source-wrappers/residfp-sid.cc,
	src/arch/watcom-source-wrappers/viciisc-snapshot.c,
	src/arch/watcom-source-wrappers/viciisc-timing.c,
	src/arch/win32/Makefile.am, src/arch/win32/watcom/resid-dtv.tgt,
	src/arch/win32/watcom/resid-fp.tgt, src/arch/win32/watcom/resid-sid.cc,
	src/arch/win32/watcom/resid.tgt,
	src/arch/win32/watcom/residdtv-envelope.cc,
	src/arch/win32/watcom/residdtv-sid.cc,
	src/arch/win32/watcom/residfp-envelope.cc,
	src/arch/win32/watcom/residfp-extfilt.cc,
	src/arch/win32/watcom/residfp-sid.cc, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/viciinew-snapshot.c,
	src/arch/win32/watcom/viciinew-timing.c,
	src/arch/win32/watcom/viciinew.tgt: More ow code duplication cleanup.

2011-02-06 Dag Lem <resid@nimrod.no>

	* src/sid/sid-snapshot.c: Bumped SIDEXTENDED snapshot version to 1.1

2011-02-06  Daniel Kahlin <tlr@users.sourceforge.net>

	* doc/html/plain/NEWS: Added a note about the changed ColorGamma range
	and a general note on upgrading.

2011-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/coding-guidelines.txt: Added skoe's refinement of the coding
	guidelines document.

2011-02-06  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/tape/tap.c: If a TAP file was corrupt, and there was a
	start-of-pause marker (0 byte) followed by less than 3 bytes then EOF,
	the function tap_find_pilot() went into an infinite loop

2011-02-06  Daniel Kahlin <tlr@users.sourceforge.net>

	* doc/html/plain/NEWS: Added mentions of a few additional fixes.

2011-02-06  Daniel Kahlin <tlr@users.sourceforge.net>

	* doc/html/plain/NEWS: Elaborated on x64sc.  Added note about
	autostart inject.

2011-02-06  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/joy.c: macosx: enabled joystick settings in x64sc

2011-02-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/Makefile.am, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/viciisc.tgt, src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/viciinew-color.c,
	src/arch/sdl/win32-watcom/viciinew-draw.c,
	src/arch/sdl/win32-watcom/viciinew-fetch.c,
	src/arch/sdl/win32-watcom/viciinew-irq.c,
	src/arch/sdl/win32-watcom/viciinew-mem.c,
	src/arch/sdl/win32-watcom/viciinew-phi1.c,
	src/arch/sdl/win32-watcom/viciinew-resources.c,
	src/arch/sdl/win32-watcom/viciinew.tgt,
	src/arch/watcom-source-wrappers/viciisc-color.c,
	src/arch/watcom-source-wrappers/viciisc-draw.c,
	src/arch/watcom-source-wrappers/viciisc-fetch.c,
	src/arch/watcom-source-wrappers/viciisc-irq.c,
	src/arch/watcom-source-wrappers/viciisc-mem.c,
	src/arch/watcom-source-wrappers/viciisc-phi1.c,
	src/arch/watcom-source-wrappers/viciisc-resources.c,
	src/arch/win32/Makefile.am, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/viciinew-color.c,
	src/arch/win32/watcom/viciinew-draw.c,
	src/arch/win32/watcom/viciinew-fetch.c,
	src/arch/win32/watcom/viciinew-irq.c,
	src/arch/win32/watcom/viciinew-mem.c,
	src/arch/win32/watcom/viciinew-phi1.c,
	src/arch/win32/watcom/viciinew-resources.c,
	src/arch/win32/watcom/viciinew.tgt: More ow code duplication cleanup.

2011-02-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/Makefile.am, src/arch/os2/Makefile.am,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/viciisc.tgt,
	src/arch/os2/watcom/xpet-main.c, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4-main.c, src/arch/os2/watcom/xplus4.tgt,
	src/arch/os2/watcom/xvic-main.c, src/arch/os2/watcom/xvic.tgt,
	src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/viciinew-cmdline-options.c,
	src/arch/sdl/win32-watcom/viciinew.c,
	src/arch/sdl/win32-watcom/viciinew.tgt,
	src/arch/sdl/win32-watcom/x64.tgt, src/arch/sdl/win32-watcom/x64main.c,
	src/arch/sdl/win32-watcom/xpet.tgt,
	src/arch/sdl/win32-watcom/xpetmain.c,
	src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xplus4main.c,
	src/arch/sdl/win32-watcom/xvic.tgt,
	src/arch/sdl/win32-watcom/xvicmain.c,
	src/arch/watcom-source-wrappers/viciisc-cmdline-options.c,
	src/arch/watcom-source-wrappers/viciisc.c,
	src/arch/watcom-source-wrappers/x64-main.c,
	src/arch/watcom-source-wrappers/xpet-main.c,
	src/arch/watcom-source-wrappers/xplus4-main.c,
	src/arch/watcom-source-wrappers/xvic-main.c,
	src/arch/win32/Makefile.am, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/viciinew-cmdline-options.c,
	src/arch/win32/watcom/viciinew.c, src/arch/win32/watcom/viciinew.tgt,
	src/arch/win32/watcom/x64.tgt, src/arch/win32/watcom/x64main.c,
	src/arch/win32/watcom/xpet.tgt, src/arch/win32/watcom/xpetmain.c,
	src/arch/win32/watcom/xplus4.tgt, src/arch/win32/watcom/xplus4main.c,
	src/arch/win32/watcom/xvic.tgt, src/arch/win32/watcom/xvicmain.c: More
	ow code duplication cleanup.

2011-02-05 Dag Lem <resid@nimrod.no>

	* src/arch/platform_cpu_type.h: Added missing include of string.h

2011-02-05 Dag Lem <resid@nimrod.no>

	* src/resid/sid.h, src/sid/resid.cc, src/sid/sid-snapshot.c,
	src/sid/sid-snapshot.h: Added new reSID state variables to SID snapshot

2011-02-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/Makefile.am, src/arch/os2/Makefile.am,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/x128-main.c,
	src/arch/os2/watcom/x128.tgt, src/arch/os2/watcom/x64dtv-main.c,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc-main.c,
	src/arch/os2/watcom/x64sc.tgt, src/arch/os2/watcom/xcbm2-main.c,
	src/arch/os2/watcom/xcbm2.tgt, src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/sdl/win32-watcom/x128.tgt,
	src/arch/sdl/win32-watcom/x128main.c,
	src/arch/sdl/win32-watcom/x64dtv.tgt,
	src/arch/sdl/win32-watcom/x64dtvmain.c,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/x64scmain.c,
	src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xcbm2main.c,
	src/arch/watcom-source-wrappers/genwinres32.c,
	src/arch/watcom-source-wrappers/x128-main.c,
	src/arch/watcom-source-wrappers/x64dtv-main.c,
	src/arch/watcom-source-wrappers/x64sc-main.c,
	src/arch/watcom-source-wrappers/xcbm2-main.c,
	src/arch/win32/Makefile.am, src/arch/win32/watcom/genwinres32.c,
	src/arch/win32/watcom/genwinres32.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/x128.tgt, src/arch/win32/watcom/x128main.c,
	src/arch/win32/watcom/x64dtv.tgt, src/arch/win32/watcom/x64dtvmain.c,
	src/arch/win32/watcom/x64sc.tgt, src/arch/win32/watcom/x64scmain.c,
	src/arch/win32/watcom/xcbm2.tgt, src/arch/win32/watcom/xcbm2main.c: More
	ow code duplication cleanup.

2011-02-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/makebindist.bat: Refined the os/2 ow bindist
	batch file a bit.

2011-02-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.rc: Fixed a typo.

2011-02-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/Makefile.am, src/arch/os2/Makefile.am,
	src/arch/os2/watcom/gentranslate32.tgt, src/arch/os2/watcom/vic20.tgt,
	src/arch/os2/watcom/vic20cart-generic.c, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/gentranslate32.tgt,
	src/arch/sdl/win32-watcom/vic20cart-generic.c,
	src/arch/sdl/win32-watcom/vic20cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/watcom-source-wrappers,
	src/arch/watcom-source-wrappers/gentranslate32.c,
	src/arch/watcom-source-wrappers/vic20cart-generic.c,
	src/arch/win32/Makefile.am, src/arch/win32/watcom/gentranslate32.c,
	src/arch/win32/watcom/gentranslate32.tgt,
	src/arch/win32/watcom/vic20.tgt,
	src/arch/win32/watcom/vic20cart-generic.c,
	src/arch/win32/watcom/vice.wpj: Start of the ow wrapper file code
	duplication cleanup.

2011-02-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/install.cmd, src/arch/os2/makedist.cmd: Fixed some
	elements of the os/2 makedist.cmd and install.cmd files.

2011-02-05  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cartmem.c, src/c64/cart/capture.c,
	src/c64/cart/capture.h, src/c64/cart/exos.c, src/c64/cart/exos.h,
	src/c64/cart/finalplus.c, src/c64/cart/finalplus.h,
	src/c64/cart/generic.c, src/c64/cart/generic.h,
	src/c64/cart/magicformel.c, src/c64/cart/magicformel.h,
	src/c64/cart/mmcreplay.c, src/c64/cart/mmcreplay.h,
	src/c64/cart/stardos.c, src/c64/cart/stardos.h: added missing hooks
	for vic-ii ultimax fetches

2011-02-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, doc/Makefile.am, doc/vice.inf, src/arch/os2/Makefile.am,
	src/arch/os2/makedist.cmd, src/arch/os2/texi2ipf,
	src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/VICE_HLP.ICC,
	src/arch/os2/vac++/VICE_INF.ICC, src/arch/os2/watcom/makebindist.bat:
	Moved os/2 vice.inf to the top doc dir (where it belongs) and added
	support for creating the os/2 vice.inf file (even when cross-compiling).

2011-02-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/watcom/makebindist.bat: Added
	a bindist batch file for os/2 ow.

2011-02-05  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cartmem.c, src/c64/cart/capture.c,
	src/c64/cart/capture.h, src/c64/cart/exos.c, src/c64/cart/exos.h,
	src/c64/cart/finalplus.c, src/c64/cart/finalplus.h,
	src/c64/cart/gamekiller.c, src/c64/cart/gamekiller.h,
	src/c64/cart/magicformel.c, src/c64/cart/magicformel.h,
	src/c64/cart/stardos.c, src/c64/cart/stardos.h, src/c64/cart/zaxxon.c,
	src/c64/cart/zaxxon.h: added memory peek

2011-02-05 Dag Lem <resid@nimrod.no>

	* src/resid/filter.h: VCR: Yet another micro-optimization - only load
	constant when used in calculation of triode mode current

2011-02-05 Dag Lem <resid@nimrod.no>

	* src/resid/envelope.h, src/resid/voice.h, src/resid/wave.cc,
	src/resid/wave.h: Shave 64KB off waveform arrays, and facilitate
	16x16->32 multiplication in envelope modulation

2011-02-05 Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: VCR: Micro-optimization in
	caculation of triode mode

2011-02-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc: Added vice.GID to the svn ignore list.

2011-02-04  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cartmem.c, src/c64/cart/generic.c,
	src/c64/cart/generic.h, src/c64/cart/retroreplay.c,
	src/c64/cart/retroreplay.h: remove direct export.x usage

2011-02-04  Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: 19 to 16 bit conversion
	almost complete

2011-02-04  Dag Lem <resid@nimrod.no>

	* src/resid/dac.cc, src/resid/dac.h, src/resid/envelope.cc,
	src/resid/envelope.h, src/resid/filter.cc, src/resid/filter.h,
	src/resid/wave.cc, src/resid/wave.h: Start of work to store most filter
	variables in 16 instead of 19 bits, as suggested by Antti Lankila.

2011-02-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/x64sc.tgt: Added
	.rc processing for x64sc to the os2 watcom project files.

2011-02-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/c64.icc: Fixed a typo.

2011-02-04  Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Reverted non-portable hack,
	which also fails to pass my secret beauty vs. benefit test :-)

2011-02-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/siddtvdefs.h,
	src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/X1541.ICC,
	src/arch/os2/vac++/incl/c128.icc, src/arch/os2/vac++/incl/c64cart.icc,
	src/arch/os2/vac++/incl/iec.icc, src/arch/os2/vac++/incl/iec128dcr.icc,
	src/arch/os2/vac++/incl/iecc64exp.icc,
	src/arch/os2/vac++/incl/mainsrc.icc, src/arch/os2/vac++/x128/X128.ICC:
	More os2 vac++ fixes.

2011-02-04  groepaz <groepaz@gmx.net>

	* src/arch/unix/joy.c: do only treat the first 4 joystick buttons as
	fire (fixes bug 3167986)

2011-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/RESID.ICC,
	src/arch/os2/vac++/config.h, src/arch/os2/vac++/incl/c64.icc,
	src/arch/os2/vac++/incl/c64cart.icc,
	src/arch/os2/vac++/incl/c64commonall.icc,
	src/arch/os2/vac++/incl/c64commonc128.icc,
	src/arch/os2/vac++/incl/c64commonc64dtv.icc,
	src/arch/os2/vac++/incl/c64commonc64sc.icc,
	src/arch/os2/vac++/incl/c64sc.icc, src/arch/os2/vac++/incl/core.icc,
	src/arch/os2/vac++/incl/crtc.icc,
	src/arch/os2/vac++/incl/gfxoutputdrv.icc,
	src/arch/os2/vac++/incl/mainsrc.icc, src/arch/os2/vac++/incl/plus4.icc,
	src/arch/os2/vac++/incl/printerdrv.icc,
	src/arch/os2/vac++/incl/sounddrv.icc, src/arch/os2/vac++/incl/vdc.icc,
	src/arch/os2/vac++/incl/viciisc.icc, src/arch/os2/vac++/incl/video.icc,
	src/arch/os2/vac++/lpng.icc, src/arch/os2/vac++/lzlib.icc,
	src/arch/os2/vac++/vicedll.ICC, src/arch/os2/vac++/x128/X128.ICC,
	src/arch/os2/vac++/x64/X64.ICC, src/arch/os2/vac++/x64dtv/X64DTV.ICC,
	src/arch/os2/vac++/x64sc, src/arch/os2/vac++/x64sc/X64SC.ICC,
	src/arch/os2/vac++/xcbm2/Xcbm2.ICC, src/arch/os2/vac++/xpet/Xpet.ICC,
	src/arch/os2/vac++/xplus4/Xplus4.ICC, src/arch/os2/vac++/xvic/Xvic.ICC:
	Preliminary fixes for the os2 vac++ project files.

2011-02-03  Antti S. Lankila <alankila@bel.fi>

	* src/resid/filter.cc, src/resid/filter.h: Unify snake current
	calculation for both directions of current. Adjust scaling for n_vcr and
	n_snake to 1 << 13, which avoids one shift in the hot path. Use 31 bits
	for vc, and apply a small bit hack to convert the signed vc value to
	unsigned array index.

2011-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/dialogs/dlg-fileio.c,
	src/arch/os2/kbd/Makefile.am, src/arch/os2/kbd/kbd-c64sc.c,
	src/arch/os2/siddefs.h, src/arch/os2/watcom/c128c64.tgt,
	src/arch/os2/watcom/c64.tgt, src/arch/os2/watcom/c64cart.tgt,
	src/arch/os2/watcom/c64commonsc.tgt, src/arch/os2/watcom/c64dtv.tgt,
	src/arch/os2/watcom/c64sc.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/core.tgt, src/arch/os2/watcom/crtc.tgt,
	src/arch/os2/watcom/gentranslate32.tgt, src/arch/os2/watcom/genwt.bat,
	src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/plus4.tgt, src/arch/os2/watcom/printerdrv.tgt,
	src/arch/os2/watcom/resid.tgt, src/arch/os2/watcom/vdc.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/viciicommon.tgt,
	src/arch/os2/watcom/viciisc.tgt, src/arch/os2/watcom/video.tgt,
	src/arch/os2/watcom/x128.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc-main.c,
	src/arch/os2/watcom/x64sc.tgt, src/arch/os2/watcom/xall-specific.tgt,
	src/arch/os2/watcom/xcbm2.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4.tgt, src/arch/os2/watcom/xvic.tgt,
	src/arch/platform_cpu_type.h, src/keyboard.c: Fixed the os/2 ow
	project files.

2011-02-03  pottendo <pottendo@aon.at>

	* po/tr.po: Updated by Emir.

2011-02-03  Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Decreased size of op-amp
	lookup table elements to 16 bits, for speedup on ARM

2011-02-03  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/mididrv.c: macosx: removed warnings in midi
	driver

2011-02-02  Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: VCR: 16 bit tables for Vg
	and Ids. This should hopefully make things fit in the L2 cache on ARM
	Cortex-A8 SoCs again

2011-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_win32.c, src/arch/sdl/uifilereq.c,
	src/arch/sdl/win64-msvc/config.h, src/sid/fastsid.c,
	src/video/render1x1ntsc.c, src/video/render1x1pal.c: Added some more
	64bit warning fixes.

2011-02-02  Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Framework for emulation of
	VCR transistor subthreshold model

2011-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uiautostart.c, src/arch/win32/uiexpert.c,
	src/arch/win32/uilightpen.c, src/arch/win32/uisound.c: Added some more
	64bit warning fixes.

2011-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ide64.c, src/rtc/bq4830y.c, src/rtc/bq4830y.h,
	src/rtc/ds12c887.c, src/rtc/ds12c887.h, src/rtc/ds1302.c,
	src/rtc/ds1302.h, src/rtc/rtc.c, src/rtc/rtc.h: Fixed the rtc system for
	64bit time_t.

2011-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.c, src/arch/win32/console.c, src/cbmdos.c,
	src/findpath.c, src/fsdevice/fsdevice-open.c,
	src/monitor/monitor_network.c, src/resources.c, src/vdrive/vdrive-dir.c:
	Added some 64bit warning fixes.

2011-02-02  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: added some cart related info

2011-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64cartmem.c, src/c64/cart/c64tpi.c,
	src/c64/cart/easyflash.c, src/c64/cart/mmc64.c: Some warning fixes.

2011-02-02  groepaz <groepaz@gmx.net>

	* src/c128/c128cia1.c, src/c64/c64cia1.c: if pa and pb are both output
	and pb outputs high, do not let pa drive pb low. fixes nitro#16

2011-02-02  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/info.c: Added credits for some patches since last year.

2011-02-01  Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Filter micro-optimization

2011-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, configure.in, doc/vice.chm, doc/vice.guide, doc/vice.hlp,
	po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po, po/pl.po,
	po/sv.po, po/tr.po, src/arch/win32/vice-version.bat, src/version.h:
	Version 2.2.12

2011-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po, po/pl.po,
	po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/translate_text.c: Did a 'make trans-update'.

2011-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2011-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc: Fix for ppc-beos.

2011-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid-fp/filter.cc: Changed the logf and expf replacement
	functions to defines.

2011-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/filter.h: Changed the sqrtf replacement function into a
	define.

2011-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ppc-cc.sh: Refined to use a.out as output file and not
	produce a.out if -c was given.

2011-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid-fp/configure.in: Only change CXX_FLAGS when compiling
	with g++.

2011-02-01  pottendo <pottendo@aon.at>

	* po/fr.po: Merge from Paul.

2011-02-01  pottendo <pottendo@aon.at>

	* po/it.po: Updated by Andrea.

2011-02-01  groepaz <groepaz@gmx.net>

	* doc/CIA-README.txt, doc/Makefile.am: added documentation of CIA
	internals (by Andre Fachat)

2011-02-01  groepaz <groepaz@gmx.net>

	* doc/Documentation-Howto.txt, doc/checkdoc.c, doc/checkdoc.mak,
	doc/vice.pdf, doc/vice.texi, doc/vice.txt: added remaining missing
	command line options (all done). fixed all outdated resources.
	updated howto

2011-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/beos/ppc-build-sdl.sh, build/beos/ppc-build.sh,
	src/arch/beos/Makefile.am, src/arch/beos/ppc-cc.sh: Added a compiler
	wrapper script for the ppc-beos compiler (mwccppc), because newer
	autotools generate a configure script that doesn't use -o any more for
	checking for standard compiler output.

2011-01-31  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-01-31  groepaz <groepaz@gmx.net>

	* src/vdc/vdc-cmdline-options.c: fix typo

2011-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po, po/pl.po,
	po/sv.po, po/tr.po, src/crtc/crtc-cmdline-options.c,
	src/plus4/ted-cmdline-options.c, src/translate.txt,
	src/translate_text.c, src/vdc/vdc-cmdline-options.c,
	src/vic20/vic-cmdline-options.c, src/vicii/vicii-cmdline-options.c,
	src/viciisc/vicii-cmdline-options.c: Prepared po files for distribution
	to the translators for the upcoming 2.3 release.

2011-01-31  groepaz <groepaz@gmx.net>

	* src/crtc/crtc-cmdline-options.c, src/plus4/ted-cmdline-options.c,
	src/translate_text.c, src/vdc/vdc-cmdline-options.c,
	src/vic20/vic-cmdline-options.c, src/vicii/vicii-cmdline-options.c,
	src/viciisc/vicii-cmdline-options.c: added missing command-line options
	for crt emulation, fixed ranges in help messages

2011-01-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/plus4ui.cc, src/arch/beos/ui.cc,
	src/arch/beos/vicemenu.cc, src/arch/beos/vicewindow.cc: Fixed some beos
	issues.

2011-01-30  Dag Lem <resid@nimrod.no>

	* src/arch/unix/gui/uirenderer.c: Ensure that tick is displayed for
	'VIC-II settings/Renderer' in the Xaw port

2011-01-30  Dag Lem <resid@nimrod.no>

	* src/gfxoutputdrv/bmpdrv.c: Hopefully fixed BMP row padding for the
	'memmap feature'

2011-01-30  Dag Lem <resid@nimrod.no>

	* src/gfxoutputdrv/bmpdrv.c: Added BMP row padding, simplified code

2011-01-30  Dag Lem <resid@nimrod.no>

	* src/arch/unix/x11/xaw/x11ui.c: Fix for fontSet specification which
	prevented startup ('Missing charsets in String to FontSet conversion')

2011-01-29  groepaz <groepaz@gmx.net>

	* src/crtc/crtc-cmdline-options.c, src/vic20/vic-cmdline-options.c:
	added missing cmdline options for crt emulation

2011-01-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/resid/configure.in: Added a test to the configure
	script for testing if the compiler supports -march=...

2011-01-29  groepaz <groepaz@gmx.net>

	* src/c64/cart/mach5.c, src/cartconv.c: support 4k mach5 images

2011-01-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/constants.h, src/arch/beos/ui.cc,
	src/arch/beos/ui_file.cc, src/arch/beos/ui_file.h,
	src/arch/beos/ui_video.cc, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc: Added 'crt emulation' to the beos ui, and
	added 'save to ... image when changed' items as well.

2011-01-29  groepaz <groepaz@gmx.net>

	* src/c64/cart/easyflash.c: some code cleanup (patch by skoe)

2011-01-29  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cart.c: resolve cart image (relative) path when
	attaching

2011-01-29  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/main.c: Corrected a mistake in the team member list.

2011-01-29  Dag Lem <resid@nimrod.no>

	* src/core/ciacore.c, src/c64/cart/c64tpi.c, src/c64/cart/reu.c,
	src/c64/cart/dqbb.c, src/c64/cart/dqbb.h, src/c64/cart/expert.c,
	src/c64/cart/expert.h, src/c64/cart/isepic.c, src/c64/cart/isepic.h,
	src/c64/cart/ramcart.c, src/c64/cart/ramcart.h, src/c64/cart/mmc64.c,
	src/plus4/plus4mem.c, src/cbm2/cbm2cia.h, src/cbm2/cbm2cia1.c,
	src/c64/cart/c64cartmem.c, src/c64/cart/generic.c,
	src/c64/cart/retroreplay.c, src/c64/c64sound.c,
	src/c64/cart/atomicpower.c, src/c64/cart/freezemachine.c,
	src/c64/cart/magicvoice.c, src/c64/cart/supersnapshot4.c,
	src/c64/cart/mach5.c, src/c64/cart/easyflash.c, INSTALL,
	build/macosx/build-vice-dist.sh, src/aciacore.c,
	src/arch/amigaos/types.h, src/arch/beos/types.h, src/arch/msdos/types.h,
	src/arch/os2/types.h, src/arch/riscos/types.h, src/arch/sdl/types.h,
	src/arch/unix/types.h, src/arch/win32/types.h, src/c128/c128.c,
	src/c128/c128cia1.c, src/c128/c128mem.c, src/c128/c128mem.h,
	src/c128/c128memrom.c, src/c128/c128memrom.h, src/c128/c128mmu.c,
	src/c128/c128mmu.h, src/c128/functionrom.c, src/c128/functionrom.h,
	src/c128/z80mem.c, src/c128/z80mem.h, src/c64/c64_256k.c,
	src/c64/c64_256k.h, src/c64/c64cia.h, src/c64/c64cia1.c,
	src/c64/c64cia2.c, src/c64/c64io.c, src/c64/c64io.h, src/c64/c64mem.c,
	src/c64/c64mem.h, src/c64/c64memrom.c, src/c64/c64memrom.h,
	src/c64/c64memsc.c, src/c64/cart/actionreplay.c,
	src/c64/cart/actionreplay.h, src/c64/cart/actionreplay2.c,
	src/c64/cart/actionreplay2.h, src/c64/cart/actionreplay3.c,
	src/c64/cart/actionreplay3.h, src/c64/cart/actionreplay4.c,
	src/c64/cart/actionreplay4.h, src/c64/cart/atomicpower.h,
	src/c64/cart/c64-midi.c, src/c64/cart/c64-midi.h, src/c64/cart/c64acia.h,
	src/c64/cart/c64acia1.c, src/c64/cart/c64cartmem.h,
	src/c64/cart/capture.c, src/c64/cart/capture.h, src/c64/cart/comal80.c,
	src/c64/cart/delaep256.c, src/c64/cart/delaep64.c,
	src/c64/cart/delaep7x8.c, src/c64/cart/diashowmaker.c,
	src/c64/cart/digimax.c, src/c64/cart/dinamic.c, src/c64/cart/easyflash.h,
	src/c64/cart/epyxfastload.c, src/c64/cart/epyxfastload.h,
	src/c64/cart/exos.c, src/c64/cart/exos.h, src/c64/cart/final.c,
	src/c64/cart/final.h, src/c64/cart/final3.c, src/c64/cart/final3.h,
	src/c64/cart/finalplus.c, src/c64/cart/finalplus.h,
	src/c64/cart/freezeframe.c, src/c64/cart/freezemachine.h,
	src/c64/cart/funplay.c, src/c64/cart/gamekiller.c,
	src/c64/cart/generic.h, src/c64/cart/georam.c, src/c64/cart/gs.c,
	src/c64/cart/ide64.c, src/c64/cart/ide64.h, src/c64/cart/kcs.c,
	src/c64/cart/magicdesk.c, src/c64/cart/magicformel.c,
	src/c64/cart/magicformel.h, src/c64/cart/mikroass.c,
	src/c64/cart/mmc64.h, src/c64/cart/mmcreplay.c, src/c64/cart/mmcreplay.h,
	src/c64/cart/ocean.c, src/c64/cart/ocean.h, src/c64/cart/prophet64.c,
	src/c64/cart/retroreplay.h, src/c64/cart/rexep256.c,
	src/c64/cart/rexutility.c, src/c64/cart/ross.c,
	src/c64/cart/sfx_soundexpander.c, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/simonsbasic.c, src/c64/cart/snapshot64.c,
	src/c64/cart/snapshot64.h, src/c64/cart/stardos.c,
	src/c64/cart/stardos.h, src/c64/cart/stb.c, src/c64/cart/superexplode5.c,
	src/c64/cart/superexplode5.h, src/c64/cart/supergames.c,
	src/c64/cart/supersnapshot.c, src/c64/cart/supersnapshot.h,
	src/c64/cart/supersnapshot4.h, src/c64/cart/tfe.c,
	src/c64/cart/warpspeed.c, src/c64/cart/westermann.c,
	src/c64/cart/zaxxon.c, src/c64/cart/zaxxon.h, src/c64/plus256k.c,
	src/c64/plus256k.h, src/c64/plus60k.c, src/c64/plus60k.h,
	src/c64dtv/c64dtvblitter.c, src/c64dtv/c64dtvblitter.h,
	src/c64dtv/c64dtvcia1.c, src/c64dtv/c64dtvcia2.c, src/c64dtv/c64dtvdma.c,
	src/c64dtv/c64dtvdma.h, src/c64dtv/c64dtvmem.c, src/c64dtv/c64dtvmem.h,
	src/c64dtv/c64dtvmemrom.c, src/cbm2/cbm2acia.h, src/cbm2/cbm2mem.c,
	src/cbm2/cbm2mem.h, src/cbm2/cbm2tpi.h, src/cbm2/cbm2tpi1.c,
	src/cbm2/cbm2tpi2.c, src/cia.h, src/core/cs8900.c, src/core/cs8900.h,
	src/core/flash040core.c, src/core/riotcore.c, src/core/t6721.c,
	src/core/t6721.h, src/core/tpicore.c, src/core/viacore.c,
	src/crtc/crtc-mem.c, src/crtc/crtc-mem.h, src/drive/drivemem.c,
	src/drive/drivemem.h, src/drive/drivetypes.h,
	src/drive/iec/c64exp/mc6821.c, src/drive/iec/c64exp/profdos.c,
	src/drive/iec/cia1571d.c, src/drive/iec/cia1581d.c, src/drive/iec/ciad.h,
	src/drive/iec/memiec.c, src/drive/iec/via1d1541.c,
	src/drive/iec/via1d1541.h, src/drive/iec/wd1770.c,
	src/drive/iec/wd1770.h, src/drive/iecieee/via2d.c,
	src/drive/ieee/memieee.c, src/drive/ieee/riot1d.c,
	src/drive/ieee/riot2d.c, src/drive/ieee/riotd.h,
	src/drive/ieee/via1d2031.c, src/drive/ieee/via1d2031.h,
	src/drive/tcbm/mem1551.c, src/drive/tcbm/tpid.c, src/drive/tcbm/tpid.h,
	src/drive/viad.h, src/flash040.h, src/mainc64cpu.c, src/maincpu.c,
	src/mainviccpu.c, src/mem.h, src/midi.c, src/midi.h, src/pet/petacia.h,
	src/pet/petdww.c, src/pet/petdww.h, src/pet/petmem.c, src/pet/petpia.h,
	src/pet/petreu.c, src/pet/petreu.h, src/pet/petvia.c, src/pet/petvia.h,
	src/piacore.c, src/plus4/digiblaster.c, src/plus4/digiblaster.h,
	src/plus4/plus4acia.h, src/plus4/plus4memcsory256k.c,
	src/plus4/plus4memcsory256k.h, src/plus4/plus4memhannes256k.c,
	src/plus4/plus4memhannes256k.h, src/plus4/plus4memrom.c,
	src/plus4/plus4memrom.h, src/plus4/plus4pio1.c, src/plus4/plus4pio1.h,
	src/plus4/plus4pio2.c, src/plus4/plus4pio2.h, src/plus4/plus4speech.c,
	src/plus4/plus4speech.h, src/plus4/plus4tcbm.c, src/plus4/plus4tcbm.h,
	src/plus4/sidcartjoy.c, src/plus4/sidcartjoy.h, src/plus4/ted-mem.c,
	src/plus4/ted-mem.h, src/plus4/ted-sound.c, src/plus4/ted-sound.h,
	src/plus4/ted-timer.c, src/plus4/ted-timer.h, src/riot.h, src/sid/sid.c,
	src/sid/sid.h, src/tpi.h, src/vdc/vdc-mem.c, src/vdc/vdc-mem.h,
	src/via.h, src/vic20/cart/finalexpansion.c,
	src/vic20/cart/finalexpansion.h, src/vic20/cart/generic.c,
	src/vic20/cart/generic.h, src/vic20/cart/megacart.c,
	src/vic20/cart/megacart.h, src/vic20/cart/vic-fp.c,
	src/vic20/cart/vic-fp.h, src/vic20/cart/vic20cartmem.c,
	src/vic20/cart/vic20cartmem.h, src/vic20/vic-mem.c, src/vic20/vic-mem.h,
	src/vic20/vic20ieeevia.h, src/vic20/vic20ieeevia1.c,
	src/vic20/vic20ieeevia2.c, src/vic20/vic20mem.c, src/vic20/vic20mem.h,
	src/vic20/vic20memrom.c, src/vic20/vic20memrom.h, src/vic20/vic20via.h,
	src/vic20/vic20via1.c, src/vic20/vic20via2.c, src/vicii/vicii-mem.c,
	src/vicii/vicii-mem.h, src/viciisc/vicii-mem.c, src/viciisc/vicii-mem.h,
	vice-mint.spec.in, vice.spec.in: Removed pre-historic gcc-only
	REGPARM cruft

2011-01-29  Dag Lem <resid@nimrod.no>

	* configure.in, acinclude.m4: gcc -march=native used by default in reSID
	(all ports) and in VICE proper (Unix/Linux). Specify --disable-arch for
	default gcc behavior, and e.g. --enable-arch=pentium3 to build a binary
	for distribuition.

2011-01-29  Dag Lem <resid@nimrod.no>

	* src/monitor/Makefile.am: Replaced YFLAGS with AM_YFLAGS

2011-01-29  Daniel Kahlin <tlr@users.sourceforge.net>

	* doc/vice.texi, src/info.c, src/main.c, README: Updates to reflect the
	current member status consistently.

2011-01-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/ui.cc,
	src/arch/beos/ui_file.cc, src/arch/beos/ui_file.h,
	src/arch/beos/vicemenu.cc, src/arch/beos/ui.h,
	src/arch/beos/vicewindow.cc, src/arch/beos/vicewindow.h: Added printer
	support to the beos ui.

2011-01-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Added VICE_MACHINE_C64SC references to the
	beos ui so that the needed x64 menu items will also be used for x64sc.

2011-01-28  Dag Lem <resid@nimrod.no>

	* doc/html/plain/NEWS: Elaboration of changes in reSID

2011-01-28  Andreas Matthies <andreas.matthies@gmx.net>

	* src/core/ciacore.c, src/cia.h: Another attempt to fix the CIA
	interrupts.

2011-01-28  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-01-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.h, src/arch/beos/ui_file.cc,
	src/arch/beos/ui_file.h, src/arch/beos/vicemenu.cc,
	src/arch/beos/Makefile.am, src/arch/beos/ui_ide64.cc,
	src/arch/beos/ui_ide64.h: Added ide64 support to the beos ui.

2011-01-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_file.cc, src/arch/beos/vicemenu.cc: Changed user
	visible cart strings in the beos ui.

2011-01-28  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/vice.texi, src/info.c, doc/html/index.html,
	src/arch/amigaos/mui/mui.c, src/arch/msdos/menudefs.c,
	src/arch/beos/ui.cc, src/main.c, README, src/arch/sdl/menu_help.c,
	src/arch/unix/x11/gnome/about.c, src/arch/unix/x11/xaw/about.c: Hop to
	the former side of the member fence

2011-01-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/ui.cc,
	src/arch/beos/vicemenu.cc: Removed emuid from the beos ui.

2011-01-28  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/html/plain/NEWS: Some updates

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc: Added 'vic flash plugin write back' support
	to the beos ui.

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/ui.cc,
	src/arch/beos/vicemenu.cc: Added 'load to basic start' support to the
	beos ui.

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/ui_file.cc,
	src/arch/beos/ui_file.h, src/arch/beos/vicemenu.cc,
	src/arch/beos/plus4ui.cc: Added v364 speech support to the beos ui.

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc, src/arch/beos/constants.h,
	src/arch/beos/ui_file.cc, src/arch/beos/ui_file.h,
	src/arch/beos/vicemenu.cc: Added magic voice support to the beos ui.

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc, src/arch/beos/constants.h,
	src/arch/beos/ui_file.cc, src/arch/beos/ui_file.h,
	src/arch/beos/vicemenu.cc: Added mmc replay support to the beos ui.

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc, src/arch/beos/constants.h,
	src/arch/beos/vicemenu.cc: Added mmc64 card type item to the beos ui.

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/ui_file.cc,
	src/arch/beos/vicemenu.cc, src/arch/beos/petui.cc: Added pet dww support
	to the beos ui.

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc, src/arch/beos/constants.h,
	src/arch/beos/vicemenu.cc: Added c64 model selection to the beos ui.

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h: Changed some beos ui constants
	(were doubles previously).

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc, src/arch/platform_cpu_type.h: Added
	c64scui_init() for the beos ui.

2011-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/pngdrv.c: Support pre-1.0.6 libpng again.

2011-01-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Added a missing 'test' command to the configure script.

2011-01-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/win32/resc64.rc,
	src/arch/amigaos/intl.txt, src/arch/win32/resstrings.txt,
	src/arch/msdos/uic64model.c, src/arch/win32/uic64.c: Removed '6526x'
	from the amiga, dos and win32 ui.

2011-01-26  groepaz <groepaz@gmx.net>

	* doc/Documentation-Howto.txt: WIP guidelines/howto

2011-01-26  groepaz <groepaz@gmx.net>

	* doc/checkdoc.c, doc/checkdoc.mak: lousy WIP tool to check vice.texi
	for missing resources and options

2011-01-26  Antti S. Lankila <alankila@bel.fi>

	* src/c64/psiddrv.a65, src/c64/psiddrv.h: Some tunes appear to clear
	he I flag during their init routine. These songs could launch the
	playing IRQ before the CPU port iomap value is set up. To handle this
	issue, iomap is adjusted before the tune's init vector is called.

2011-01-26  groepaz <groepaz@gmx.net>

	* doc, doc/vice.pdf, doc/vice.txt, doc/vice.texi: lots more command
	line options added (30 to go...)

2011-01-26  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/c64/c64mem.c, src/c64/c64memsc.c, src/sid/sid.c, src/sid/sid.h:
	Implement basic sid_peek

2011-01-26  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_sid.c, src/arch/sdl/uimenu.c: SDL UI: add reSID
	filter bias slider, fix slider for resources with negative values

2011-01-26  Antti S. Lankila <alankila@bel.fi>

	* src/translate_text.c, src/resid/filter.cc, src/resid/filter.h,
	src/resid/sid.h, src/translate.txt, src/resid/sid.cc,
	src/resid-dtv/sid.cc, src/resid-dtv/sid.h, src/sid/resid.cc,
	src/sid/sid-cmdline-options.c, src/sid/sid-resources.c: Support new
	resource, SidResidFilterBias, to adjust filter curve position. The bias
	is given in millivolts, and a maximum reasonable control range is
	approximately -500 to 500.

2011-01-26  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/translate_text.c, src/core/ciacore.c, src/arch/unix/gui/c64scui.c,
	src/arch/msdos/uic64model.c, src/cia.h, src/arch/win32/uic64.c,
	src/arch/amigaos/mui/uic64model.c, src/arch/sdl/menu_c64model.c,
	src/arch/unix/gui/c64ui.c, src/c64/c64-resources.c, src/c64/c64model.c,
	src/c64/c64scmodel.c: Replace CIA model 6526 with 6526x.

2011-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc, configure.in, doc/vice.chm, doc/vice.hlp, doc/vice.pdf, po/de.po,
	po/tr.po, po/nl.po, po/da.po, po/fr.po, po/hu.po, po/it.po, po/pl.po,
	po/sv.po, src/arch/amigaos/genintl_h.sh, src/debug.h,
	src/gentranslate_h.sh, ChangeLog, src/arch/win32/vice-version.bat,
	src/version.h: Version 2.2.11

2011-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Makefile.am, doc/texi2chm.sh, doc/texi2guide.sh, doc/vice.chm,
	doc/vice.guide, doc/vice.hlp, doc/vice.pdf: Updated some of the doc
	generating scripts and regenerated the vice.* files.

2011-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resdigimax.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/resexpert.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/resisepic.rc, src/arch/win32/resmmcreplay.rc,
	src/arch/win32/resramcart.rc, src/arch/win32/resreu.rc,
	src/translate_text.c: Did a 'make trans-update'.

2011-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2011-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po, po/pl.po,
	po/sv.po, po/tr.po: Did a 'make update-po'.

2011-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/unix/macosx/cocoa/mousedrv.m,
	src/arch/unix/macosx/cocoa/video.m, src/c64/cart/c64tpi.c,
	src/translate.txt, src/translate_text.c: Added some previously
	untranslated texts to the translation system.

2011-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/tuimenu.h,
	src/arch/msdos/uic64_256k.c, src/arch/msdos/uic64dtv.c,
	src/arch/msdos/uidqbb.c, src/arch/msdos/uiexpert.c,
	src/arch/msdos/uiexpert.h, src/arch/msdos/uigeoram.c,
	src/arch/msdos/uiide64.c, src/arch/msdos/uiisepic.c,
	src/arch/msdos/uimagicvoice.c, src/arch/msdos/uimmc64.c,
	src/arch/msdos/uimmcreplay.c, src/arch/msdos/uipetdww.c,
	src/arch/msdos/uipetreu.c, src/arch/msdos/uiplus256k.c,
	src/arch/msdos/uiplus60k.c, src/arch/msdos/uiramcart.c,
	src/arch/msdos/uireu.c, src/arch/msdos/uiv364speech.c: Added
	'save when changed' elements and expert cart settings dialog to the
	dos ui.

2011-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate_text.c: Added IDCLS_ENABLE_PETDWW translation block.

2011-01-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc, doc/Makefile.am, doc/texi2chm.sh, doc/texi2guide.sh: Added
	$(srcdir) to get the proper location of vice.texi.

2011-01-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/tuifs.c: Extended the dos lfn support to windows me,
	2000, xp, 2003 and vista/7. (Better solution for detecting lfn is needed
	though, because support for things like doslfn is missing)

2011-01-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, doc/Makefile.am, doc/t2h.pl, doc/texi2chm.sh,
	doc/texi2guide.sh, doc/vice.chm, doc/vice.guide, doc/vice.hlp,
	doc/vice.pdf, doc/vice.txt: Added texi to chm/hlp/guide support and
	added vice.txt, vice.pdf, vice.guide, vice.chm and vice.hlp to the
	source tree (and source dist).

2011-01-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/make-bindist.sh, src/arch/beos/make-bindist.sh,
	src/arch/msdos/make-bindist.sh, src/arch/os2/makedist.cmd,
	src/arch/sdl/make-bindist_amiga.sh, src/arch/sdl/make-bindist_beos.sh,
	src/arch/sdl/make-bindist_win32.sh,
	src/arch/sdl/win32-msvc/make-bindist.bat,
	src/arch/sdl/win32-watcom/make-watcom-bindist.bat,
	src/arch/sdl/win64-msvc/make-bindist.bat,
	src/arch/unix/hpux/make-bindist.sh, src/arch/unix/qnx6/make-bindist.sh,
	src/arch/win32/make-bindist.sh, src/arch/win32/make-msvc-bindist.bat,
	src/arch/win32/watcom/make-watcom-bindist.bat,
	src/arch/win64/make-msvc-bindist.bat: Removed cartconv.txt and
	mon.txt from the various bindist scripts.

2011-01-24  groepaz <groepaz@gmx.net>

	* doc/html/plain/BUGS, doc/html/plain/TODO: added sf urls

2011-01-24  groepaz <groepaz@gmx.net>

	* doc/Makefile.am: remove obsolete files from doc_Data

2011-01-24  groepaz <groepaz@gmx.net>

	* doc/cartconv.txt, doc/mon.txt: remove obsolete cartconv.txt and
	mon.txt

2011-01-24  groepaz <groepaz@gmx.net>

	* doc/vice.texi: fix autostart, drive, printer, vdc, vic, vicii, crtc
	and other options :)

2011-01-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/pngdrv.c: Added '#include <zlib.h>' to the png
	driver.

2011-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/ui.c, src/arch/msdos/uidrive.c: Rewrote the dos drive
	ui.

2011-01-23  Andreas Matthies <andreas.matthies@gmx.net>

	* src/gfxoutputdrv/ffmpegdrv.c: Use XVID instead of default FMP4 FOURCC.

2011-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, doc/Makefile.am: Added support for building vice.txt and
	vice.pdf from vice.texi

2011-01-22  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/core/ciacore.c: Remove misleading comment

2011-01-22  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/ReadmeSDL.txt, doc/html/plain/NEWS: Some SDL UI FFMPEG docs, NEWS
	entries

2011-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src, src/arch/amigaos: Added some more svn ignores.

2011-01-22  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/info.c: A nod to the next level in competition

2011-01-22  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/vice.texi: Lowercase emulator names for consistency, uppercase
	(ep)rom, kb->kB

2011-01-22  Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: Decreased size of op-amp
	lookup table to 16 bits, for speedup on ARM

2011-01-22  groepaz <groepaz@gmx.net>

	* doc/vice.texi: updated cartridge stuff, updated monitor chapter,
	added petcat and cartconv chapters

2011-01-22  groepaz <groepaz@gmx.net>

	* src/mouse.c: unbreak paddles

2011-01-21  Dag Lem <resid@nimrod.no>

	* src/resid/filter.h, src/resid/sid.h: [reSID] Removed 'public:' used
	for debugging

2011-01-21  groepaz <groepaz@gmx.net>

	* doc/html/index.html: changed links to point to the respective list on
	sourceforge instead of the outdated BUGS and TODO documents

2011-01-21  groepaz <groepaz@gmx.net>

	* doc/html/plain/NEWS: added/updated some details

2011-01-21  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64carthooks.c, src/c64/cart/c64tpi.c,
	src/c64/cart/c64tpi.h, src/c64/cart/reu.c: fix broken commandline help
	messages, added missing commandline options (ieee488)

2011-01-21  Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc, src/resid/filter.h: [reSID] Pure table lookup for
	sqrt. Speed is now on par with resid-fp

2011-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_drive.c: Changed 'hide p00 files' to
	'hide non-p00 files' in the sdl ui.

2011-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/archdep.h,
	src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c, src/arch/msdos/petui.c,
	src/arch/msdos/plus4ui.c, src/arch/msdos/uivideo.c,
	src/arch/msdos/uivideo.h, src/arch/msdos/vic20ui.c: Rewrote the dos
	video settings ui.

2011-01-19  groepaz <groepaz@gmx.net>

	* src/mouse.c: fixed potx/y multiplexing according to testresults

2011-01-18  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11video.c: Fix (Work around?) case where xs
	goes negative while resizing the main window "too small". Some calls
	deeper, render_32_1x2_04() (from xpet, 80 columns, double size, no
	hardware scaling), doesn't like that. The condition is apparently
	temporary, as the window resize repositions the canvas/viewport.

2011-01-18  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uiedisk.c,
	src/arch/unix/x11/xaw/widgets/TextField.c,
	src/arch/unix/x11/xaw/widgets/TextFieldP.h: Fix a remaining GC sharing
	bug. Add X64 button to disk image types. Clean out some stray layout
	stuff.

2011-01-18  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uic64cart.c, src/arch/msdos/uidigimax.c,
	src/arch/msdos/uidigimax.h, src/arch/msdos/uigeoram.c,
	src/arch/msdos/uigeoram.h, src/arch/msdos/uiisepic.c,
	src/arch/msdos/uiisepic.h, src/arch/msdos/uimmcreplay.c,
	src/arch/msdos/uiramcart.c, src/arch/msdos/uiramcart.h,
	src/arch/msdos/uisoundexpander.c: Corrected some user visible cart
	names.

2011-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiprinter.c: Fixed some text.

2011-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiprinter.c: Added the 'raw' printer driver to the dos
	ui.

2011-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/archdep.c: Added fix file permission support to the
	dos port.

2011-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/uiide64.c,
	src/arch/msdos/uiide64.h, src/arch/msdos/vic20ui.c: Added an ide64
	dialog to the dos ui.

2011-01-16  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64carthooks.c, src/c64/cart/dqbb.c, src/c64/cart/dqbb.h,
	src/c64/cart/expert.c, src/c64/cart/expert.h, src/c64/cart/isepic.c,
	src/c64/cart/isepic.h, src/c64/cart/ramcart.c, src/c64/cart/ramcart.h,
	src/c64/cart/reu.c: fixed accidental image overwriting, added snapshot
	support

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uiide64.c: Corrected the ide64 cyl/heads/sectors
	range for the amiga ui.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/vic20ui.c: Added 'vic flash plugin writeback' support
	to the dos ui.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/tr.po: Updated by Emir.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiattach.c: Added 'load to basic start' autostart item
	to the dos ui.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resacia.rc, src/arch/win32/resautostart.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/resdigimax.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/reseasyflash.rc, src/arch/win32/resexpert.rc,
	src/arch/win32/resgeoram.rc, src/arch/win32/reside64.rc,
	src/arch/win32/resisepic.rc, src/arch/win32/resmagicvoice.rc,
	src/arch/win32/resmidi.rc, src/arch/win32/resmmc64.rc,
	src/arch/win32/resmmcreplay.rc, src/arch/win32/respet.rc,
	src/arch/win32/respetdww.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resramcart.rc, src/arch/win32/resreu.rc,
	src/arch/win32/ressid.rc, src/arch/win32/ressidcart.rc,
	src/arch/win32/ressiddtv.rc, src/arch/win32/resv364speech.rc,
	src/arch/win32/resvic20.rc, src/translate_text.c: Did a
	'make trans-update'.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po, po/pl.po,
	po/sv.po, po/tr.po: Did a 'make update-po'.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/mui.c, src/arch/amigaos/mui/uiide64.c,
	src/arch/amigaos/mui/uinetwork.c, src/arch/amigaos/mui/uisid.c,
	src/arch/amigaos/mui/uisiddtv.c, src/arch/amigaos/mui/uisound.c,
	src/arch/amigaos/mui/uivideo.c: Added some 'range checking and enforcing'
	to the amiga ui.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uipetdww.c, src/translate.txt,
	src/translate_text.c, src/video/video-cmdline-options.c: Removed some
	obsolete/unused translation items.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/fullscrn.c, src/arch/win32/res.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uisid.c,
	src/arch/win32/uivideo.c: Added some 'range checking and enforcing' to
	the win32 ui.

2011-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/check_obsolete.sh: Refined the obsolete translations item checker
	script a bit more.

2011-01-15  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64carthooks.c, src/c64/cart/reu.c: fix accidental
	overwriting of image file, changed wraparound behaviour of large REUs to
	match CMD 1750XL

2011-01-15  groepaz <groepaz@gmx.net>

	* src/log.c: fix LOG_ERR output

2011-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/check_obsolete.sh: Refined the obsolete translations item checker
	script a bit.

2011-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Added --disable-rs232 and --disable-midi to the
	configure script.

2011-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, po/Makefile.in.in, po/check_obsolete.sh,
	po/gen_win32_files.sh, po/gen_win32_rc.c, src/Makefile.am,
	src/arch/amigaos/Makefile.am, src/arch/amigaos/genintl_h.sh.in,
	src/arch/amigaos/genintltable.sh, src/debug.h.in, src/gentranslate_h.sh,
	src/gentranslate_h.sh.in, src/gentranslatetable.sh: Added a
	--enable-debug configure option which 'activates' the #define DEBUG in
	debug.h, also enables translation table item number generation in
	translate.h and amigaos/intl.h, and activates the new obsolete
	translation item search routine/script when doing a make trans-update.

2011-01-15  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64carthooks.c: unbreak cart snapshots

2011-01-15  Dag Lem <resid@nimrod.no>

	* src/arch/unix/gui/c64scui.c: Use checkbox for "SID filters" in x64sc

2011-01-15  pottendo <pottendo@aon.at>

	* po/tr.po: Updated by Emir.

2011-01-14  groepaz <groepaz@gmx.net>

	* po/de.po: fix some typos

2011-01-14  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/uic64dtv.c,
	src/arch/unix/gui/uips2mouse.c, src/arch/unix/gui/vic20ui.c: unify some
	menus/messages

2011-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: src/arch/msdos/archdep.h,
	src/arch/unix/x11/xaw/widgets/Directory.h, src/ioutil.c,
	src/vicemaxpath.h: Put the MAX_PATH/PATH_MAX/MAXPATHLEN defines in a
	seperate header which can be included when a platform fails to define
	them.

2011-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/mui.c: Fixed the amiga BrowseFile function.

2011-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uisound.c: Fixed amiga sound dialog (previously
	the fragment size selection box was empty).

2011-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/arch/sdl/archdep_amiga.c: Changed the
	logfile output for amiga to where if the logfile cannot be opened the
	output will go to stdout.

2011-01-13  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* configure.in, src/arch/unix/rawnetarch.c: Newer libpcap have
	pcap_inject() (from libpcap of BSD) and/or pcap_sendpacket()
	(from WinPcap). If either one is available, do not depend on libnet
	anymore.

2011-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_amiga.c: Included proto/exec.h in the sdl
	archdep_amiga.c for aros OpenLibrary/CloseLibrary definitions.

2011-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/vic20ui.c, src/c64/cart/mmc64.c,
	src/plus4/plus4mem.c: Some warning fixes

2011-01-12  pottendo <pottendo@aon.at>

	* po/it.po: Updated by Andrea.

2011-01-12  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/fullscrn.c, src/arch/win32/ui.c: Improved AlwaysOnTop
	option so that it works at startup and outlives a switch to fullscreen
	mode.

2011-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated

2011-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po: Updated by Mikkel Holm Olsen.

2011-01-10  groepaz <groepaz@gmx.net>

	* src/log.c: make log file name persistent if given on commandline, so
	logging to a file does not break when loading a config file from the ui.

2011-01-10  groepaz <groepaz@gmx.net>

	* src/cbm2/cbm2-cmdline-options.c, src/cbm2/cbm2-resources.c,
	src/cbm2/cbm2.c, src/cbm2/cbm2.h, src/cbm2/cbm2cia.h,
	src/cbm2/cbm2cia1.c, src/pet/pet-cmdline-options.c, src/pet/pet.c,
	src/pet/pet.h: fixed timing constants, added missing pal/ntsc
	commandline switch, added cia tod fix to cbm2

2011-01-10  groepaz <groepaz@gmx.net>

	* src/drive/drive-snapshot.c, src/plus4/plus4-snapshot.c,
	src/plus4/plus4mem.c, src/plus4/plus4mem.h,
	src/plus4/plus4memsnapshot.c, src/plus4/ted-snapshot.c,
	src/plus4/tedtypes.h: fixed some snapshot related stuff

2011-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64ui.c,
	src/arch/msdos/petui.c, src/arch/msdos/vic20ui.c: Removed emuid from the
	dos ui.

2011-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/plus4ui.c,
	src/arch/msdos/uimagicvoice.c, src/arch/msdos/uimagicvoice.h,
	src/arch/msdos/uimmcreplay.c, src/arch/msdos/uimmcreplay.h,
	src/arch/msdos/uiv364speech.c, src/arch/msdos/uiv364speech.h: Added
	magic voice, mmc replay and v364 speech menus to the dos ui.

2011-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/charset.c: Added some '(BYTE)something >= 0x00' fixes.

2011-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64cartmem.c, src/c64/cart/expert.c,
	src/c64/cart/generic.c, src/c64/cart/isepic.c,
	src/c64/cart/retroreplay.c: Added some '(WORD) something <= 0xffff'
	fixes.

2011-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/msdos/uimmc64.c: Added mmc64 card type
	selection support to the dos ui.

2011-01-09  Antti S. Lankila <alankila@bel.fi>

	* src/resid/filter.cc: Ensure that filter still works after switching
	model mid-song.

2011-01-08  groepaz <groepaz@gmx.net>

	* src/vicii/vicii-timing.h, src/viciisc/vicii-timing.h: fixed ntsc
	display ranges, fixed height macros

2011-01-08  groepaz <groepaz@gmx.net>

	* src/c64/c64sound.c, src/c64/cart/atomicpower.c,
	src/c64/cart/c64cart.c, src/c64/cart/c64carthooks.c,
	src/c64/cart/c64cartmem.c, src/c64/cart/c64cartsystem.h,
	src/c64/cart/c64tpi.c, src/c64/cart/dqbb.c, src/c64/cart/dqbb.h,
	src/c64/cart/expert.c, src/c64/cart/expert.h,
	src/c64/cart/freezemachine.c, src/c64/cart/generic.c,
	src/c64/cart/isepic.c, src/c64/cart/isepic.h, src/c64/cart/magicvoice.c,
	src/c64/cart/mmc64.c, src/c64/cart/ramcart.c, src/c64/cart/ramcart.h,
	src/c64/cart/supersnapshot4.c, src/cartridge.h, src/vicii/vicii-fetch.c,
	src/vicii/vicii.c: made proper hook for sound funcs (digimax,
	magicvoice, sfx sound sampler, sfx sound expander), fixed fake-ultimax
	mapping for carts in vicii, added mem peek (ramcart, expert, isepic,
	dqbb), fixed ultimax fetches (expert, isepic), removed phi2 ram hack
	from some carts (atomic power, ss4), fixed bank init (generic), fixed
	16k roms (freeze machine)

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/make-bindist.sh: Fixed a typo.

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/mui.c: Moved the platform.h include to avoid NULL
	not being defined on aros.

2011-01-08  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/drive/driveimage.c: Applied patch for 1571 speed zone problem by
	skoe. Fixes bug 3152829.

2011-01-08  pottendo <pottendo@aon.at>

	* po/it.po: Updated by Andrea.

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po, po/pl.po,
	po/sv.po, po/tr.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resdigimax.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/resexpert.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/resisepic.rc, src/arch/win32/resmmcreplay.rc,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resramcart.rc, src/arch/win32/resreu.rc,
	src/arch/win32/resvic20.rc, src/translate_text.c: Did a
	'make trans-update'.

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed the position of the palette combobox and
	browse button for the palette dialog of the win32 ui.

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed printer dialog elements alignment for the
	win32 ui.

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed render filter combobox alignment in the
	win32 ui.

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resc64.rc: Fixed win32 c64 model selection ui 'creep'.

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/menudefs.c, src/arch/msdos/uiattach.c,
	src/arch/msdos/uimmc64.c, src/arch/msdos/uisid.c,
	src/arch/msdos/uisidcart.c, src/arch/msdos/uisiddtv.c,
	src/arch/msdos/uitfe.c: Some dos ui cleanups.

2011-01-08  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/petui.c,
	src/arch/msdos/uipetdww.c, src/arch/msdos/uipetdww.h: Added pet dww to
	the dos ui.

2011-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c64ui.c,
	src/arch/msdos/uic64model.c, src/arch/msdos/uic64model.h: Added c64
	model selection to the dos ui.

2011-01-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/archdep.h, src/arch/msdos/c64ui.c,
	src/arch/msdos/menudefs.c, src/arch/msdos/uiattach.c,
	src/arch/msdos/uiscreenshot.c, src/arch/msdos/uisnapshot.c,
	src/c64/cart/magicvoice.c: Some (ms)dos port fixes.

2011-01-07  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11ui.c: Add missing #include (NetBSD is
	stricter than Linux).

2011-01-07  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/widgets/TextFieldP.h: Remove unused member
	variable.

2011-01-07  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/widgets/FileSel.c,
	src/arch/unix/x11/xaw/widgets/MultiList.c,
	src/arch/unix/x11/xaw/widgets/ScrList.c,
	src/arch/unix/x11/xaw/widgets/TextField.c,
	src/arch/unix/x11/xaw/widgets/TextFieldP.h,
	src/arch/unix/x11/xaw/x11ui.c: Disable "international support" when in
	the "C" locale, since it is worse than no support (it falls back to
	7-bit US-ASCII). Found some Graphics Context and text allocation errors
	in the mean time.

2011-01-06  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/widgets/DirMgr.c,
	src/arch/unix/x11/xaw/widgets/RegExp.c,
	src/arch/unix/x11/xaw/widgets/RegExp.h: Fix longstanding crash when you
	have an invalid file pattern in the xaw fileselector.

2011-01-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po, po/Makefile.in.in, po/po2table.c: Added a conversion step
	(sv.po (utf-8) -> sv_iso.po (iso-8859-1)) to the make trans-update
	target.

2011-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed win32 peripheral dialog input text size
	issue.

2011-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, configure.in, po/da.po, po/de.po, po/fr.po, po/hu.po,
	po/it.po, po/nl.po, po/pl.po, po/sv.po, po/tr.po,
	src/arch/win32/vice-version.bat, src/monitor/mon_lex.c,
	src/resid-dtv, src/version.h: Version 2.2.10.

------------------------------------------------------------------------------

2011-01-04  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/widgets/DrawString.c,
	src/arch/unix/x11/xaw/widgets/FileSel.c,
	src/arch/unix/x11/xaw/widgets/FileSelP.h,
	src/arch/unix/x11/xaw/widgets/MultiList.c,
	src/arch/unix/x11/xaw/widgets/MultiList.h,
	src/arch/unix/x11/xaw/widgets/MultiListP.h,
	src/arch/unix/x11/xaw/widgets/ScrList.c,
	src/arch/unix/x11/xaw/widgets/ScrListP.h,
	src/arch/unix/x11/xaw/widgets/TabString.h,
	src/arch/unix/x11/xaw/widgets/TextField.c,
	src/arch/unix/x11/xaw/widgets/TextField.h,
	src/arch/unix/x11/xaw/widgets/TextFieldP.h,
	src/arch/unix/x11/xaw/x11ui.c: Add international support to home-grown
	widgets in xaw-ui.

2011-01-03  Antti S. Lankila <alankila@bel.fi>

	* src/c64/psid.c: Fix thinko at address boundary

2011-01-03  Antti S. Lankila <alankila@bel.fi>

	* src/c64/c64.c: psid_init_driver() and psid_init_tune() must follow
	each other, because tune() modifies state set up by driver(), and can't
	be reinvoked without resetting state at driver().

2011-01-03  Antti S. Lankila <alankila@bel.fi>

	* src/machine.c: Fix include name of event.h that I accidentally
	carried over from my fork.

2011-01-03  Antti S. Lankila <alankila@bel.fi>

	* src/machine.c: Initialize memory, because machine_specific_init on
	C64 (vicii init) uses the chargen pointer that this function sets up.

2011-01-03  Antti S. Lankila <alankila@bel.fi>

	* src/c64/psid.c: Duh. s/StereoSid/SidStereo/g.

2011-01-03  Antti S. Lankila <alankila@bel.fi>

	* src/c64/psid.c: Experimental: support Stereo SID specification.

2011-01-02  Antti S. Lankila <alankila@bel.fi>

	* src/resid/filter.cc, src/resid/filter.h: Cache some computation
	regarding the VCR's gate potential.

2011-01-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/amigaos/ui.c, src/arch/beos/ui.cc,
	src/arch/sdl/menu_snapshot.c, src/arch/unix/gui/uicommands.c,
	src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/xaw/x11ui.c,
	src/arch/win32/ui.c, src/arch/win32/uievent.c, src/attach.c,
	src/autostart.c, src/c128/c128-snapshot.c, src/c1541.c,
	src/c64/c64-snapshot.c, src/c64dtv/c64dtv-snapshot.c,
	src/cbm2/cbm2-snapshot.c, src/datasette.c, src/debug.c, src/event.c,
	src/event.h, src/init.c, src/joystick.c, src/keyboard.c, src/machine.c,
	src/network.c, src/pet/pet-snapshot.c, src/petcat.c,
	src/plus4/plus4-snapshot.c, src/resources.c, src/tape/tape.c,
	src/vic20/vic20-snapshot.c, src/vice-event.h: Renamed event.h to
	vice-event.h to avoid conflicts with a gtk+ package event.h header.

2011-01-02  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/resid/configure.in: Lowered automake and autoconf revision
	requirements.

2011-01-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/sdl/archdep_amiga.c, src/vice_sdl.h: Added
	powersdl support to the morphos sdl port.

2010-12-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/amigaos/catweaselmkiii.c,
	src/arch/amigaos/hardsid.c, src/usleep.c: Fixed and updated for morphos
	compilation.

2010-12-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src/arch/amigaos/mui/mui.c, src/arch/beos/ui.cc,
	src/arch/msdos/menudefs.c, src/arch/os2/dialogs/dialogs.rc,
	src/arch/sdl/menu_help.c, src/arch/unix/x11/gnome/about.c,
	src/arch/unix/x11/xaw/about.c, src/arch/win32/res.rc: Changed some
	2010's to 2011, happy new year!!!

2010-12-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Fixed a typo.

2010-12-31  Olaf Seibert <rhialto@falu.nl>

	src/arch/unix/x11/xaw/x11ui.c: Xaw fileselector: accept OK button for
	non-existent files. International support for menus. Fileselector still
	needs work.

2010-12-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/ahi.c, src/arch/amigaos/joyai.c,
	src/arch/amigaos/mui/mui.h, src/arch/amigaos/mui/uiexpert.c,
	src/arch/amigaos/mui/uiisepic.c, src/arch/amigaos/mui/uiisepic.h,
	src/arch/amigaos/timer.c, src/arch/amigaos/timer.h,
	src/arch/amigaos/uic64cart.c, src/arch/amigaos/video.c,
	src/arch/amigaos/vsyncapi.c: Updated and fixed the amigaos port to
	build for amiga os4 again.

2010-12-30  Peter Krefting <peter@softwolves.pp.se>

	* po/sv.po: Recode sv.po to UTF-8.

2010-12-30  Peter Krefting <peter@softwolves.pp.se>

	* po/sv.po: Update Swedish translation (2805t0f0u).

2010-12-30  groepaz <groepaz@gmx.net>

	* src/c128/c128mem.c, src/c64/c64.c, src/c64/c64sound.c,
	src/c64/cart/c64cartmem.c, src/c64/cart/c64tpi.c,
	src/c64/cart/c64tpi.h, src/c64/cart/capture.c,
	src/c64/cart/magicvoice.c, src/c64/cart/magicvoice.h,
	src/c64/cart/mmc64.c, src/c64/cart/mmc64.h: fixed mem peek, removed
	some unneeded includes

2010-12-30  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cartmem.c: fix indention

2010-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/sdl/archdep_amiga.c, src/arch/sdl/blockdev.c,
	src/vice_sdl.h: Added support for shared SDL library to the amiga port.

2010-12-28  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2010-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uidqbb.c,
	src/arch/amigaos/mui/uiexpert.c, src/arch/amigaos/mui/uiexpert.h,
	src/arch/amigaos/mui/uigeoram.c, src/arch/amigaos/mui/uiisepic.c,
	src/arch/amigaos/mui/uimmcreplay.c, src/arch/amigaos/mui/uiramcart.c,
	src/arch/amigaos/mui/uireu.c, src/arch/amigaos/uic64cart.c,
	src/arch/amigaos/uires.h: Added 'save image when changed' items to the
	amiga ui and rewrote the amiga expert cart ui.

2010-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvui.c,
	src/arch/amigaos/c64dtvuires.h, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2ui.c,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uivideo.c, src/arch/amigaos/mui/uivideo.h,
	src/arch/amigaos/mui/uivideoc128.c, src/arch/amigaos/mui/uivideoc128.h,
	src/arch/amigaos/mui/uivideoc64plus4vic20.c,
	src/arch/amigaos/mui/uivideoc64plus4vic20.h,
	src/arch/amigaos/mui/uivideocbm2pet.c,
	src/arch/amigaos/mui/uivideocbm2pet.h, src/arch/amigaos/petui.c,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	src/arch/amigaos/vic20uires.h: Rewrote the video settings dialog of
	the amiga ui (included render filter and external palette(s)).

2010-12-27  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/gui/uic64_256k.c, src/arch/unix/gui/uicommands.c,
	src/arch/unix/gui/uidqbb.c, src/arch/unix/gui/uiexpert.c,
	src/arch/unix/gui/uigeoram.c, src/arch/unix/gui/uiisepic.c,
	src/arch/unix/gui/uilib.c, src/arch/unix/gui/uimmcreplay.c,
	src/arch/unix/gui/uipetreu.c, src/arch/unix/gui/uiplus256k.c,
	src/arch/unix/gui/uiplus60k.c, src/arch/unix/gui/uiprinter.c,
	src/arch/unix/gui/uiramcart.c, src/arch/unix/gui/uireu.c,
	src/arch/unix/gui/uirs232.c, src/arch/unix/gui/vic20ui.c,
	src/arch/unix/ui.h, src/arch/unix/x11/xaw/uicartridge.c,
	src/arch/unix/x11/xaw/uiedisk.c,
	src/arch/unix/x11/xaw/widgets/DirMgr.c,
	src/arch/unix/x11/xaw/widgets/DirMgr.h,
	src/arch/unix/x11/xaw/widgets/FileSel.c,
	src/arch/unix/x11/xaw/widgets/FileSel.h,
	src/arch/unix/x11/xaw/widgets/FileSelP.h,
	src/arch/unix/x11/xaw/widgets/RegExp.c,
	src/arch/unix/x11/xaw/widgets/RegExp.h, src/arch/unix/x11/xaw/x11ui.c:
	Xaw file selector can now also select directories, and a "Read Only"
	toggle. UI code now knows it can call the fileselector to select
	new/non-existent files.

2010-12-26  groepaz <groepaz@gmx.net>

	* src/c64/c64io.c, src/c64/c64io.h, src/c64/cart/actionreplay.c,
	src/c64/cart/actionreplay2.c, src/c64/cart/actionreplay3.c,
	src/c64/cart/actionreplay4.c, src/c64/cart/atomicpower.c,
	src/c64/cart/c64-midi.c, src/c64/cart/c64acia1.c,
	src/c64/cart/c64cart.c, src/c64/cart/c64carthooks.c,
	src/c64/cart/c64cartmem.c, src/c64/cart/c64cartmem.h,
	src/c64/cart/c64cartsystem.h, src/c64/cart/c64tpi.c,
	src/c64/cart/c64tpi.h, src/c64/cart/capture.c, src/c64/cart/comal80.c,
	src/c64/cart/crt.c, src/c64/cart/delaep256.c, src/c64/cart/delaep64.c,
	src/c64/cart/delaep7x8.c, src/c64/cart/diashowmaker.c,
	src/c64/cart/digimax.c, src/c64/cart/dinamic.c, src/c64/cart/dqbb.c,
	src/c64/cart/easyflash.c, src/c64/cart/epyxfastload.c,
	src/c64/cart/exos.c, src/c64/cart/expert.c, src/c64/cart/final.c,
	src/c64/cart/final3.c, src/c64/cart/finalplus.c,
	src/c64/cart/freezeframe.c, src/c64/cart/freezemachine.c,
	src/c64/cart/funplay.c, src/c64/cart/gamekiller.c,
	src/c64/cart/generic.c, src/c64/cart/georam.c, src/c64/cart/gs.c,
	src/c64/cart/ide64.c, src/c64/cart/isepic.c, src/c64/cart/kcs.c,
	src/c64/cart/mach5.c, src/c64/cart/magicdesk.c,
	src/c64/cart/magicformel.c, src/c64/cart/magicvoice.c,
	src/c64/cart/magicvoice.h, src/c64/cart/mikroass.c,
	src/c64/cart/mmc64.c, src/c64/cart/mmc64.h, src/c64/cart/mmcreplay.c,
	src/c64/cart/ocean.c, src/c64/cart/prophet64.c,
	src/c64/cart/ramcart.c, src/c64/cart/retroreplay.c,
	src/c64/cart/reu.c, src/c64/cart/rexep256.c,
	src/c64/cart/rexutility.c, src/c64/cart/ross.c,
	src/c64/cart/sfx_soundexpander.c, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/simonsbasic.c, src/c64/cart/snapshot64.c,
	src/c64/cart/stardos.c, src/c64/cart/stb.c,
	src/c64/cart/superexplode5.c, src/c64/cart/supergames.c,
	src/c64/cart/supersnapshot.c, src/c64/cart/supersnapshot4.c,
	src/c64/cart/tfe.c, src/c64/cart/warpspeed.c,
	src/c64/cart/westermann.c, src/c64/cart/zaxxon.c, src/cartridge.h,
	src/viciisc/vicii-fetch.c: christmas cleanup :) more refactoring and
	renaming, implemented passthrough support (MMC64, IEEE, Magic Voice)

2010-12-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/cbm2ui.c: Added cbm5x0 support to the win32 video
	settings.

2010-12-24  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/unix/gui/uicrtc.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c,
	src/arch/unix/gui/uivicii.c, src/arch/unix/x11/xaw/x11video.c: Add
	aspect ratio setting dialog for Xaw, extend ratio range to 0.5 - 2.0.
	Patch by Olaf Seibert

2010-12-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c: Corrected
	cart names in the amiga ui.

2010-12-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartridge.h: Alphabetized the user visible cart names for easier
	look-up.

2010-12-24  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/unix/x11/gnome/about.c: Add Danish translator to the GTK+
	about dialog, detabify

2010-12-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/petui.c, src/arch/amigaos/petuires.h,
	src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	src/arch/amigaos/vic20uires.h: Removed emuid from the amiga port.

2010-12-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvui.c,
	src/arch/amigaos/c64dtvuires.h, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2ui.c,
	src/arch/amigaos/cbm2uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/mui.c,
	src/arch/amigaos/mui/mui.h, src/arch/amigaos/mui/uiacia.c,
	src/arch/amigaos/mui/uiautostart.c,
	src/arch/amigaos/mui/uic128settings.c,
	src/arch/amigaos/mui/uic64_256k.c, src/arch/amigaos/mui/uic64dtv.c,
	src/arch/amigaos/mui/uic64model.c,
	src/arch/amigaos/mui/uicbm2settings.c,
	src/arch/amigaos/mui/uidatasette.c, src/arch/amigaos/mui/uidigimax.c,
	src/arch/amigaos/mui/uidqbb.c, src/arch/amigaos/mui/uidrivec128.c,
	src/arch/amigaos/mui/uidrivec64vic20.c,
	src/arch/amigaos/mui/uidrivepetcbm2.c,
	src/arch/amigaos/mui/uidriveplus4.c,
	src/arch/amigaos/mui/uieasyflash.c, src/arch/amigaos/mui/uigeoram.c,
	src/arch/amigaos/mui/uiide64.c, src/arch/amigaos/mui/uiisepic.c,
	src/arch/amigaos/mui/uijoystick.c, src/arch/amigaos/mui/uijoystickll.c,
	src/arch/amigaos/mui/uimagicvoice.c, src/arch/amigaos/mui/uimmc64.c,
	src/arch/amigaos/mui/uimmcreplay.c, src/arch/amigaos/mui/uimouse.c,
	src/arch/amigaos/mui/uinetwork.c, src/arch/amigaos/mui/uipetdww.c,
	src/arch/amigaos/mui/uipetreu.c, src/arch/amigaos/mui/uipetsettings.c,
	src/arch/amigaos/mui/uiplus256k.c, src/arch/amigaos/mui/uiplus60k.c,
	src/arch/amigaos/mui/uiprinter.c, src/arch/amigaos/mui/uiprinter.h,
	src/arch/amigaos/mui/uiram.c, src/arch/amigaos/mui/uiramcart.c,
	src/arch/amigaos/mui/uireu.c, src/arch/amigaos/mui/uiromc128settings.c,
	src/arch/amigaos/mui/uiromcbm2settings.c,
	src/arch/amigaos/mui/uirompetsettings.c,
	src/arch/amigaos/mui/uiromplus4settings.c,
	src/arch/amigaos/mui/uirs232user.c, src/arch/amigaos/mui/uisid.c,
	src/arch/amigaos/mui/uisidcart.c, src/arch/amigaos/mui/uisiddtv.c,
	src/arch/amigaos/mui/uisound.c, src/arch/amigaos/mui/uisoundexpander.c,
	src/arch/amigaos/mui/uiv364speech.c, src/arch/amigaos/mui/uivic20mem.c,
	src/arch/amigaos/mui/uivicii.c, src/arch/amigaos/mui/uivideoc128.c,
	src/arch/amigaos/mui/uivideoc64plus4vic20.c,
	src/arch/amigaos/mui/uivideocbm2pet.c, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Added
	printer settings dialog to the amiga ui.

2010-12-23  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_printer.c: SDL: remove IEC from the printer menu
	strings as they are also used for IEEE devices on f.ex xpet

2010-12-23  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2010-12-23  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/unix/gui/uicrtc.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c,
	src/arch/unix/gui/uivicii.c, src/arch/unix/x11/renderxv.c,
	src/arch/unix/x11/xaw/x11video.c: Add fixed aspect ratio option to
	Xaw. Patch by Olaf Seibert

2010-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/arch/amigaos/archdep.h,
	src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_amiga.h: Added fix
	file permissions support for amiga.

2010-12-22  groepaz <groepaz@gmx.net>

	* src/c128/c128mem.c, src/c64/c64cart.h, src/c64/c64mem.c,
	src/c64/c64memsc.c, src/c64/cart/actionreplay.c,
	src/c64/cart/actionreplay2.c, src/c64/cart/actionreplay3.c,
	src/c64/cart/actionreplay4.c, src/c64/cart/atomicpower.c,
	src/c64/cart/c64cart.c, src/c64/cart/c64carthooks.c,
	src/c64/cart/c64cartmem.c, src/c64/cart/c64cartmem.h,
	src/c64/cart/c64cartsystem.h, src/c64/cart/c64tpi.c,
	src/c64/cart/capture.c, src/c64/cart/comal80.c, src/c64/cart/crt.c,
	src/c64/cart/delaep256.c, src/c64/cart/delaep64.c,
	src/c64/cart/delaep7x8.c, src/c64/cart/diashowmaker.c,
	src/c64/cart/dinamic.c, src/c64/cart/dqbb.c, src/c64/cart/easyflash.c,
	src/c64/cart/epyxfastload.c, src/c64/cart/exos.c,
	src/c64/cart/expert.c, src/c64/cart/final.c, src/c64/cart/final3.c,
	src/c64/cart/finalplus.c, src/c64/cart/freezeframe.c,
	src/c64/cart/freezemachine.c, src/c64/cart/funplay.c,
	src/c64/cart/gamekiller.c, src/c64/cart/generic.c, src/c64/cart/gs.c,
	src/c64/cart/ide64.c, src/c64/cart/isepic.c, src/c64/cart/kcs.c,
	src/c64/cart/mach5.c, src/c64/cart/magicdesk.c,
	src/c64/cart/magicformel.c, src/c64/cart/magicvoice.c,
	src/c64/cart/mikroass.c, src/c64/cart/mmc64.c,
	src/c64/cart/mmcreplay.c, src/c64/cart/ocean.c,
	src/c64/cart/prophet64.c, src/c64/cart/retroreplay.c,
	src/c64/cart/rexep256.c, src/c64/cart/rexutility.c,
	src/c64/cart/ross.c, src/c64/cart/simonsbasic.c,
	src/c64/cart/snapshot64.c, src/c64/cart/stardos.c, src/c64/cart/stb.c,
	src/c64/cart/superexplode5.c, src/c64/cart/supergames.c,
	src/c64/cart/supersnapshot.c, src/c64/cart/supersnapshot4.c,
	src/c64/cart/warpspeed.c, src/c64/cart/westermann.c,
	src/c64/cart/zaxxon.c, src/cartridge.h: more refactoring and cleanup,
	added cartridge_ram_init, removed last occurance of
	try_cartridge_init, reworked/renamed cartridge_config_changed to
	prepare for multiple carts

2010-12-22  groepaz <groepaz@gmx.net>

	* src/c64/c64io.c: fix detach list

2010-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uic64model.c: Added cia with timer b bug to the
	amiga ui.

2010-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uiide64.c: Added IDE64 HD image 1/2/3/4 and IDE64
	V4 to the amiga ui.

2010-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	src/arch/amigaos/vic20uires.h: Added the 'vic flash plugin writeback'
	menu item to the amiga ui.

2010-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uiautostart.c: Added 'load to basic start' to the
	amiga autostart-dialog.

2010-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uiv364speech.c,
	src/arch/amigaos/mui/uiv364speech.h, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/uires.h: Added v364
	speech dialog to the amiga ui.

2010-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uimagicvoice.c,
	src/arch/amigaos/mui/uimagicvoice.h, src/arch/amigaos/uires.h,
	src/resid/dac.cc: Added magic voice dialog to the amiga ui.

2010-12-22  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/translate_text.c: Fix typo

2010-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64carthooks.c, src/c64/cart/dqbb.c,
	src/c64/cart/expert.c, src/c64/cart/georam.c, src/c64/cart/ide64.c,
	src/c64/cart/isepic.c, src/c64/cart/mmcreplay.c,
	src/c64/cart/ramcart.c, src/c64/cart/reu.c, src/log.c,
	src/pet/pet_userport_dac.c, src/translate.txt, src/translate_text.c:
	Added previously T_() marked text to the translation system.

2010-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uitfe.c: Added some previously untranslated win32 tfe
	ui items to the translation system.

2010-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c1541.c, src/cbm2/cbm2mem.c, src/pet/petmem.c,
	src/plus4/plus4mem.c, src/plus4/plus4speech.c, src/vdc/vdc-draw.c,
	src/vdc/vdc-mem.c, src/vic20/cart/vic20cart.c, src/vic20/vic20mem.c,
	src/viciisc/vicii-fetch.c, src/viciisc/vicii-mem.c,
	src/viciisc/vicii.c: More warning fixes.

2010-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/actionreplay.c, src/c64/cart/actionreplay2.c,
	src/c64/cart/c64tpi.c, src/c64/cart/magicvoice.c,
	src/c64/cart/retroreplay.c, src/core/t6721.c,
	src/gfxoutputdrv/doodledrv.c, src/monitor/monitor.c,
	src/vicii/vicii-fetch.c, src/vicii/vicii.c: Warning fixes.

2010-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/x64dtv.dsp: Included
	videoarch.h before rescommon.h to already include the WS_CAPTION
	define.

2010-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/filter.cc, src/resid/filter.h, src/resid/sid.cc,
	src/resid/wave.h: ReSID warning fixes, please comment/fix if incorrect.

2010-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/msvc/config.h, src/arch/win32/x128.dsp,
	src/arch/win32/x64.dsp, src/arch/win32/x64sc.dsp,
	src/arch/win32/xcbm2.dsp, src/arch/win32/xpet.dsp,
	src/arch/win32/xplus4.dsp, src/arch/win32/xvic.dsp: Define WIN32 in
	the msvc project files for rc.exe instead of the msvc/config.h file.

2010-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/autostart-prg.c: Signed/unsigned warning fixes.

2010-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/msvc/config.h: Defined WIN32 in msvc/config.h to get
	the windows resources to compile again on msvc6.

2010-12-21  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/midi.c, src/midi.h, src/vic20/vic20-midi.c,
	src/vic20/vic20mem.c: MIDI: add midi_test_peek, allow peeking write
	only registers

2010-12-20  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/c64ui.c, src/arch/win32/resc64.rc,
	src/arch/win32/ui.c: Removed video standard menu from x64 and x64sc UI.

2010-12-20  groepaz <groepaz@gmx.net>

	* src/c64/cart/ide64.c, src/c64/cart/mmc64.c,
	src/c64/cart/mmcreplay.c, src/c64/cart/tfe.c, src/core/cs8900.c,
	src/core/cs8900.h: fix i/o peek (all done)

2010-12-20  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64-midi.c, src/c64/cart/c64acia1.c,
	src/c64/cart/sfx_soundexpander.c, src/core/fmopl.c, src/core/fmopl.h,
	src/midi.c, src/midi.h: fix io peek

2010-12-20  groepaz <groepaz@gmx.net>

	* src/c64/cart/freezeframe.c, src/c64/cart/freezemachine.c,
	src/c64/cart/stardos.c: fix io peek

2010-12-20  groepaz <groepaz@gmx.net>

	* po/nl.po: remove duplicated msgid

2010-12-19  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/menu/c64controller.m: macosx/cocoa:
	updated cartridge list that uses name macros now

2010-12-19  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/uic64.c: Fix for uninitialized variable.

2010-12-19  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/ui.c, src/arch/win32/uic64.c: Implemented C64 model
	settings for x64. If this works fine, "Video standard" menu will be
	removed.

2010-12-19  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/msvc/config.h, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/videoarch.h: Moved
	HAVE_D3D9_H hack back to videoarch.h due to MSVC6 problems and include
	this in res<machine>.rc. This gives me some "WS_CAPTION redefinition"
	warnings in winuser.rh now. Please test if MSVC6 compiles.

2010-12-19  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/VideoSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/VideoSettings.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/x128.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x128.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64sc.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64sc.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/xpet.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xpet.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/xplus4.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xplus4.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/xvic.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xvic.nib/keyedobjects.nib,
	src/arch/unix/macosx/cocoa/dialog/videosettingswindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/videosettingswindowcontroller.m,
	src/arch/unix/macosx/cocoa/menu/viceappcontroller.h,
	src/arch/unix/macosx/cocoa/menu/viceappcontroller.m: macosx/cocoa:
	renamed PAL to CRT emulation and added external palette for VDC and
	CRTC

2010-12-18  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2010-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2010-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: (re)extended the gamma range to 0..4 in the
	win32 ui.

2010-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po,
	po/pl.po, po/sv.po, po/tr.po: Updated po files and removed obsolete
	items.

2010-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resacia.rc, src/arch/win32/resautostart.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64_256k.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resdigimax.rc,
	src/arch/win32/resdqbb.rc, src/arch/win32/reseasyflash.rc,
	src/arch/win32/resexpert.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resisepic.rc,
	src/arch/win32/resmagicvoice.rc, src/arch/win32/resmidi.rc,
	src/arch/win32/resmmc64.rc, src/arch/win32/resmmcreplay.rc,
	src/arch/win32/respet.rc, src/arch/win32/respetdww.rc,
	src/arch/win32/respetreu.rc, src/arch/win32/resplus256k.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resplus60k.rc,
	src/arch/win32/resramcart.rc, src/arch/win32/resreu.rc,
	src/arch/win32/resrs232user.rc, src/arch/win32/ressid.rc,
	src/arch/win32/ressidcart.rc, src/arch/win32/ressiddtv.rc,
	src/arch/win32/restfe.rc, src/arch/win32/resv364speech.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvicii.rc,
	src/translate_text.c: Did a 'make trans-update'.

2010-12-18  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/x128.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x128.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64sc.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64sc.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/xpet.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xpet.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/xvic.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xvic.nib/keyedobjects.nib,
	src/arch/unix/macosx/cocoa/menu/viceappcontroller.h,
	src/arch/unix/macosx/cocoa/menu/viceappcontroller.m: macosx/cocoa:
	nuked EmuID in ui

2010-12-18  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	macosx/cocoa: added CIA model and Glue Logic to x64 ui

2010-12-18  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64sc.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64sc.nib/keyedobjects.nib:
	macosx/cocoa: added PAL-N ui

2010-12-18  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64sc.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64sc.nib/keyedobjects.nib,
	src/arch/unix/macosx/cocoa/menu/Makefile.am,
	src/arch/unix/macosx/cocoa/menu/c64commoncontroller.h,
	src/arch/unix/macosx/cocoa/menu/c64commoncontroller.m,
	src/arch/unix/macosx/cocoa/menu/c64commonmachinecontroller.h,
	src/arch/unix/macosx/cocoa/menu/c64commonmachinecontroller.m,
	src/arch/unix/macosx/cocoa/menu/c64sccontroller.h,
	src/arch/unix/macosx/cocoa/menu/c64sccontroller.m,
	src/arch/unix/macosx/cocoa/menu/c64scmachinecontroller.h,
	src/arch/unix/macosx/cocoa/menu/c64scmachinecontroller.m,
	src/arch/unix/macosx/cocoa/menu/c64scui.m,
	src/arch/unix/macosx/cocoa/menu/c64ui.m: macosx/cocoa: added model
	selection to x64

2010-12-18  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/PrinterSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/PrinterSettings.nib/keyedobjects.nib:
	macosx/cocoa: added raw printer to ui

2010-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdigimax.rc,
	src/arch/win32/resexpert.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/resramcart.rc, src/cartridge.h: Made cart names in the
	win32 ui consistent with the cart naming rules.

2010-12-18  groepaz <groepaz@gmx.net>

	* src/translate_text.c: digimax -> DigiMAX

2010-12-18  groepaz <groepaz@gmx.net>

	* src/translate_text.c: remove emu id related messages

2010-12-18  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/uic64.c: Fixed SID model in C64 model selection UI.

2010-12-18  Antti S. Lankila <alankila@bel.fi>

	* src/resid/filter.cc, src/resid/filter.h: Make the first "if" test
	cover even larger value range. Simplify sqrt table init.

2010-12-18  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/msvc/config.h, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/rescommon.h, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/rs232net.c, src/arch/win32/ui.c,
	src/arch/win32/videoarch.h: Removed DX9 menuitem for binaries without
	DX9 driver. Moved HAVE_D3D9_H hack from videoarch.h to msvc/config.h
	for consistency.

2010-12-18  Dag Lem <resid@nimrod.no>

	* src/resid/sid.h: Small fix for warning from g++ -pedantic

2010-12-17  Dag Lem <resid@nimrod.no>

	* src/resid/filter.h: Guaranteed convergence in reSID gain/summer root
	solver

2010-12-17  Antti S. Lankila <alankila@bel.fi>

	* src/resid/sid.cc: Set filter cutoff frequency to nyquist with double
	the transition bandwidth to halve filter cost for all users while
	retaining accurate behavior for frequencies less than cutoff.

2010-12-17  Antti S. Lankila <alankila@bel.fi>

	* src/resid/filter.cc, src/resid/filter.h: Approximate sqrt by new
	custom isqrt() and fix configure-time prototype availability test to
	declare sqrtf, not logf.

2010-12-17  groepaz <groepaz@gmx.net>

	* src/cbmdos.c, src/cbmdos.h, src/vdrive/vdrive-iec.c,
	src/vdrive/vdrive.h: fixed command parsing (drive number), better
	handling of (invalid) drive number in vdrive (return error instead of
	using the same disk in both drives)

2010-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/petui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/respet.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/resvic20.rc, src/arch/win32/vic20ui.c: Removed emuid
	from the win32 ui.

2010-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/siddefs.h,
	src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/base.tgt,
	src/arch/sdl/win32-watcom/resid.tgt,
	src/arch/sdl/win32-watcom/siddefs.h,
	src/arch/sdl/win32-watcom/siddtvdefs.h,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/x64dtv.tgt,
	src/arch/sdl/win64-msvc/siddefs.h, src/arch/win32/msvc/siddefs.h:
	Updated the win32 sdl ow project files.

2010-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/configure.in, src/resid/siddefs.h.in: Fix for sqrtf
	replacement function.

2010-12-17  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	macosx: adapted CIA models

2010-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/base.tgt, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/resid.tgt, src/arch/win32/watcom/siddefs.h,
	src/arch/win32/watcom/siddtvdefs.h, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/x64dtv.tgt, src/resid/configure.in,
	src/resid/filter.h, src/resid/siddefs.h.in, src/sid/resid.cc: Updated
	win32 ow project files.

2010-12-17  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	macosx: added missing Cartridge resources

2010-12-17  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	macosx: addded IDE64 v4 resource

2010-12-17  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	macosx: fixed IDE64 resources

2010-12-17  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/DisassemblyWindow.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/DisassemblyWindow.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/IOTreeWindow.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/IOTreeWindow.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/MemoryWindow.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/MemoryWindow.nib/keyedobjects.nib,
	src/arch/unix/macosx/Resources/English.lproj/RegisterWindow.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/RegisterWindow.nib/keyedobjects.nib:
	macosx/cocoa: fixed visibility of debug windows

2010-12-17  groepaz <groepaz@gmx.net>

	* src/c128/c128.c, src/c128/c128.h, src/c128/c128mmu.c,
	src/tape/tape.c, src/tape.h: switch between different configurations
	for tape traps in c64 and c128 mode, fixes bug 3124881

2010-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/Makefile.am,
	src/arch/sdl/win64-msvc/base.vcproj,
	src/arch/sdl/win64-msvc/resid.vcproj,
	src/arch/sdl/win64-msvc/residdtv.vcproj,
	src/arch/sdl/win64-msvc/siddefs.h,
	src/arch/sdl/win64-msvc/siddtvdefs.h: Updated the msvc sdl win64
	project files.

2010-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/base.vcproj: Removed emuid.c from the win64 msvc
	project files.

2010-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/Makefile.am,
	src/arch/sdl/win32-msvc/base.dsp, src/arch/sdl/win32-msvc/resid.dsp,
	src/arch/sdl/win32-msvc/siddefs.h,
	src/arch/sdl/win32-msvc/siddtvdefs.h: Updated msvc win32 sdl project
	files.

2010-12-17  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/base.dsp: Removed emuid.c

2010-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/msvc/siddefs.h, src/resid/envelope.h,
	src/resid/extfilt.h, src/resid/filter.h, src/resid/sid.cc,
	src/resid/sid.h, src/resid/siddefs.h.in, src/resid/voice.h,
	src/resid/wave.h, src/resid-dtv/envelope.h, src/resid-dtv/extfilt.h,
	src/resid-dtv/filter.h, src/resid-dtv/sid.cc, src/resid-dtv/sid.h,
	src/resid-dtv/siddtvdefs.h.in, src/resid-dtv/voice.h,
	src/resid-dtv/wave.h, src/sid/resid.cc: Changed the win32 SID conflict
	solution to a better one.

2010-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/envelope.h, src/resid/extfilt.h, src/resid/filter.h,
	src/resid/sid.cc, src/resid/sid.h, src/resid/voice.h,
	src/resid/wave.h, src/resid-dtv/envelope.h, src/resid-dtv/filter.h,
	src/resid-dtv/sid.cc, src/resid-dtv/sid.h, src/resid-dtv/voice.h,
	src/resid-dtv/wave.h, src/sid/resid.cc: Renamed SID class to RESID to
	avoid conflicts with the win32 SID API.

2010-12-17  Hannu Nuotio <hannu.nuotio@tut.fi>

	* doc/vice.texi, src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64hw.c, src/arch/sdl/menu_cbm2hw.c,
	src/arch/sdl/menu_pethw.c, src/arch/sdl/menu_vic20hw.c: Remove EmuID
	from SDL UI and documentation

2010-12-16  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/vic20ui.c: remove emu id items

2010-12-16  groepaz <groepaz@gmx.net>

	* src/Makefile.am, src/c128/c128-cmdline-options.c,
	src/c128/c128-resources.c, src/c64/c64-cmdline-options.c,
	src/c64/c64-resources.c, src/c64/c64-resources.h,
	src/cbm2/cbm2-cmdline-options.c, src/cbm2/cbm2-resources.c,
	src/cbm2/cbm2-resources.h, src/cbm2/cbm2mem.c, src/emuid.c,
	src/emuid.h, src/pet/pet-cmdline-options.c, src/pet/pet-resources.c,
	src/pet/pet-resources.h, src/pet/petmem.c,
	src/vic20/vic20-cmdline-options.c, src/vic20/vic20-resources.c,
	src/vic20/vic20-resources.h, src/vic20/vic20mem.c: complete removal of
	the "emu id" feature. (see devlog)

2010-12-16  groepaz <groepaz@gmx.net>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/nl.po,
	po/pl.po, po/sv.po, po/tr.po: updated .po files, fixed some more stuff
	in de.po

2010-12-16  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uic64cart.c: fix cart menu messages according to
	cartridge.h

2010-12-16  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2010-12-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/residdtv.dsp: Changed the source file entry of
	siddefs.h to siddtvdefs.h, it shouldn't make any difference for the
	compile, but it's nice for the correctness.

2010-12-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/resid.vcproj: Updated the win64 project files for the
	new resid.

2010-12-16  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uiexpert.c, src/arch/unix/gui/uiisepic.c: unified
	messages

2010-12-16  groepaz <groepaz@gmx.net>

	* po/de.po: fixed a bunch of typos

2010-12-16  Stefan Haubenthal <polluks@LONESTAR.ORG>

	* src/arch/amigaos/joyai.c: better description

2010-12-16  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/sid/resid.cc: Coding guideline cleanup

2010-12-16  Stefan Haubenthal <polluks@LONESTAR.ORG>

	* po/de.po: typo

2010-12-16  Stefan Haubenthal <polluks@LONESTAR.ORG>

	* src/arch/amigaos/mui/mui.c: right copyright

2010-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/msvc/siddtvdefs.h,
	src/resid/dac.cc, src/resid/envelope.cc, src/resid/filter.cc,
	src/resid/sid.cc, src/resid/wave.cc, src/resid-dtv/configure.in,
	src/resid-dtv/envelope.h, src/resid-dtv/extfilt.h,
	src/resid-dtv/filter.h, src/resid-dtv/sid.h,
	src/resid-dtv/siddefs.h.in, src/resid-dtv/siddtvdefs.h.in,
	src/resid-dtv/version.cc, src/resid-dtv/voice.h, src/resid-dtv/wave.h:
	Fixed residdtv to work with both gcc and msvc compiles.

2010-12-15  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/msvc/siddefs.h, src/arch/win32/resid.dsp,
	src/resid/dac.cc, src/resid/sid.cc: Fixes for MSVC compilation of new
	reSID. resid-dtv/x64dtv needs further fixes to compile.

2010-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/arch.vcproj, src/arch/win64/x128.vcproj,
	src/arch/win64/x64.vcproj, src/arch/win64/x64sc.vcproj: Updated for
	the latest win64 ui changes.

2010-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/arch.dsp, src/arch/win32/x128.dsp,
	src/arch/win32/x64.dsp, src/arch/win32/x64sc.dsp: Updated for the
	latest win32 ui changes.

2010-12-15  Dag Lem <resid@nimrod.no>

	* src/resid/dac.cc, src/resid/filter.cc: Removed variable length
	arrays from reSID (not valid ISO C++)

2010-12-15  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/uic64_256k.c,
	src/arch/unix/gui/uidigimax.c, src/arch/unix/gui/uidqbb.c,
	src/arch/unix/gui/uieasyflash.c, src/arch/unix/gui/uiexpert.c,
	src/arch/unix/gui/uigeoram.c, src/arch/unix/gui/uiide64.c,
	src/arch/unix/gui/uiisepic.c, src/arch/unix/gui/uimagicvoice.c,
	src/arch/unix/gui/uimidi.c, src/arch/unix/gui/uimmc64.c,
	src/arch/unix/gui/uimmcreplay.c, src/arch/unix/gui/uipetdww.c,
	src/arch/unix/gui/uipetreu.c, src/arch/unix/gui/uiplus256k.c,
	src/arch/unix/gui/uiplus60k.c, src/arch/unix/gui/uiramcart.c,
	src/arch/unix/gui/uiretroreplay.c, src/arch/unix/gui/uireu.c,
	src/arch/unix/gui/uisoundexpander.c, src/arch/unix/gui/uitfe.c,
	src/arch/unix/gui/uitpi.c, src/arch/unix/gui/uiv364speech.c,
	src/arch/unix/gui/vic20ui.c: use names from cartridge.h, removed
	redundant stuff and unified some messages

2010-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resdqbb.rc,
	src/arch/win32/resexpert.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/resisepic.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/resmmcreplay.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/resreu.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uic64cart.c, src/arch/win32/uidqbb.c,
	src/arch/win32/uiexpert.c, src/arch/win32/uiexpert.h,
	src/arch/win32/uigeoram.c, src/arch/win32/uiisepic.c,
	src/arch/win32/uimmcreplay.c, src/arch/win32/uiramcart.c,
	src/arch/win32/uireu.c: Added win32 dialogs and items for the
	cartridge unification.

2010-12-15  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_help.c: SDL: generalize 40 cols convert functions,
	always pass the cmdline/contributor texts though them

2010-12-15  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_help.c, src/c64/c64-cmdline-options.c,
	src/translate_text.c: Fix SDL UI 40 col cmdline help text converter to
	split >80 char lines as many times as needed, handle the case when
	line has no spaces for 40 chars, some strlen cleanup. Group video
	standards in -model help text (conveniently inserting a few spaces)

2010-12-15  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64_common_expansions.c,
	src/arch/sdl/menu_c64_common_expansions.h,
	src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_c64hw.c: SDL: migrate
	SFX carts to the cart menu

2010-12-15  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_vic20cart.c, src/cartridge.h,
	src/vic20/cart/finalexpansion.c, src/vic20/cart/generic.c,
	src/vic20/cart/megacart.c, src/vic20/cart/vic-fp.c: Add VIC20 cart
	names to cartridge.h, use them in SDL UI, do some cleanup

2010-12-14  groepaz <groepaz@gmx.net>

	* src/cartridge.h: updated some more cart names

2010-12-14  groepaz <groepaz@gmx.net>

	* src/c64/cart/actionreplay.c, src/c64/cart/actionreplay2.c,
	src/c64/cart/actionreplay3.c, src/c64/cart/actionreplay4.c,
	src/c64/cart/atomicpower.c, src/c64/cart/c64acia1.c,
	src/c64/cart/c64tpi.c, src/c64/cart/capture.c, src/c64/cart/comal80.c,
	src/c64/cart/delaep256.c, src/c64/cart/delaep64.c,
	src/c64/cart/delaep7x8.c, src/c64/cart/diashowmaker.c,
	src/c64/cart/digimax.c, src/c64/cart/dinamic.c,
	src/c64/cart/epyxfastload.c, src/c64/cart/exos.c, src/c64/cart/final.c,
	src/c64/cart/final3.c, src/c64/cart/finalplus.c,
	src/c64/cart/freezeframe.c, src/c64/cart/freezemachine.c,
	src/c64/cart/funplay.c, src/c64/cart/gamekiller.c, src/c64/cart/gs.c,
	src/c64/cart/isepic.c, src/c64/cart/kcs.c, src/c64/cart/mach5.c,
	src/c64/cart/magicdesk.c, src/c64/cart/magicformel.c,
	src/c64/cart/mikroass.c, src/c64/cart/ocean.c,
	src/c64/cart/prophet64.c, src/c64/cart/rexep256.c,
	src/c64/cart/rexutility.c, src/c64/cart/ross.c,
	src/c64/cart/sfx_soundexpander.c, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/simonsbasic.c, src/c64/cart/snapshot64.c,
	src/c64/cart/stardos.c, src/c64/cart/stb.c,
	src/c64/cart/superexplode5.c, src/c64/cart/supergames.c,
	src/c64/cart/supersnapshot.c, src/c64/cart/supersnapshot4.c,
	src/c64/cart/tfe.c, src/c64/cart/warpspeed.c,
	src/c64/cart/westermann.c, src/c64/cart/zaxxon.c, src/cartridge.h: use
	names from cartridge.h in io/export struct (all done), updated cart
	names

2010-12-14  groepaz <groepaz@gmx.net>

	* src/cartconv.c, src/cartridge.h: use names from cartridge.h, updated
	cart names

2010-12-14  groepaz <groepaz@gmx.net>

	* src/c64/cart/easyflash.c, src/c64/cart/magicvoice.c,
	src/c64/cart/mmc64.c, src/c64/cart/retroreplay.c: use names from
	cartridge.h in io/export struct

2010-12-14  groepaz <groepaz@gmx.net>

	* src/c64/cart/dqbb.c, src/c64/cart/expert.c, src/c64/cart/georam.c,
	src/c64/cart/ide64.c, src/c64/cart/isepic.c, src/c64/cart/mmcreplay.c,
	src/c64/cart/ramcart.c, src/c64/cart/reu.c, src/cartridge.h: use names
	from cartridge.h in io/export struct, fixed commandline messages,
	updated cart names

2010-12-14  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64_common_expansions.c,
	src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_c64hw.c: SDL: use
	cartridge names from cartridge.h

2010-12-14  pottendo <pottendo@aon.at>

	* src/arch/unix/x11/gnome/about.c: Added credits for Turkish
	translation.

2010-12-14  groepaz <groepaz@gmx.net>

	* src/cartridge.h: added (user visible) cartridge names

2010-12-14  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2010-12-14  groepaz <groepaz@gmx.net>

	* src/c64/cart/ide64.c, src/charset.c: changed ascii to petscii
	mapping to map unmapable characters to '?', allowing autostart with
	foobar~1.prg style filenames, fixed typos.

2010-12-14  groepaz <groepaz@gmx.net>

	* src/c64/cart/ide64.c: fixed messages again as per nojoopas request

2010-12-14  groepaz <groepaz@gmx.net>

	* src/c64/cart/ide64.c: added missing +IDE64version4, fixed messages

2010-12-14  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64cart.c: SDL: add
	missing cart bin attach items, add cart save as items, remove hotkey
	separator from a x128 menu entry

2010-12-14  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/arch/sdl/menu_help.c: SDL: implement scrolling up in help text
	dialog, avoid an overflow bug the laziest way, call strlen less, allow
	Select as exit command

2010-12-13  groepaz <groepaz@gmx.net>

	* src/parallel/parallel-trap.c: fixed delayed close (patch 3099794)

2010-12-13  groepaz <groepaz@gmx.net>

	* po/nl.po: fixed typo that broke compilation

2010-12-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/fr.po, po/hu.po, po/it.po, po/pl.po,
	po/sv.po, po/tr.po: Removed obsolete items.

2010-12-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Updated.

2010-12-12  Dag Lem <resid@nimrod.no>

	* src/resid/Makefile.am: Removed reSID ACLOCAL_AMFLAGS

2010-12-12  Hannu Nuotio <hannu.nuotio@tut.fi>

	* configure.in, src/c64/c64scmodel.c, src/sid/sid-resources.c: x64sc:
	drop reSID-fp requirement/enforcing, use reSID as default

2010-12-12  Dag Lem <resid@nimrod.no>

	* src/resid/filter.cc: Correced reSID filter init bug

2010-12-12  Hannu Nuotio <hannu.nuotio@tut.fi>

	* src/resid/configure.in: Drop autotools version requirements a notch,
	compiles again on Debian stable

2010-12-12  Dag Lem <resid@nimrod.no>

	* src/resid/dac.cc, src/resid/dac.h, src/resid/envelope.cc,
	src/resid/envelope.h, src/resid/extfilt.cc, src/resid/extfilt.h,
	src/resid/filter.cc, src/resid/filter.h, src/resid/pot.h,
	src/resid/sid.cc, src/resid/sid.h, src/resid/spline.h,
	src/resid/version.cc, src/resid/voice.cc, src/resid/voice.h,
	src/resid/wave.cc, src/resid/wave.h: Changed reSID defines to
	RESID_file_ext

2010-12-12  Dag Lem <resid@nimrod.no>

	* src/resid/dac.cc, src/resid/dac.h, src/resid/wave6581_PST.h,
	src/resid/wave6581_PS_.h, src/resid/wave6581_P_T.h,
	src/resid/wave6581__ST.h, src/resid/wave8580_PST.h,
	src/resid/wave8580_PS_.h, src/resid/wave8580_P_T.h,
	src/resid/wave8580__ST.h: Added svn props to new reSID files

2010-12-12  Dag Lem <resid@nimrod.no>

	* src/resid/ChangeLog, src/resid/Makefile.am, src/resid/NEWS,
	src/resid/THANKS, src/resid/TODO, src/resid/configure.in,
